ID      LABELS
1       reserved:host
2       reserved:world
3       reserved:unmanaged
4       reserved:health
5       reserved:init
6       reserved:remote-node
7       reserved:kube-apiserver
        reserved:remote-node
8       reserved:ingress
9       reserved:world-ipv4
10      reserved:world-ipv6
3436    k8s:app=csi-cephfsplugin-provisioner
        k8s:contains=csi-cephfsplugin-metrics
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=rook-ceph
        k8s:io.cilium.k8s.namespace.labels.pod-security.kubernetes.io/enforce-version=latest
        k8s:io.cilium.k8s.namespace.labels.pod-security.kubernetes.io/enforce=privileged
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=rook-csi-cephfs-provisioner-sa
        k8s:io.kubernetes.pod.namespace=rook-ceph
6387    k8s:app.kubernetes.io/component=web
        k8s:app.kubernetes.io/instance=kubernetes-dashboard
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=kubernetes-dashboard-web
        k8s:app.kubernetes.io/part-of=kubernetes-dashboard
        k8s:app.kubernetes.io/version=1.3.0
        k8s:helm.sh/chart=kubernetes-dashboard-7.3.2
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kubernetes-dashboard
        k8s:io.cilium.k8s.namespace.labels.name=kubernetes-dashboard
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=kubernetes-dashboard-web
        k8s:io.kubernetes.pod.namespace=kubernetes-dashboard
13436   k8s:app.kubernetes.io/component=app
        k8s:app.kubernetes.io/instance=kubernetes-dashboard
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=kong
        k8s:app.kubernetes.io/version=3.6
        k8s:app=kubernetes-dashboard-kong
        k8s:helm.sh/chart=kong-2.38.0
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kubernetes-dashboard
        k8s:io.cilium.k8s.namespace.labels.name=kubernetes-dashboard
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=kubernetes-dashboard-kong
        k8s:io.kubernetes.pod.namespace=kubernetes-dashboard
        k8s:version=3.6
16231   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns
16556   k8s:app.kubernetes.io/name=hubble-ui
        k8s:app.kubernetes.io/part-of=cilium
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=hubble-ui
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=hubble-ui
27111   k8s:app=rook-ceph-operator
        k8s:helm.sh/chart=rook-ceph-v1.14.0
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=rook-ceph
        k8s:io.cilium.k8s.namespace.labels.pod-security.kubernetes.io/enforce-version=latest
        k8s:io.cilium.k8s.namespace.labels.pod-security.kubernetes.io/enforce=privileged
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=rook-ceph-system
        k8s:io.kubernetes.pod.namespace=rook-ceph
29100   k8s:app.kubernetes.io/component=api
        k8s:app.kubernetes.io/instance=kubernetes-dashboard
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=kubernetes-dashboard-api
        k8s:app.kubernetes.io/part-of=kubernetes-dashboard
        k8s:app.kubernetes.io/version=1.5.0
        k8s:helm.sh/chart=kubernetes-dashboard-7.3.2
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kubernetes-dashboard
        k8s:io.cilium.k8s.namespace.labels.name=kubernetes-dashboard
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=kubernetes-dashboard-api
        k8s:io.kubernetes.pod.namespace=kubernetes-dashboard
29968   k8s:app=external-dns
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=external-dns
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=external-dns
        k8s:io.kubernetes.pod.namespace=external-dns
30368   k8s:app=iperf3-server
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
31072   k8s:app.kubernetes.io/component=auth
        k8s:app.kubernetes.io/instance=kubernetes-dashboard
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=kubernetes-dashboard-auth
        k8s:app.kubernetes.io/part-of=kubernetes-dashboard
        k8s:app.kubernetes.io/version=1.1.3
        k8s:helm.sh/chart=kubernetes-dashboard-7.3.2
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kubernetes-dashboard
        k8s:io.cilium.k8s.namespace.labels.name=kubernetes-dashboard
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=kubernetes-dashboard
31669   k8s:app.kubernetes.io/name=hubble-relay
        k8s:app.kubernetes.io/part-of=cilium
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=hubble-relay
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=hubble-relay
44059   k8s:app.kubernetes.io/component=controller
        k8s:app.kubernetes.io/instance=cert-manager
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=cert-manager
        k8s:app.kubernetes.io/version=v1.14.4
        k8s:app=cert-manager
        k8s:helm.sh/chart=cert-manager-v1.14.4
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cert-manager
        k8s:io.cilium.k8s.namespace.labels.name=cert-manager
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=cert-manager
        k8s:io.kubernetes.pod.namespace=cert-manager
46616   k8s:app.kubernetes.io/component=cainjector
        k8s:app.kubernetes.io/instance=cert-manager
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=cainjector
        k8s:app.kubernetes.io/version=v1.14.4
        k8s:app=cainjector
        k8s:helm.sh/chart=cert-manager-v1.14.4
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cert-manager
        k8s:io.cilium.k8s.namespace.labels.name=cert-manager
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=cert-manager-cainjector
        k8s:io.kubernetes.pod.namespace=cert-manager
50672   k8s:app.kubernetes.io/component=metrics-scraper
        k8s:app.kubernetes.io/instance=kubernetes-dashboard
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=kubernetes-dashboard-metrics-scraper
        k8s:app.kubernetes.io/part-of=kubernetes-dashboard
        k8s:app.kubernetes.io/version=1.1.1
        k8s:helm.sh/chart=kubernetes-dashboard-7.3.2
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kubernetes-dashboard
        k8s:io.cilium.k8s.namespace.labels.name=kubernetes-dashboard
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=kubernetes-dashboard-metrics-scraper
        k8s:io.kubernetes.pod.namespace=kubernetes-dashboard
52299   k8s:app.kubernetes.io/component=webhook
        k8s:app.kubernetes.io/instance=cert-manager
        k8s:app.kubernetes.io/managed-by=Helm
        k8s:app.kubernetes.io/name=webhook
        k8s:app.kubernetes.io/version=v1.14.4
        k8s:app=webhook
        k8s:helm.sh/chart=cert-manager-v1.14.4
        k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=cert-manager
        k8s:io.cilium.k8s.namespace.labels.name=cert-manager
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=cert-manager-webhook
        k8s:io.kubernetes.pod.namespace=cert-manager
