# Cilium debug information

#### Cilium environment keys

```
auto-create-cilium-node-resource:true
kube-proxy-replacement-healthz-bind-address:0.0.0.0:10256
bpf-lb-dsr-l4-xlate:frontend
enable-k8s-terminating-endpoint:true
k8s-sync-timeout:3m0s
loadbalancer-l7:envoy
custom-cni-conf:false
kvstore-connectivity-timeout:2m0s
hubble-export-file-compress:false
derive-masquerade-ip-addr-from-device:
vlan-bpf-bypass:
enable-node-port:false
monitor-aggregation-interval:5s
bpf-ct-timeout-regular-tcp-syn:1m0s
enable-ipv6-big-tcp:false
install-no-conntrack-iptables-rules:false
mesh-auth-spire-admin-socket:
enable-host-port:false
node-port-bind-protection:true
bpf-lb-sock-hostns-only:false
enable-health-check-loadbalancer-ip:false
enable-bgp-control-plane:false
k8s-require-ipv6-pod-cidr:false
set-cilium-is-up-condition:true
enable-l2-pod-announcements:false
vtep-mask:
auto-create-cilium-pod-ip-pools:default=ipv4-cidrs:100.98.0.0/15;ipv4-mask-size:24
mesh-auth-mutual-listener-port:0
tofqdns-max-deferred-connection-deletes:10000
prometheus-serve-addr:
enable-session-affinity:true
mesh-auth-queue-size:1024
bpf-policy-map-full-reconciliation-interval:15m0s
k8s-kubeconfig-path:
policy-trigger-interval:1s
k8s-namespace:kube-system
enable-well-known-identities:false
ipv4-node:auto
hubble-redact-enabled:false
ipv4-service-range:auto
cni-external-routing:false
disable-iptables-feeder-rules:
iptables-random-fully:false
envoy-secrets-namespace:cilium-secrets
hubble-redact-kafka-apikey:false
ipv6-service-range:auto
enable-bandwidth-manager:true
enable-nat46x64-gateway:false
config-dir:/tmp/cilium/config-map
bpf-fragments-map-max:8192
version:false
cni-chaining-mode:none
mesh-auth-rotated-identities-queue-size:1024
k8s-service-cache-size:128
enable-external-ips:false
nodeport-addresses:
preallocate-bpf-maps:false
encrypt-node:false
k8s-api-server:
enable-policy:default
enable-host-firewall:true
enable-ipsec:false
enable-xt-socket-fallback:true
bpf-lb-source-range-map-max:0
unmanaged-pod-watcher-interval:15
enable-mke:false
envoy-config-timeout:2m0s
legacy-turn-off-k8s-event-handover:false
http-max-grpc-timeout:0
hubble-skip-unknown-cgroup-ids:true
hubble-disable-tls:false
log-opt:
bpf-ct-timeout-regular-tcp:2h13m20s
log-system-load:false
mke-cgroup-mount:
clustermesh-ip-identities-sync-timeout:1m0s
bpf-lb-service-map-max:0
enable-local-redirect-policy:false
hubble-recorder-sink-queue-size:1024
node-port-algorithm:random
bpf-lb-algorithm:maglev
mesh-auth-enabled:true
hubble-prefer-ipv6:false
kube-proxy-replacement:true
enable-custom-calls:false
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
pprof-port:6060
l2-announcements-renew-deadline:5s
enable-wireguard-userspace-fallback:false
cmdref:
endpoint-gc-interval:5m0s
enable-host-legacy-routing:false
enable-svc-source-range-check:true
ipam-default-ip-pool:default
enable-endpoint-health-checking:true
tunnel-protocol:vxlan
bpf-lb-service-backend-map-max:0
ipsec-key-rotation-duration:5m0s
enable-recorder:false
hubble-listen-address::4244
enable-service-topology:false
ipv6-mcast-device:
http-request-timeout:3600
hubble-redact-http-headers-deny:
cni-chaining-target:
hubble-export-file-max-backups:5
enable-cilium-api-server-access:
route-metric:0
operator-api-serve-addr:127.0.0.1:9234
ipsec-key-file:
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
egress-masquerade-interfaces:
loadbalancer-l7-algorithm:round_robin
read-cni-conf:
routing-mode:native
procfs:/host/proc
hubble-redact-http-userinfo:true
debug:false
ipv4-service-loopback-address:169.254.42.1
encrypt-interface:
enable-ipv6-masquerade:false
enable-srv6:false
enable-ipsec-key-watcher:true
egress-gateway-reconciliation-trigger-interval:1s
ipv4-range:auto
ipam-multi-pool-pre-allocation:
dnsproxy-concurrency-processing-grace-period:0s
enable-ipv4-fragment-tracking:true
enable-health-checking:true
bpf-ct-timeout-regular-tcp-fin:10s
identity-restore-grace-period:10m0s
conntrack-gc-interval:0s
iptables-lock-timeout:5s
bpf-lb-affinity-map-max:0
bpf-lb-rss-ipv6-src-cidr:
debug-verbose:
egress-multi-home-ip-rule-compat:false
enable-k8s-endpoint-slice:true
enable-encryption-strict-mode:false
pprof-address:localhost
tofqdns-endpoint-max-ip-per-hostname:50
bpf-root:/sys/fs/bpf
ipv6-cluster-alloc-cidr:f00d::/64
tofqdns-pre-cache:
l2-announcements-lease-duration:15s
ingress-secrets-namespace:cilium-secrets
endpoint-queue-size:25
disable-envoy-version-check:false
cni-exclusive:true
nodes-gc-interval:5m0s
local-max-addr-scope:252
enable-l2-announcements:true
enable-auto-protect-node-port-range:true
service-no-backend-response:reject
labels:
enable-bbr:true
install-iptables-rules:true
dnsproxy-lock-timeout:500ms
enable-cilium-endpoint-slice:false
tofqdns-min-ttl:0
bgp-config-path:/var/lib/cilium/bgp/config.yaml
enable-masquerade-to-route-source:false
clustermesh-config:/var/lib/cilium/clustermesh/
hubble-export-file-max-size-mb:10
log-driver:
http-normalize-path:true
proxy-max-connection-duration-seconds:0
ingress-lb-annotation-prefixes:service.beta.kubernetes.io service.kubernetes.io cloud.google.com
certificates-directory:/var/run/cilium/certs
trace-sock:true
bpf-lb-sock:true
enable-ipv4-masquerade:true
envoy-log:
ipam-cilium-node-update-rate:15s
local-router-ipv6:
identity-change-grace-period:5s
monitor-aggregation-flags:all
enable-runtime-device-detection:false
enable-bpf-tproxy:true
enable-k8s-networkpolicy:true
enable-stale-cilium-endpoint-cleanup:true
ingress-shared-lb-service-name:cilium-ingress
hubble-monitor-events:
hubble-event-queue-size:16383
enable-hubble-recorder-api:true
policy-cidr-match-mode:
enable-endpoint-routes:true
allow-icmp-frag-needed:true
cluster-health-port:4240
bpf-policy-map-max:16384
limit-ipam-api-burst:30
enable-ip-masq-agent:true
ipv4-pod-subnets:
cluster-name:default
agent-labels:
restore:true
kvstore-opt:
enable-metrics:true
http-idle-timeout:0
hubble-export-denylist:
tunnel-port:0
dnsproxy-enable-transparent-mode:true
enable-envoy-config:true
use-cilium-internal-ip-for-ipsec:false
bpf-map-event-buffers:
enable-l2-neigh-discovery:true
agent-liveness-update-interval:1s
srv6-encap-mode:reduced
api-rate-limit:
bpf-ct-timeout-service-any:1m0s
state-dir:/var/run/cilium
kvstore-periodic-sync:5m0s
policy-queue-size:100
mesh-auth-spiffe-trust-domain:spiffe.cilium
enable-unreachable-routes:false
enable-sctp:false
controller-group-metrics:
enable-remote-node-identity:true
tofqdns-dns-reject-response-code:refused
mesh-auth-signal-backoff-duration:1s
identity-allocation-mode:crd
enable-hubble:true
k8s-heartbeat-timeout:30s
bpf-ct-timeout-service-tcp:2h13m20s
tofqdns-proxy-response-max-delay:100ms
sidecar-istio-proxy-image:cilium/istio_proxy
hubble-socket-path:/var/run/cilium/hubble.sock
max-connected-clusters:255
hubble-export-file-path:
node-port-mode:snat
install-egress-gateway-routes:false
devices:eth0.1016 eth0.1020 eth0.1024
bpf-ct-timeout-service-tcp-grace:1m0s
socket-path:/var/run/cilium/cilium.sock
bpf-sock-rev-map-max:262144
egress-gateway-policy-map-max:16384
k8s-client-burst:40
enable-ipv4:true
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
bpf-lb-external-clusterip:true
skip-cnp-status-startup-clean:false
gops-port:9890
bgp-announce-lb-ip:false
local-router-ipv4:
k8s-client-qps:30
arping-refresh-period:30s
node-port-range:
bpf-lb-mode:dsr
hubble-export-fieldmask:
hubble-event-buffer-capacity:8191
max-internal-timer-delay:0s
agent-health-port:9879
enable-ingress-controller:true
cni-log-file:/var/run/cilium/cilium-cni.log
proxy-gid:1337
external-envoy-proxy:true
bpf-lb-rev-nat-map-max:0
enable-bpf-masquerade:true
bpf-ct-timeout-regular-any:1m0s
enable-k8s:true
enable-identity-mark:true
keep-config:false
label-prefix-file:
dnsproxy-lock-count:131
enable-ingress-secrets-sync:true
enable-high-scale-ipcache:false
allocator-list-timeout:3m0s
mtu:0
enable-monitor:true
bpf-map-dynamic-size-ratio:0.0025
hubble-redact-http-headers-allow:
config-sources:config-map:kube-system/cilium-config
cflags:
mesh-auth-gc-interval:5m0s
endpoint-status:
enable-ipv6-ndp:false
hubble-metrics-server:
vtep-endpoint:
enable-l7-proxy:true
ipv6-node:auto
proxy-idle-timeout-seconds:60
vtep-cidr:
exclude-local-address:
enable-cilium-health-api-server-access:
tofqdns-proxy-port:0
cluster-id:0
crd-wait-timeout:5m0s
http-403-msg:
kvstore-max-consecutive-quorum-errors:2
proxy-prometheus-port:0
ingress-default-lb-mode:shared
max-controller-interval:0
enforce-ingress-https:false
identity-heartbeat-timeout:30m0s
trace-payloadlen:128
bpf-lb-maglev-table-size:16381
direct-routing-device:
ipv4-native-routing-cidr:100.64.0.0/10
enable-ingress-proxy-protocol:false
disable-endpoint-crd:false
endpoint-bpf-prog-watchdog-interval:30s
hubble-metrics:
metrics:
ipv6-native-routing-cidr:
monitor-queue-size:0
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
enable-health-check-nodeport:true
bypass-ip-availability-upon-restore:false
enable-ipv4-big-tcp:false
ipam:multi-pool
enable-pmtu-discovery:false
k8s-require-ipv4-pod-cidr:false
identity-gc-interval:15m0s
policy-audit-mode:false
mesh-auth-mutual-connect-timeout:5s
bpf-ct-global-any-max:262144
bpf-nat-global-max:524288
http-retry-count:3
hubble-recorder-storage-path:/var/run/cilium/pcaps
conntrack-gc-max-interval:1800s
annotate-k8s-node:true
vtep-mac:
auto-direct-node-routes:true
encryption-strict-mode-allow-remote-node-identities:false
set-cilium-node-taints:true
k8s-service-proxy-name:
enable-tracing:false
dnsproxy-concurrency-limit:0
encryption-strict-mode-cidr:
bpf-lb-map-max:65536
proxy-max-requests-per-connection:0
remove-cilium-node-taints:true
kvstore-lease-ttl:15m0s
enable-k8s-api-discovery:false
datapath-mode:veth
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
cgroup-root:/sys/fs/cgroup
hubble-export-allowlist:
dns-policy-unload-on-shutdown:false
lib-dir:/var/lib/cilium
tofqdns-enable-dns-compression:true
tofqdns-idle-connection-grace-period:0s
fixed-identity-mapping:
config:
enable-local-node-route:true
hubble-flowlogs-config-path:
hubble-redact-http-urlquery:false
node-port-acceleration:disabled
proxy-connect-timeout:2
l2-announcements-retry-period:2s
loadbalancer-l7-ports:
join-cluster:false
cilium-endpoint-gc-interval:5m0s
bpf-lb-dsr-dispatch:opt
pprof:false
ip-masq-agent-config-path:/etc/config/ip-masq-agent
ipv6-range:auto
enable-wireguard:false
bpf-neigh-global-max:524288
dns-max-ips-per-restored-rule:1000
enable-xdp-prefilter:false
ip-allocation-timeout:2m0s
bpf-lb-maglev-map-max:0
monitor-aggregation:medium
wireguard-persistent-keepalive:0s
bpf-ct-global-tcp-max:524288
bpf-filter-priority:1
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
ipv6-pod-subnets:
allow-localhost:auto
l2-pod-announcements-interface:
enable-ipv4-egress-gateway:false
fqdn-regex-compile-lru-size:1024
bgp-announce-pod-cidr:false
http-retry-timeout:0
operator-prometheus-serve-addr::9963
bpf-lb-acceleration:disabled
enable-vtep:false
bpf-auth-map-max:524288
enable-icmp-rules:true
bpf-lb-rss-ipv4-src-cidr:
synchronize-k8s-nodes:true
enable-bpf-clock-probe:false
enable-ipv6:false
kvstore:
prepend-iptables-chains:true
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc001c36f80)({
 config: (k8s.ServiceCacheConfig) {
  EnableServiceTopology: (bool) false
 },
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000493f80,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=20) {
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc002199550)(frontends:[100.96.17.28]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.Service)(0xc0060dd080)(frontends:[100.96.100.10]/ports=[kong-manager kong-manager-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.Service)(0xc006145600)(frontends:[100.96.17.12]/ports=[http]/selector=map[app:rook-ceph-rgw ceph_daemon_id:ceph-objectstore rgw:ceph-objectstore rook_cluster:rook-ceph rook_object_store:ceph-objectstore]),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.Service)(0xc0021998c0)(frontends:[100.96.171.42]/ports=[https]/selector=map[app.kubernetes.io/component:webhook app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:webhook]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.Service)(0xc0060dcf20)(frontends:[100.96.56.167]/ports=[api]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-api app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.Service)(0xc003d4b970)(frontends:[100.96.132.20]/ports=[]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-metrics-scraper app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) default/iperf3-server: (*k8s.Service)(0xc003a8cdc0)(frontends:[100.96.81.156]/ports=[]/selector=map[app:iperf3-server]),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.Service)(0xc003988000)(frontends:[100.96.194.255]/ports=[ceph-exporter-http-metrics]/selector=map[app:rook-ceph-exporter rook_cluster:rook-ceph]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc002199340)(frontends:[100.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/cilium-envoy: (*k8s.Service)(0xc0021993f0)(frontends:[]/ports=[envoy-metrics]/selector=map[k8s-app:cilium-envoy]),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.Service)(0xc005897a20)(frontends:[100.96.25.171]/ports=[https http]/selector=map[]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.Service)(0xc006144a50)(frontends:[100.96.207.75]/ports=[auth]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-auth app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.Service)(0xc006144c60)(frontends:[100.96.56.17]/ports=[web]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-web app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.Service)(0xc003cea9a0)(frontends:[100.96.193.139]/ports=[http-dashboard]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc002199600)(frontends:[100.96.124.20]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc0021996b0)(frontends:[100.96.145.47]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc002199810)(frontends:[100.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.Service)(0xc002199760)(frontends:[100.96.134.117]/ports=[tcp-prometheus-servicemonitor]/selector=map[app.kubernetes.io/component:controller app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:cert-manager]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.Service)(0xc003d4ba20)(frontends:[100.96.69.141]/ports=[kong-proxy-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.Service)(0xc003ceab00)(frontends:[100.96.210.73]/ports=[http-metrics]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=19) {
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.EndpointSlices)(0xc0009ba0e8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "cilium-ingress-lg2vr": (*k8s.Endpoints)(0xc000c54c30)(192.192.192.192:9999/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc0009ba0f0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-jjc92": (*k8s.Endpoints)(0xc004b77040)(10.64.16.111:4244/TCP,10.64.16.112:4244/TCP,10.64.16.113:4244/TCP,10.64.16.114:4244/TCP,10.64.16.115:4244/TCP,10.64.16.116:4244/TCP,10.64.16.117:4244/TCP,10.64.16.118:4244/TCP,10.64.16.119:4244/TCP,10.64.16.121:4244/TCP,10.64.16.122:4244/TCP,10.64.16.123:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc0009ba100)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-dlw2k": (*k8s.Endpoints)(0xc00445ed00)(100.98.5.152:8081/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.EndpointSlices)(0xc0016528e0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=31) "kubernetes-dashboard-auth-xkwmd": (*k8s.Endpoints)(0xc004b692b0)(100.98.5.166:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.EndpointSlices)(0xc0011d4710)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=42) "kubernetes-dashboard-metrics-scraper-22gxx": (*k8s.Endpoints)(0xc004b68b60)(100.98.8.250:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.EndpointSlices)(0xc0011d4720)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=37) "kubernetes-dashboard-kong-proxy-msdkf": (*k8s.Endpoints)(0xc0039a88f0)(100.98.5.83:8443/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.EndpointSlices)(0xc001652920)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-web-chg8x": (*k8s.Endpoints)(0xc004c7a270)(100.98.8.170:8000/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.EndpointSlices)(0xc0009ba0d8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "cert-manager-webhook-56hfc": (*k8s.Endpoints)(0xc0043c7860)(100.98.9.107:10250/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc0009ba0f8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-b7psv": (*k8s.Endpoints)(0xc00445f110)(100.98.1.205:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc0009ba108)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-72wgr": (*k8s.Endpoints)(0xc003fe4270)(100.98.5.232:53/TCP,100.98.5.232:53/UDP,100.98.5.232:9153/TCP,100.98.9.131:53/TCP,100.98.9.131:53/UDP,100.98.9.131:9153/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.EndpointSlices)(0xc0016528f0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-api-npppm": (*k8s.Endpoints)(0xc004b689c0)(100.98.8.4:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.EndpointSlices)(0xc000697040)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=29) "rook-ceph-mgr-dashboard-j5tvt": (*k8s.Endpoints)(0xc000c2edd0)(10.64.16.113:7000/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.EndpointSlices)(0xc0009ba0d0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "cert-manager-6zz6b": (*k8s.Endpoints)(0xc0043c72b0)(100.98.9.178:9402/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.EndpointSlices)(0xc0011d4708)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=39) "kubernetes-dashboard-kong-manager-js8fc": (*k8s.Endpoints)(0xc0039a8a90)(100.98.5.83:8002/TCP,100.98.5.83:8445/TCP)
   }
  }),
  (k8s.ServiceID) default/iperf3-server: (*k8s.EndpointSlices)(0xc000609968)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "iperf3-server-wr74m": (*k8s.Endpoints)(0xc0039a8ea0)(100.98.9.66:5201/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.EndpointSlices)(0xc0011d4660)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "rook-ceph-exporter-fcprh": (*k8s.Endpoints)(0xc001fbec30)(10.64.16.111:9926/TCP,10.64.16.113:9926/TCP,10.64.16.117:9926/TCP,10.64.16.118:9926/TCP,10.64.16.119:9926/TCP,10.64.16.121:9926/TCP,10.64.16.123:9926/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.EndpointSlices)(0xc000697050)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "rook-ceph-mgr-b2r46": (*k8s.Endpoints)(0xc000c2eb60)(10.64.16.113:9283/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.EndpointSlices)(0xc001874b90)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=36) "rook-ceph-rgw-ceph-objectstore-7675g": (*k8s.Endpoints)(0xc004b69a00)(10.64.16.123:80/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc0009ba0e0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc000c54410)(10.64.16.111:6443/TCP,10.64.16.112:6443/TCP,10.64.16.113:6443/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*tables.nodeAddressing)(0xc0016422a0)({
  localNode: (*node.LocalNodeStore)(0xc00099c900)({
   Observable: (stream.FuncObservable[github.com/cilium/cilium/pkg/node.LocalNode]) 0x1df7840,
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   value: (node.LocalNode) {
    Node: (types.Node) {
     Name: (string) (len=5) "stor3",
     Cluster: (string) (len=7) "default",
     IPAddresses: ([]types.Address) (len=2 cap=2) {
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "InternalIP",
       IP: (net.IP) (len=16 cap=16) 10.64.16.119
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=16) "CiliumInternalIP",
       IP: (net.IP) (len=16 cap=26) 100.98.10.123
      }
     },
     IPv4AllocCIDR: (*cidr.CIDR)(0xc00065e008)(100.97.11.0/24),
     IPv4SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv6AllocCIDR: (*cidr.CIDR)(<nil>),
     IPv6SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv4HealthIP: (net.IP) (len=16 cap=26) 100.98.10.249,
     IPv6HealthIP: (net.IP) <nil>,
     IPv4IngressIP: (net.IP) (len=16 cap=26) 100.98.10.26,
     IPv6IngressIP: (net.IP) <nil>,
     ClusterID: (uint32) 0,
     Source: (source.Source) (len=5) "local",
     EncryptionKey: (uint8) 0,
     Labels: (map[string]string) (len=6) {
      (string) (len=21) "beta.kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=18) "kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=22) "kubernetes.io/hostname": (string) (len=5) "stor3",
      (string) (len=16) "kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=4) "role": (string) (len=7) "storage",
      (string) (len=23) "beta.kubernetes.io/arch": (string) (len=5) "amd64"
     },
     Annotations: (map[string]string) (len=4) {
      (string) (len=31) "network.cilium.io/ipv4-pod-cidr": (string) (len=14) "100.97.11.0/24",
      (string) (len=33) "network.cilium.io/ipv4-Ingress-ip": (string) (len=12) "100.98.10.26",
      (string) (len=34) "network.cilium.io/ipv4-cilium-host": (string) (len=13) "100.98.10.123",
      (string) (len=32) "network.cilium.io/ipv4-health-ip": (string) (len=13) "100.98.10.249"
     },
     NodeIdentity: (uint32) 1,
     WireguardPubKey: (string) "",
     BootID: (string) (len=36) "b48a045b-795e-4327-9b0e-426279656db1"
    },
    OptOutNodeEncryption: (bool) false,
    UID: (types.UID) (len=36) "16da4417-ab28-4c07-9ead-8dd8a2204620",
    ProviderID: (string) ""
   },
   emit: (func(node.LocalNode)) 0x1df80e0,
   complete: (func(error)) 0x1df7ea0
  }),
  db: (*statedb.DB)(0xc000c44380)({
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   tables: (map[string]statedb.TableMeta) (len=4) {
    (string) (len=7) "devices": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc0007b4820)({
     table: (string) (len=7) "devices",
     smu: (*lock.sortableMutex)(0xc0014590f8)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 1,
      acquireDuration: (time.Duration) 1.75µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      },
      (string) (len=8) "selected": (statedb.anyIndexer) {
       name: (string) (len=8) "selected",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=6) "routes": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Route])(0xc0007b4870)({
     table: (string) (len=6) "routes",
     smu: (*lock.sortableMutex)(0xc001459110)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 2,
      acquireDuration: (time.Duration) 320ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=9) "LinkIndex": (statedb.anyIndexer) {
       name: (string) (len=9) "LinkIndex",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=14) "node-addresses": (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0007b4dc0)({
     table: (string) (len=14) "node-addresses",
     smu: (*lock.sortableMutex)(0xc001459170)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 3,
      acquireDuration: (time.Duration) 510ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
       unique: (bool) false
      }
     }
    }),
    (string) (len=11) "l2-announce": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.L2AnnounceEntry])(0xc001ff8190)({
     table: (string) (len=11) "l2-announce",
     smu: (*lock.sortableMutex)(0xc001c99950)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 4,
      acquireDuration: (time.Duration) 320ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=6) "origin": (statedb.anyIndexer) {
       name: (string) (len=6) "origin",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    })
   },
   ctx: (*context.cancelCtx)(0xc00207c140)(context.Background.WithCancel),
   cancel: (context.CancelFunc) 0x4a18e0,
   root: (atomic.Pointer[github.com/hashicorp/go-immutable-radix/v2.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]]) {
    _: ([0]*iradix.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]) {
    },
    _: (atomic.noCopy) {
    },
    v: (unsafe.Pointer) 0xc000b866a0
   },
   gcTrigger: (chan struct {}) (cap=1) 0xc0020ba180,
   gcExited: (chan struct {}) 0xc0020ba1e0,
   gcRateLimitInterval: (time.Duration) 1s,
   metrics: (statedb.Metrics) {
    WriteTxnDuration: (*metric.histogramVec)(0xc00114a100)({
     ObserverVec: (*prometheus.HistogramVec)(0xc00117cb20)({
      MetricVec: (*prometheus.MetricVec)(0xc000d22c60)({
       metricMap: (*prometheus.metricMap)(0xc000d22c90)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0011331a0)(Desc{fqName: "cilium_statedb_write_txn_duration_seconds", help: "How long a write transaction was held.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=26) "write_txn_duration_seconds",
       Help: (string) (len=38) "How long a write transaction was held.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    WriteTxnAcquisition: (*metric.histogramVec)(0xc00114a180)({
     ObserverVec: (*prometheus.HistogramVec)(0xc00117cb28)({
      MetricVec: (*prometheus.MetricVec)(0xc000d22d20)({
       metricMap: (*prometheus.metricMap)(0xc000d22d50)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001133200)(Desc{fqName: "cilium_statedb_write_txn_acquisition_seconds", help: "How long it took to acquire a write transaction for all tables.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "write_txn_acquisition_seconds",
       Help: (string) (len=63) "How long it took to acquire a write transaction for all tables.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableContention: (*metric.gaugeVec)(0xc00114a200)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00117cb30)({
      MetricVec: (*prometheus.MetricVec)(0xc000d22db0)({
       metricMap: (*prometheus.metricMap)(0xc000d22de0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001133260)(Desc{fqName: "cilium_statedb_table_contention_seconds", help: "How long writers were blocked while waiting to acquire a write transaction for a specific table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=24) "table_contention_seconds",
       Help: (string) (len=96) "How long writers were blocked while waiting to acquire a write transaction for a specific table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableObjectCount: (*metric.gaugeVec)(0xc00114a280)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00117cb38)({
      MetricVec: (*prometheus.MetricVec)(0xc000d22e40)({
       metricMap: (*prometheus.metricMap)(0xc000d22e70)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0011332c0)(Desc{fqName: "cilium_statedb_table_objects", help: "The amount of objects in a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=13) "table_objects",
       Help: (string) (len=39) "The amount of objects in a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableRevision: (*metric.gaugeVec)(0xc00114a300)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00117cb40)({
      MetricVec: (*prometheus.MetricVec)(0xc000d22f00)({
       metricMap: (*prometheus.metricMap)(0xc000d22f30)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001133320)(Desc{fqName: "cilium_statedb_table_revision", help: "The current revision of a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=14) "table_revision",
       Help: (string) (len=38) "The current revision of a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableDeleteTrackerCount: (*metric.gaugeVec)(0xc00114a380)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00117cb48)({
      MetricVec: (*prometheus.MetricVec)(0xc000d22f90)({
       metricMap: (*prometheus.metricMap)(0xc000d22fc0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001133380)(Desc{fqName: "cilium_statedb_table_delete_trackers", help: "The amount of delete trackers for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=21) "table_delete_trackers",
       Help: (string) (len=48) "The amount of delete trackers for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardObjectCount: (*metric.gaugeVec)(0xc00114a400)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00117cb50)({
      MetricVec: (*prometheus.MetricVec)(0xc000d23020)({
       metricMap: (*prometheus.metricMap)(0xc000d23050)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0011333e0)(Desc{fqName: "cilium_statedb_table_graveyard_objects", help: "The amount of objects in the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=23) "table_graveyard_objects",
       Help: (string) (len=57) "The amount of objects in the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardLowWatermark: (*metric.gaugeVec)(0xc00114a480)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00117cb58)({
      MetricVec: (*prometheus.MetricVec)(0xc000d230b0)({
       metricMap: (*prometheus.metricMap)(0xc000d230e0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001133440)(Desc{fqName: "cilium_statedb_table_graveyard_low_watermark", help: "The lowest revision of a given table that has been processed by the graveyard garbage collector.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "table_graveyard_low_watermark",
       Help: (string) (len=96) "The lowest revision of a given table that has been processed by the graveyard garbage collector.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardCleaningDuration: (*metric.histogramVec)(0xc00114a500)({
     ObserverVec: (*prometheus.HistogramVec)(0xc00117cb60)({
      MetricVec: (*prometheus.MetricVec)(0xc000d23140)({
       metricMap: (*prometheus.metricMap)(0xc000d231a0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0011334a0)(Desc{fqName: "cilium_statedb_table_graveyard_cleaning_duration_seconds", help: "The time it took to clean the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=41) "table_graveyard_cleaning_duration_seconds",
       Help: (string) (len=58) "The time it took to clean the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    })
   }
  }),
  nodeAddresses: (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0007b4dc0)({
   table: (string) (len=14) "node-addresses",
   smu: (*lock.sortableMutex)(0xc001459170)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 3,
    acquireDuration: (time.Duration) 510ns
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
     unique: (bool) false
    }
   }
  }),
  devices: (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc0007b4820)({
   table: (string) (len=7) "devices",
   smu: (*lock.sortableMutex)(0xc0014590f8)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 1,
    acquireDuration: (time.Duration) 1.75µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    },
    (string) (len=8) "selected": (statedb.anyIndexer) {
     name: (string) (len=8) "selected",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    }
   }
  })
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### ipam

```
<nil>
```


#### Cilium encryption



#### Cilium version

```
1.15.3 22dfbc58 2024-03-26T11:45:10+01:00 go version go1.21.8 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.30 (v1.30.0) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   True      [eth0.1016  10.64.16.119 (Direct Routing), eth0.1020  127.95.199.27, eth0.1024  127.95.199.27]
Host firewall:          Enabled   [eth0.1016, eth0.1020, eth0.1024]
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.3 (v1.15.3-22dfbc58)
NodeMonitor:            Listening for events on 8 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 1 IPAM pool(s) available, 
Allocated addresses:
  100.98.10.123 (router)
  100.98.10.249 (health)
  100.98.10.26 (ingress)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       EDT with BPF [BBR] [eth0.1016, eth0.1020, eth0.1024]
Host Routing:           BPF
Masquerading:           BPF (ip-masq-agent)   [eth0.1016, eth0.1020, eth0.1024]   100.64.0.0/10 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      22/22 healthy
  Name                                  Last success   Last error    Count   Message
  cilium-health-ep                      55s ago        never         0       no error   
  dns-garbage-collector-job             59s ago        never         0       no error   
  endpoint-1895-regeneration-recovery   never          never         0       no error   
  endpoint-2209-regeneration-recovery   never          never         0       no error   
  endpoint-417-regeneration-recovery    never          never         0       no error   
  endpoint-gc                           0s ago         never         0       no error   
  ep-bpf-prog-watchdog                  23s ago        never         0       no error   
  ipam-sync-multi-pool                  29h5m0s ago    never         0       no error   
  ipcache-inject-labels                 57s ago        29h5m0s ago   0       no error   
  k8s-heartbeat                         25s ago        never         0       no error   
  link-cache                            5s ago         never         0       no error   
  resolve-identity-1895                 4m59s ago      never         0       no error   
  resolve-identity-2209                 4m59s ago      never         0       no error   
  resolve-identity-417                  4m57s ago      never         0       no error   
  sync-host-ips                         57s ago        never         0       no error   
  sync-lb-maps-with-k8s-services        29h4m59s ago   never         0       no error   
  sync-policymap-1895                   4m53s ago      never         0       no error   
  sync-policymap-417                    4m55s ago      never         0       no error   
  sync-utime                            57s ago        never         0       no error   
  template-dir-watcher                  never          never         0       no error   
  update-k8s-node-annotations           29h5m0s ago    never         0       no error   
  write-cni-file                        29h5m1s ago    never         0       no error   
Proxy Status:            OK, ip 100.98.10.123, 0 redirects active on ports 10000-20000, Envoy: external
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 8191/8191 (100.00%), Flows/s: 4.15   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 True
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                eth0.1016  10.64.16.119 (Direct Routing), eth0.1020  127.95.199.27, eth0.1024  127.95.199.27
  Mode:                   DSR
    DSR Dispatch Mode:    IP Option/Extension
  Backend Selection:      Maglev (Table Size: 16381)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   73415
  TCP connection tracking       146830
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           146830
  Neighbor table                146830
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              73415
  Tunnel                        65536
Encryption:   Disabled   
```

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])   IPv6   IPv4            STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                       
417        Disabled           Disabled          4          reserved:health                      100.98.10.249   ready   
1895       Disabled           Disabled          1          k8s:role=storage                                     ready   
                                                           reserved:host                                                
2209       Disabled           Disabled          8          reserved:ingress                     100.98.10.26    ready   
```

#### BPF Policy Get 417

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES      PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    10715584   134420    0        
Allow    Ingress     1          ANY          NONE         disabled    1385728    15708     0        
Allow    Egress      0          ANY          NONE         disabled    0          0         0        

```


#### BPF CT List 417

```
Invalid argument: unknown type 417
```


#### Endpoint Get 417

```
[
  {
    "id": 417,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-417-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "fd7ca665-bc50-4c2c-addf-99613bf5f8a8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-417",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:54.909Z",
            "success-count": 349
          },
          "uuid": "de076b31-e8d5-4e82-864e-e0075c847218"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-417",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:57.531Z",
            "success-count": 117
          },
          "uuid": "a47ddd35-1ad9-430e-9e0e-e76c47f63faa"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.10.249",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "56:a5:e7:47:5e:a2",
        "interface-index": 15,
        "interface-name": "lxc_health",
        "mac": "46:ac:70:33:07:30"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 417

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 417

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:54Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 1895

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES        PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    838081153    2605080   0        
Allow    Egress      0          ANY          NONE         disabled    1944700698   3779070   0        

```


#### BPF CT List 1895

```
Invalid argument: unknown type 1895
```


#### Endpoint Get 1895

```
[
  {
    "id": 1895,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1895-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "f57665e5-0522-4e64-9738-8209f49460c0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1895",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.826Z",
            "success-count": 350
          },
          "uuid": "6e0bb6e7-a161-46bf-a1f2-81a21c64e73a"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-1895",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:58.929Z",
            "success-count": 117
          },
          "uuid": "1cb389ec-4bc6-49dc-8fd2-8fe8759fcd22"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:role=storage"
        ]
      },
      "labels": {
        "derived": [
          "k8s:role=storage",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:role=storage",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "ea:3e:c1:d0:b1:f8",
        "interface-name": "cilium_host",
        "mac": "ea:3e:c1:d0:b1:f8"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1895

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1895

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:58Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:53Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:53Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 2209

```
Error: Failed to open map: loading pinned map /sys/fs/bpf/tc/globals/cilium_policy_02209: no such file or directory


```


#### BPF CT List 2209

```
Invalid argument: unknown type 2209
```


#### Endpoint Get 2209

```
[
  {
    "id": 2209,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2209-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b39ee6cb-ae98-448c-8507-536fbabcd843"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2209",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.827Z",
            "success-count": 350
          },
          "uuid": "39071090-f0e7-4a2e-b088-541053189d0f"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8,
        "labels": [
          "reserved:ingress"
        ]
      },
      "labels": {
        "derived": [
          "reserved:ingress"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:ingress"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.10.26"
          }
        ]
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2209

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2209

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:55Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:53Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:53Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Ingress Endpoint creation

```


#### Identity get 8

```
ID   LABELS
8    reserved:ingress

```


#### Service list

```
ID   Frontend              Service Type   Backend                            
1    100.96.134.117:9402   ClusterIP      1 => 100.98.9.178:9402 (active)    
2    100.96.171.42:443     ClusterIP      1 => 100.98.9.107:10250 (active)   
3    100.96.0.1:443        ClusterIP      1 => 10.64.16.111:6443 (active)    
                                          2 => 10.64.16.112:6443 (active)    
                                          3 => 10.64.16.113:6443 (active)    
4    100.96.25.171:80      ClusterIP                                         
5    100.96.25.171:443     ClusterIP                                         
6    100.96.17.28:443      ClusterIP      1 => 10.64.16.119:4244 (active)    
7    100.96.124.20:80      ClusterIP      1 => 100.98.1.205:4245 (active)    
8    100.96.145.47:80      ClusterIP      1 => 100.98.5.152:8081 (active)    
9    100.96.0.10:53        ClusterIP      1 => 100.98.5.232:53 (active)      
                                          2 => 100.98.9.131:53 (active)      
10   100.96.0.10:9153      ClusterIP      1 => 100.98.5.232:9153 (active)    
                                          2 => 100.98.9.131:9153 (active)    
11   100.96.207.75:8000    ClusterIP      1 => 100.98.5.166:8000 (active)    
12   100.96.56.167:8000    ClusterIP      1 => 100.98.8.4:8000 (active)      
13   100.96.100.10:8002    ClusterIP      1 => 100.98.5.83:8002 (active)     
14   100.96.100.10:8445    ClusterIP      1 => 100.98.5.83:8445 (active)     
15   10.64.16.119:30619    NodePort       1 => 100.98.5.83:8002 (active)     
16   0.0.0.0:30619         NodePort       1 => 100.98.5.83:8002 (active)     
17   0.0.0.0:30766         NodePort       1 => 100.98.5.83:8445 (active)     
18   10.64.16.119:30766    NodePort       1 => 100.98.5.83:8445 (active)     
19   100.96.132.20:8000    ClusterIP      1 => 100.98.8.250:8000 (active)    
20   100.96.69.141:443     ClusterIP      1 => 100.98.5.83:8443 (active)     
21   100.96.56.17:8000     ClusterIP      1 => 100.98.8.170:8000 (active)    
22   10.64.20.50:443       LoadBalancer                                      
23   10.64.20.50:80        LoadBalancer                                      
24   100.96.81.156:5201    ClusterIP      1 => 100.98.9.66:5201 (active)     
25   10.64.20.60:5201      LoadBalancer   1 => 100.98.9.66:5201 (active)     
26   100.96.194.255:9926   ClusterIP      1 => 10.64.16.117:9926 (active)    
                                          2 => 10.64.16.119:9926 (active)    
                                          3 => 10.64.16.113:9926 (active)    
                                          4 => 10.64.16.118:9926 (active)    
                                          5 => 10.64.16.111:9926 (active)    
                                          6 => 10.64.16.121:9926 (active)    
                                          7 => 10.64.16.123:9926 (active)    
27   100.96.193.139:7000   ClusterIP      1 => 10.64.16.113:7000 (active)    
28   100.96.210.73:9283    ClusterIP      1 => 10.64.16.113:9283 (active)    
29   100.96.17.12:80       ClusterIP      1 => 10.64.16.123:80 (active)      
```

#### Policy get

```
:
 []
Revision: 2

```


#### Cilium memory map


```
00400000-02d94000 r-xp 00000000 fd:04 33558162                           /usr/bin/cilium-agent
02d94000-05f4b000 r--p 02994000 fd:04 33558162                           /usr/bin/cilium-agent
05f4b000-060a0000 rw-p 05b4b000 fd:04 33558162                           /usr/bin/cilium-agent
060a0000-0682e000 rw-p 00000000 00:00 0 
c000000000-c006c00000 rw-p 00000000 00:00 0 
c006c00000-c008000000 ---p 00000000 00:00 0 
7f95cbbd2000-7f95cbc92000 rw-p 00000000 00:00 0 
7f95cbc92000-7f95cbcd3000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbcd3000-7f95cbd14000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbd14000-7f95cbd55000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbd55000-7f95cbd96000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbd96000-7f95cbdd7000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbdd7000-7f95cbe18000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbe18000-7f95cbe59000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbe59000-7f95cbe9a000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbe9a000-7f95cbfef000 rw-p 00000000 00:00 0 
7f95cbfef000-7f95cbff1000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbff1000-7f95cbff3000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbff3000-7f95cbff5000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbff5000-7f95cbff7000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbff7000-7f95cbff9000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbff9000-7f95cbffb000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbffb000-7f95cbffd000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbffd000-7f95cbfff000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f95cbfff000-7f95ce86a000 rw-p 00000000 00:00 0 
7f95ce86a000-7f95de9ea000 ---p 00000000 00:00 0 
7f95de9ea000-7f95de9eb000 rw-p 00000000 00:00 0 
7f95de9eb000-7f95fe9ea000 ---p 00000000 00:00 0 
7f95fe9ea000-7f95fe9eb000 rw-p 00000000 00:00 0 
7f95fe9eb000-7f961089a000 ---p 00000000 00:00 0 
7f961089a000-7f961089b000 rw-p 00000000 00:00 0 
7f961089b000-7f9612c70000 ---p 00000000 00:00 0 
7f9612c70000-7f9612c71000 rw-p 00000000 00:00 0 
7f9612c71000-7f96130ea000 ---p 00000000 00:00 0 
7f96130ea000-7f96130eb000 rw-p 00000000 00:00 0 
7f96130eb000-7f961316a000 ---p 00000000 00:00 0 
7f961316a000-7f96131ca000 rw-p 00000000 00:00 0 
7ffd873a9000-7ffd873ca000 rw-p 00000000 00:00 0                          [stack]
7ffd873cd000-7ffd873d1000 r--p 00000000 00:00 0                          [vvar]
7ffd873d1000-7ffd873d3000 r-xp 00000000 00:00 0                          [vdso]

```


#### Kernel version

```
6.6.28
```

