# Cilium debug information

#### Kernel version

```
6.6.28
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                 IPv6   IPv4            STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                     
1677       Disabled           Disabled          1          k8s:node-role.kubernetes.io/control-plane                          ready   
                                                           k8s:role=ctrl                                                              
                                                           reserved:host                                                              
3421       Disabled           Disabled          8          reserved:ingress                                   100.98.11.137   ready   
4090       Disabled           Disabled          4          reserved:health                                    100.98.11.18    ready   
```

#### BPF Policy Get 1677

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES        PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    1327260588   7326880   0        
Allow    Egress      0          ANY          NONE         disabled    4310792206   7726768   0        

```


#### BPF CT List 1677

```
Invalid argument: unknown type 1677
```


#### Endpoint Get 1677

```
[
  {
    "id": 1677,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1677-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "1815eecd-c084-4c0c-8799-bc9e5a5439c8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1677",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:53.990Z",
            "success-count": 349
          },
          "uuid": "c58dff06-c144-4f7d-9a57-b01acc4a9eab"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-1677",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:59.142Z",
            "success-count": 117
          },
          "uuid": "b8b5c907-099b-4f0d-8c85-92ef17990ff0"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:role=ctrl"
        ]
      },
      "labels": {
        "derived": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:role=ctrl",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:role=ctrl",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "f6:73:a1:f8:92:21",
        "interface-name": "cilium_host",
        "mac": "f6:73:a1:f8:92:21"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1677

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1677

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:59Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:53Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:53Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host
     reserved:kube-apiserver

```


#### BPF Policy Get 3421

```
Error: Failed to open map: loading pinned map /sys/fs/bpf/tc/globals/cilium_policy_03421: no such file or directory


```


#### BPF CT List 3421

```
Invalid argument: unknown type 3421
```


#### Endpoint Get 3421

```
[
  {
    "id": 3421,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3421-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "90a466cc-07bd-413a-97c7-343b4090b1d1"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3421",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:53.990Z",
            "success-count": 349
          },
          "uuid": "84d24797-13c4-4bdc-b152-2f632f6ee182"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8,
        "labels": [
          "reserved:ingress"
        ]
      },
      "labels": {
        "derived": [
          "reserved:ingress"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:ingress"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.11.137"
          }
        ]
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3421

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3421

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:55Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:53Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:53Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Ingress Endpoint creation

```


#### Identity get 8

```
ID   LABELS
8    reserved:ingress

```


#### BPF Policy Get 4090

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES      PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    10696378   134420    0        
Allow    Ingress     1          ANY          NONE         disabled    1382238    15708     0        
Allow    Egress      0          ANY          NONE         disabled    0          0         0        

```


#### BPF CT List 4090

```
Invalid argument: unknown type 4090
```


#### Endpoint Get 4090

```
[
  {
    "id": 4090,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-4090-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "713d102f-0155-4e9b-9adc-6f9dd8a4909e"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-4090",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:55.067Z",
            "success-count": 349
          },
          "uuid": "374e82d7-ea4e-4e4e-92be-fc0db2cc65ad"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-4090",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:57.744Z",
            "success-count": 117
          },
          "uuid": "27a2ac48-54f0-4168-811c-301a33c6c2d9"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.11.18",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "16:6a:d7:6c:f0:08",
        "interface-index": 15,
        "interface-name": "lxc_health",
        "mac": "4a:6f:ef:b7:dc:ab"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 4090

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 4090

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:54Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### Service list

```
ID   Frontend              Service Type   Backend                            
1    100.96.134.117:9402   ClusterIP      1 => 100.98.9.178:9402 (active)    
2    100.96.171.42:443     ClusterIP      1 => 100.98.9.107:10250 (active)   
3    100.96.0.1:443        ClusterIP      1 => 10.64.16.113:6443 (active)    
                                          2 => 10.64.16.111:6443 (active)    
                                          3 => 10.64.16.112:6443 (active)    
4    100.96.25.171:80      ClusterIP                                         
5    100.96.25.171:443     ClusterIP                                         
6    100.96.17.28:443      ClusterIP      1 => 10.64.16.111:4244 (active)    
7    100.96.124.20:80      ClusterIP      1 => 100.98.1.205:4245 (active)    
8    100.96.145.47:80      ClusterIP      1 => 100.98.5.152:8081 (active)    
9    100.96.0.10:53        ClusterIP      1 => 100.98.5.232:53 (active)      
                                          2 => 100.98.9.131:53 (active)      
10   100.96.0.10:9153      ClusterIP      1 => 100.98.5.232:9153 (active)    
                                          2 => 100.98.9.131:9153 (active)    
11   100.96.207.75:8000    ClusterIP      1 => 100.98.5.166:8000 (active)    
12   100.96.56.167:8000    ClusterIP      1 => 100.98.8.4:8000 (active)      
13   100.96.100.10:8002    ClusterIP      1 => 100.98.5.83:8002 (active)     
14   100.96.100.10:8445    ClusterIP      1 => 100.98.5.83:8445 (active)     
15   10.64.16.111:30619    NodePort       1 => 100.98.5.83:8002 (active)     
16   0.0.0.0:30619         NodePort       1 => 100.98.5.83:8002 (active)     
17   10.64.16.111:30766    NodePort       1 => 100.98.5.83:8445 (active)     
18   0.0.0.0:30766         NodePort       1 => 100.98.5.83:8445 (active)     
19   100.96.132.20:8000    ClusterIP      1 => 100.98.8.250:8000 (active)    
20   100.96.69.141:443     ClusterIP      1 => 100.98.5.83:8443 (active)     
21   100.96.56.17:8000     ClusterIP      1 => 100.98.8.170:8000 (active)    
22   10.64.20.50:80        LoadBalancer                                      
23   10.64.20.50:443       LoadBalancer                                      
24   100.96.81.156:5201    ClusterIP      1 => 100.98.9.66:5201 (active)     
25   10.64.20.60:5201      LoadBalancer   1 => 100.98.9.66:5201 (active)     
26   100.96.194.255:9926   ClusterIP      1 => 10.64.16.117:9926 (active)    
                                          2 => 10.64.16.119:9926 (active)    
                                          3 => 10.64.16.113:9926 (active)    
                                          4 => 10.64.16.118:9926 (active)    
                                          5 => 10.64.16.111:9926 (active)    
                                          6 => 10.64.16.121:9926 (active)    
                                          7 => 10.64.16.123:9926 (active)    
27   100.96.193.139:7000   ClusterIP      1 => 10.64.16.113:7000 (active)    
28   100.96.210.73:9283    ClusterIP      1 => 10.64.16.113:9283 (active)    
29   100.96.17.12:80       ClusterIP      1 => 10.64.16.123:80 (active)      
```

#### Cilium memory map


```
00400000-02d94000 r-xp 00000000 fd:04 33557397                           /usr/bin/cilium-agent
02d94000-05f4b000 r--p 02994000 fd:04 33557397                           /usr/bin/cilium-agent
05f4b000-060a0000 rw-p 05b4b000 fd:04 33557397                           /usr/bin/cilium-agent
060a0000-0682e000 rw-p 00000000 00:00 0 
c000000000-c006c00000 rw-p 00000000 00:00 0 
c006c00000-c008000000 ---p 00000000 00:00 0 
7f2606c9f000-7f2606df7000 rw-p 00000000 00:00 0 
7f2606df7000-7f2606e38000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606e38000-7f2606e79000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606e79000-7f2606eba000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606eba000-7f2606efb000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606efb000-7f2606f3c000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606f3c000-7f2606f7d000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606f7d000-7f2606fbe000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606fbe000-7f2606fff000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2606fff000-7f2607114000 rw-p 00000000 00:00 0 
7f2607114000-7f2607116000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2607116000-7f2607118000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2607118000-7f260711a000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f260711a000-7f260711c000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f260711c000-7f260711e000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f260711e000-7f2607120000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2607120000-7f2607122000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2607122000-7f2607124000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f2607124000-7f26077aa000 rw-p 00000000 00:00 0 
7f26077ba000-7f26099cf000 rw-p 00000000 00:00 0 
7f26099cf000-7f2619b4f000 ---p 00000000 00:00 0 
7f2619b4f000-7f2619b50000 rw-p 00000000 00:00 0 
7f2619b50000-7f2639b4f000 ---p 00000000 00:00 0 
7f2639b4f000-7f2639b50000 rw-p 00000000 00:00 0 
7f2639b50000-7f264b9ff000 ---p 00000000 00:00 0 
7f264b9ff000-7f264ba00000 rw-p 00000000 00:00 0 
7f264ba00000-7f264ddd5000 ---p 00000000 00:00 0 
7f264ddd5000-7f264ddd6000 rw-p 00000000 00:00 0 
7f264ddd6000-7f264e24f000 ---p 00000000 00:00 0 
7f264e24f000-7f264e250000 rw-p 00000000 00:00 0 
7f264e250000-7f264e2cf000 ---p 00000000 00:00 0 
7f264e2cf000-7f264e32f000 rw-p 00000000 00:00 0 
7ffd62cfb000-7ffd62d1c000 rw-p 00000000 00:00 0                          [stack]
7ffd62db6000-7ffd62dba000 r--p 00000000 00:00 0                          [vvar]
7ffd62dba000-7ffd62dbc000 r-xp 00000000 00:00 0                          [vdso]

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc001e9a980)({
 config: (k8s.ServiceCacheConfig) {
  EnableServiceTopology: (bool) false
 },
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0013be360,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=20) {
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc0021982c0)(frontends:[100.96.145.47]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc002198420)(frontends:[100.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/cilium-envoy: (*k8s.Service)(0xc0021984d0)(frontends:[]/ports=[envoy-metrics]/selector=map[k8s-app:cilium-envoy]),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.Service)(0xc003eab600)(frontends:[100.96.25.171]/ports=[http https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc002198630)(frontends:[100.96.17.28]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.Service)(0xc002198160)(frontends:[100.96.134.117]/ports=[tcp-prometheus-servicemonitor]/selector=map[app.kubernetes.io/component:controller app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:cert-manager]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc002198370)(frontends:[100.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.Service)(0xc00615e9a0)(frontends:[100.96.56.167]/ports=[api]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-api app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.Service)(0xc00615ea50)(frontends:[100.96.132.20]/ports=[]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-metrics-scraper app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.Service)(0xc00615eb00)(frontends:[100.96.100.10]/ports=[kong-manager kong-manager-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.Service)(0xc000e39d90)(frontends:[100.96.56.17]/ports=[web]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-web app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.Service)(0xc000e38bb0)(frontends:[100.96.193.139]/ports=[http-dashboard]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.Service)(0xc000e38c60)(frontends:[100.96.210.73]/ports=[http-metrics]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.Service)(0xc000b27760)(frontends:[100.96.207.75]/ports=[auth]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-auth app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.Service)(0xc000e39970)(frontends:[100.96.69.141]/ports=[kong-proxy-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.Service)(0xc000e38000)(frontends:[100.96.17.12]/ports=[http]/selector=map[app:rook-ceph-rgw ceph_daemon_id:ceph-objectstore rgw:ceph-objectstore rook_cluster:rook-ceph rook_object_store:ceph-objectstore]),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.Service)(0xc002198210)(frontends:[100.96.171.42]/ports=[https]/selector=map[app.kubernetes.io/component:webhook app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:webhook]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc0021986e0)(frontends:[100.96.124.20]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) default/iperf3-server: (*k8s.Service)(0xc00585efd0)(frontends:[100.96.81.156]/ports=[]/selector=map[app:iperf3-server]),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.Service)(0xc0023868f0)(frontends:[100.96.194.255]/ports=[ceph-exporter-http-metrics]/selector=map[app:rook-ceph-exporter rook_cluster:rook-ceph])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=19) {
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc000a94098)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-jjc92": (*k8s.Endpoints)(0xc004d816c0)(10.64.16.111:4244/TCP,10.64.16.112:4244/TCP,10.64.16.113:4244/TCP,10.64.16.114:4244/TCP,10.64.16.115:4244/TCP,10.64.16.116:4244/TCP,10.64.16.117:4244/TCP,10.64.16.118:4244/TCP,10.64.16.119:4244/TCP,10.64.16.121:4244/TCP,10.64.16.122:4244/TCP,10.64.16.123:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc000a940a8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-dlw2k": (*k8s.Endpoints)(0xc0041524e0)(100.98.5.152:8081/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000a940b0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-72wgr": (*k8s.Endpoints)(0xc0042e9ad0)(100.98.5.232:53/TCP,100.98.5.232:53/UDP,100.98.5.232:9153/TCP,100.98.9.131:53/TCP,100.98.9.131:53/UDP,100.98.9.131:9153/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.EndpointSlices)(0xc001888498)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-api-npppm": (*k8s.Endpoints)(0xc001372f70)(100.98.8.4:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.EndpointSlices)(0xc000a941e0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=39) "kubernetes-dashboard-kong-manager-js8fc": (*k8s.Endpoints)(0xc002175d40)(100.98.5.83:8002/TCP,100.98.5.83:8445/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.EndpointSlices)(0xc0018884b8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=37) "kubernetes-dashboard-kong-proxy-msdkf": (*k8s.Endpoints)(0xc003bcc000)(100.98.5.83:8443/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.EndpointSlices)(0xc000a94a08)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "rook-ceph-mgr-b2r46": (*k8s.Endpoints)(0xc004d9ad00)(10.64.16.113:9283/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.EndpointSlices)(0xc001888488)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=31) "kubernetes-dashboard-auth-xkwmd": (*k8s.Endpoints)(0xc0020708f0)(100.98.5.166:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.EndpointSlices)(0xc000a949f8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=29) "rook-ceph-mgr-dashboard-j5tvt": (*k8s.Endpoints)(0xc004d9aea0)(10.64.16.113:7000/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.EndpointSlices)(0xc0007c8180)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "cert-manager-webhook-56hfc": (*k8s.Endpoints)(0xc000f69ba0)(100.98.9.107:10250/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.EndpointSlices)(0xc000a94090)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "cilium-ingress-lg2vr": (*k8s.Endpoints)(0xc000ef65b0)(192.192.192.192:9999/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.EndpointSlices)(0xc0007fcc30)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "rook-ceph-exporter-fcprh": (*k8s.Endpoints)(0xc000f2ed00)(10.64.16.111:9926/TCP,10.64.16.113:9926/TCP,10.64.16.117:9926/TCP,10.64.16.118:9926/TCP,10.64.16.119:9926/TCP,10.64.16.121:9926/TCP,10.64.16.123:9926/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.EndpointSlices)(0xc0007c8df0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=36) "rook-ceph-rgw-ceph-objectstore-7675g": (*k8s.Endpoints)(0xc003e98d00)(10.64.16.123:80/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.EndpointSlices)(0xc0007c8170)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "cert-manager-6zz6b": (*k8s.Endpoints)(0xc004152000)(100.98.9.178:9402/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc0007c8190)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc0008bf5f0)(10.64.16.111:6443/TCP,10.64.16.112:6443/TCP,10.64.16.113:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc000a940a0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-b7psv": (*k8s.Endpoints)(0xc0041ac000)(100.98.1.205:4245/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.EndpointSlices)(0xc000a941e8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=42) "kubernetes-dashboard-metrics-scraper-22gxx": (*k8s.Endpoints)(0xc0041b5790)(100.98.8.250:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.EndpointSlices)(0xc0007fd3a0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-web-chg8x": (*k8s.Endpoints)(0xc0041b5c70)(100.98.8.170:8000/TCP)
   }
  }),
  (k8s.ServiceID) default/iperf3-server: (*k8s.EndpointSlices)(0xc001889618)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "iperf3-server-wr74m": (*k8s.Endpoints)(0xc003abad00)(100.98.9.66:5201/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*tables.nodeAddressing)(0xc001729c80)({
  localNode: (*node.LocalNodeStore)(0xc000976600)({
   Observable: (stream.FuncObservable[github.com/cilium/cilium/pkg/node.LocalNode]) 0x1df7840,
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   value: (node.LocalNode) {
    Node: (types.Node) {
     Name: (string) (len=7) "master1",
     Cluster: (string) (len=7) "default",
     IPAddresses: ([]types.Address) (len=2 cap=2) {
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "InternalIP",
       IP: (net.IP) (len=16 cap=16) 10.64.16.111
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=16) "CiliumInternalIP",
       IP: (net.IP) (len=16 cap=26) 100.98.11.107
      }
     },
     IPv4AllocCIDR: (*cidr.CIDR)(0xc00171e268)(100.97.3.0/24),
     IPv4SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv6AllocCIDR: (*cidr.CIDR)(<nil>),
     IPv6SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv4HealthIP: (net.IP) (len=16 cap=26) 100.98.11.18,
     IPv6HealthIP: (net.IP) <nil>,
     IPv4IngressIP: (net.IP) (len=16 cap=26) 100.98.11.137,
     IPv6IngressIP: (net.IP) <nil>,
     ClusterID: (uint32) 0,
     Source: (source.Source) (len=5) "local",
     EncryptionKey: (uint8) 0,
     Labels: (map[string]string) (len=7) {
      (string) (len=16) "kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=37) "node-role.kubernetes.io/control-plane": (string) "",
      (string) (len=4) "role": (string) (len=4) "ctrl",
      (string) (len=23) "beta.kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=21) "beta.kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=18) "kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=22) "kubernetes.io/hostname": (string) (len=7) "master1"
     },
     Annotations: (map[string]string) (len=4) {
      (string) (len=32) "network.cilium.io/ipv4-health-ip": (string) (len=12) "100.98.11.18",
      (string) (len=34) "network.cilium.io/ipv4-cilium-host": (string) (len=13) "100.98.11.107",
      (string) (len=31) "network.cilium.io/ipv4-pod-cidr": (string) (len=13) "100.97.3.0/24",
      (string) (len=33) "network.cilium.io/ipv4-Ingress-ip": (string) (len=13) "100.98.11.137"
     },
     NodeIdentity: (uint32) 1,
     WireguardPubKey: (string) "",
     BootID: (string) (len=36) "f04ef24a-b567-4ef1-8b8d-b49d0efed22c"
    },
    OptOutNodeEncryption: (bool) false,
    UID: (types.UID) (len=36) "f6ae7917-f8d0-4b2f-b9f7-72c4e659bbf6",
    ProviderID: (string) ""
   },
   emit: (func(node.LocalNode)) 0x1df80e0,
   complete: (func(error)) 0x1df7ea0
  }),
  db: (*statedb.DB)(0xc000ede540)({
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   tables: (map[string]statedb.TableMeta) (len=4) {
    (string) (len=7) "devices": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc000864230)({
     table: (string) (len=7) "devices",
     smu: (*lock.sortableMutex)(0xc001708060)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 1,
      acquireDuration: (time.Duration) 1.96µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      },
      (string) (len=8) "selected": (statedb.anyIndexer) {
       name: (string) (len=8) "selected",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=6) "routes": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Route])(0xc000864280)({
     table: (string) (len=6) "routes",
     smu: (*lock.sortableMutex)(0xc001708078)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 2,
      acquireDuration: (time.Duration) 300ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=9) "LinkIndex": (statedb.anyIndexer) {
       name: (string) (len=9) "LinkIndex",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=14) "node-addresses": (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0008654f0)({
     table: (string) (len=14) "node-addresses",
     smu: (*lock.sortableMutex)(0xc0017080c0)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 3,
      acquireDuration: (time.Duration) 660ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
       unique: (bool) false
      }
     }
    }),
    (string) (len=11) "l2-announce": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.L2AnnounceEntry])(0xc0009eb630)({
     table: (string) (len=11) "l2-announce",
     smu: (*lock.sortableMutex)(0xc001f7a690)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 4,
      acquireDuration: (time.Duration) 220ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=6) "origin": (statedb.anyIndexer) {
       name: (string) (len=6) "origin",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    })
   },
   ctx: (*context.cancelCtx)(0xc0020ba370)(context.Background.WithCancel),
   cancel: (context.CancelFunc) 0x4a18e0,
   root: (atomic.Pointer[github.com/hashicorp/go-immutable-radix/v2.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]]) {
    _: ([0]*iradix.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]) {
    },
    _: (atomic.noCopy) {
    },
    v: (unsafe.Pointer) 0xc000b60ab0
   },
   gcTrigger: (chan struct {}) (cap=1) 0xc00204d620,
   gcExited: (chan struct {}) 0xc00204d680,
   gcRateLimitInterval: (time.Duration) 1s,
   metrics: (statedb.Metrics) {
    WriteTxnDuration: (*metric.histogramVec)(0xc00135e100)({
     ObserverVec: (*prometheus.HistogramVec)(0xc0013c5438)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbc780)({
       metricMap: (*prometheus.metricMap)(0xc000cbc7b0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001332480)(Desc{fqName: "cilium_statedb_write_txn_duration_seconds", help: "How long a write transaction was held.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=26) "write_txn_duration_seconds",
       Help: (string) (len=38) "How long a write transaction was held.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    WriteTxnAcquisition: (*metric.histogramVec)(0xc00135e180)({
     ObserverVec: (*prometheus.HistogramVec)(0xc0013c5440)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbc840)({
       metricMap: (*prometheus.metricMap)(0xc000cbc870)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0013324e0)(Desc{fqName: "cilium_statedb_write_txn_acquisition_seconds", help: "How long it took to acquire a write transaction for all tables.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "write_txn_acquisition_seconds",
       Help: (string) (len=63) "How long it took to acquire a write transaction for all tables.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableContention: (*metric.gaugeVec)(0xc00135e200)({
     GaugeVec: (*prometheus.GaugeVec)(0xc0013c5448)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbc8d0)({
       metricMap: (*prometheus.metricMap)(0xc000cbc900)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001332540)(Desc{fqName: "cilium_statedb_table_contention_seconds", help: "How long writers were blocked while waiting to acquire a write transaction for a specific table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=24) "table_contention_seconds",
       Help: (string) (len=96) "How long writers were blocked while waiting to acquire a write transaction for a specific table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableObjectCount: (*metric.gaugeVec)(0xc00135e280)({
     GaugeVec: (*prometheus.GaugeVec)(0xc0013c5450)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbc960)({
       metricMap: (*prometheus.metricMap)(0xc000cbc990)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0013325a0)(Desc{fqName: "cilium_statedb_table_objects", help: "The amount of objects in a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=13) "table_objects",
       Help: (string) (len=39) "The amount of objects in a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableRevision: (*metric.gaugeVec)(0xc00135e300)({
     GaugeVec: (*prometheus.GaugeVec)(0xc0013c5458)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbc9f0)({
       metricMap: (*prometheus.metricMap)(0xc000cbca20)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001332600)(Desc{fqName: "cilium_statedb_table_revision", help: "The current revision of a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=14) "table_revision",
       Help: (string) (len=38) "The current revision of a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableDeleteTrackerCount: (*metric.gaugeVec)(0xc00135e380)({
     GaugeVec: (*prometheus.GaugeVec)(0xc0013c5460)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbca80)({
       metricMap: (*prometheus.metricMap)(0xc000cbcab0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001332660)(Desc{fqName: "cilium_statedb_table_delete_trackers", help: "The amount of delete trackers for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=21) "table_delete_trackers",
       Help: (string) (len=48) "The amount of delete trackers for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardObjectCount: (*metric.gaugeVec)(0xc00135e400)({
     GaugeVec: (*prometheus.GaugeVec)(0xc0013c5468)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbcb40)({
       metricMap: (*prometheus.metricMap)(0xc000cbcb70)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0013326c0)(Desc{fqName: "cilium_statedb_table_graveyard_objects", help: "The amount of objects in the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=23) "table_graveyard_objects",
       Help: (string) (len=57) "The amount of objects in the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardLowWatermark: (*metric.gaugeVec)(0xc00135e480)({
     GaugeVec: (*prometheus.GaugeVec)(0xc0013c5470)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbcbd0)({
       metricMap: (*prometheus.metricMap)(0xc000cbcc00)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001332720)(Desc{fqName: "cilium_statedb_table_graveyard_low_watermark", help: "The lowest revision of a given table that has been processed by the graveyard garbage collector.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "table_graveyard_low_watermark",
       Help: (string) (len=96) "The lowest revision of a given table that has been processed by the graveyard garbage collector.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardCleaningDuration: (*metric.histogramVec)(0xc00135e500)({
     ObserverVec: (*prometheus.HistogramVec)(0xc0013c5478)({
      MetricVec: (*prometheus.MetricVec)(0xc000cbcc60)({
       metricMap: (*prometheus.metricMap)(0xc000cbccc0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001332780)(Desc{fqName: "cilium_statedb_table_graveyard_cleaning_duration_seconds", help: "The time it took to clean the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=41) "table_graveyard_cleaning_duration_seconds",
       Help: (string) (len=58) "The time it took to clean the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    })
   }
  }),
  nodeAddresses: (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0008654f0)({
   table: (string) (len=14) "node-addresses",
   smu: (*lock.sortableMutex)(0xc0017080c0)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 3,
    acquireDuration: (time.Duration) 660ns
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
     unique: (bool) false
    }
   }
  }),
  devices: (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc000864230)({
   table: (string) (len=7) "devices",
   smu: (*lock.sortableMutex)(0xc001708060)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 1,
    acquireDuration: (time.Duration) 1.96µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    },
    (string) (len=8) "selected": (statedb.anyIndexer) {
     name: (string) (len=8) "selected",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    }
   }
  })
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium version

```
1.15.3 22dfbc58 2024-03-26T11:45:10+01:00 go version go1.21.8 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.30 (v1.30.0) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   True      [eth0.1016   10.64.16.111 10.64.16.10 (Direct Routing), eth0.1020  127.195.189.158, eth0.1024  127.195.189.158]
Host firewall:          Enabled   [eth0.1016, eth0.1020, eth0.1024]
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.3 (v1.15.3-22dfbc58)
NodeMonitor:            Listening for events on 8 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 1 IPAM pool(s) available, 
Allocated addresses:
  100.98.11.107 (router)
  100.98.11.137 (ingress)
  100.98.11.18 (health)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       EDT with BPF [BBR] [eth0.1016, eth0.1020, eth0.1024]
Host Routing:           BPF
Masquerading:           BPF (ip-masq-agent)   [eth0.1016, eth0.1020, eth0.1024]   100.64.0.0/10 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      22/22 healthy
  Name                                  Last success   Last error    Count   Message
  cilium-health-ep                      57s ago        never         0       no error   
  dns-garbage-collector-job             1m1s ago       never         0       no error   
  endpoint-1677-regeneration-recovery   never          never         0       no error   
  endpoint-3421-regeneration-recovery   never          never         0       no error   
  endpoint-4090-regeneration-recovery   never          never         0       no error   
  endpoint-gc                           5m2s ago       never         0       no error   
  ep-bpf-prog-watchdog                  24s ago        never         0       no error   
  ipam-sync-multi-pool                  29h5m2s ago    never         0       no error   
  ipcache-inject-labels                 59s ago        29h5m2s ago   0       no error   
  k8s-heartbeat                         28s ago        never         0       no error   
  link-cache                            7s ago         never         0       no error   
  resolve-identity-1677                 5m0s ago       never         0       no error   
  resolve-identity-3421                 5m0s ago       never         0       no error   
  resolve-identity-4090                 4m59s ago      never         0       no error   
  sync-host-ips                         59s ago        never         0       no error   
  sync-lb-maps-with-k8s-services        29h5m1s ago    never         0       no error   
  sync-policymap-1677                   4m55s ago      never         0       no error   
  sync-policymap-4090                   4m57s ago      never         0       no error   
  sync-utime                            59s ago        never         0       no error   
  template-dir-watcher                  never          never         0       no error   
  update-k8s-node-annotations           29h5m2s ago    never         0       no error   
  write-cni-file                        29h5m2s ago    never         0       no error   
Proxy Status:            OK, ip 100.98.11.107, 0 redirects active on ports 10000-20000, Envoy: external
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 8191/8191 (100.00%), Flows/s: 5.18   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 True
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                eth0.1016   10.64.16.111 10.64.16.10 (Direct Routing), eth0.1020  127.195.189.158, eth0.1024  127.195.189.158
  Mode:                   DSR
    DSR Dispatch Mode:    IP Option/Extension
  Backend Selection:      Maglev (Table Size: 16381)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   73415
  TCP connection tracking       146830
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           146830
  Neighbor table                146830
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              73415
  Tunnel                        65536
Encryption:   Disabled   
```

#### Cilium environment keys

```
bpf-lb-rss-ipv6-src-cidr:
hubble-export-file-compress:false
ipv6-service-range:auto
kvstore-max-consecutive-quorum-errors:2
enable-node-port:false
egress-multi-home-ip-rule-compat:false
wireguard-persistent-keepalive:0s
bpf-policy-map-full-reconciliation-interval:15m0s
bpf-lb-dsr-dispatch:opt
kube-proxy-replacement:true
ipv4-node:auto
label-prefix-file:
agent-labels:
enable-mke:false
bpf-ct-timeout-regular-any:1m0s
kvstore-opt:
dnsproxy-enable-transparent-mode:true
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
conntrack-gc-interval:0s
enable-ingress-proxy-protocol:false
http-403-msg:
skip-cnp-status-startup-clean:false
cluster-id:0
hubble-redact-enabled:false
ipsec-key-file:
hubble-export-allowlist:
endpoint-status:
cluster-name:default
vtep-mask:
datapath-mode:veth
tofqdns-enable-dns-compression:true
cluster-health-port:4240
api-rate-limit:
custom-cni-conf:false
agent-liveness-update-interval:1s
ipam-default-ip-pool:default
remove-cilium-node-taints:true
derive-masquerade-ip-addr-from-device:
proxy-max-connection-duration-seconds:0
enable-l2-neigh-discovery:true
proxy-idle-timeout-seconds:60
auto-direct-node-routes:true
enable-local-redirect-policy:false
enable-k8s-api-discovery:false
hubble-redact-http-headers-allow:
enable-well-known-identities:false
auto-create-cilium-pod-ip-pools:default=ipv4-cidrs:100.98.0.0/15;ipv4-mask-size:24
bpf-nat-global-max:524288
sidecar-istio-proxy-image:cilium/istio_proxy
bpf-fragments-map-max:8192
dnsproxy-lock-count:131
dnsproxy-lock-timeout:500ms
ingress-secrets-namespace:cilium-secrets
enable-wireguard:false
enable-ipsec:false
fixed-identity-mapping:
tofqdns-dns-reject-response-code:refused
prometheus-serve-addr:
bpf-ct-timeout-service-any:1m0s
disable-iptables-feeder-rules:
enable-host-port:false
hubble-socket-path:/var/run/cilium/hubble.sock
policy-trigger-interval:1s
policy-audit-mode:false
policy-cidr-match-mode:
annotate-k8s-node:true
ipv6-cluster-alloc-cidr:f00d::/64
monitor-aggregation:medium
bpf-lb-acceleration:disabled
enable-monitor:true
ingress-default-lb-mode:shared
version:false
enable-ipv4:true
enable-runtime-device-detection:false
bpf-lb-rev-nat-map-max:0
bpf-ct-timeout-regular-tcp:2h13m20s
hubble-redact-http-urlquery:false
ipam:multi-pool
enable-policy:default
cni-log-file:/var/run/cilium/cilium-cni.log
config-sources:config-map:kube-system/cilium-config
lib-dir:/var/lib/cilium
enable-pmtu-discovery:false
conntrack-gc-max-interval:1800s
disable-envoy-version-check:false
kvstore-connectivity-timeout:2m0s
synchronize-k8s-nodes:true
hubble-disable-tls:false
ipam-cilium-node-update-rate:15s
hubble-listen-address::4244
enable-k8s-networkpolicy:true
enable-xdp-prefilter:false
kvstore:
ipv4-native-routing-cidr:100.64.0.0/10
enable-unreachable-routes:false
bpf-lb-external-clusterip:true
hubble-metrics-server:
l2-announcements-renew-deadline:5s
bpf-lb-sock:true
k8s-client-burst:40
egress-masquerade-interfaces:
hubble-recorder-sink-queue-size:1024
k8s-require-ipv6-pod-cidr:false
tofqdns-idle-connection-grace-period:0s
k8s-require-ipv4-pod-cidr:false
use-cilium-internal-ip-for-ipsec:false
hubble-monitor-events:
endpoint-bpf-prog-watchdog-interval:30s
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
enable-stale-cilium-endpoint-cleanup:true
trace-sock:true
operator-api-serve-addr:127.0.0.1:9234
agent-health-port:9879
hubble-export-file-path:
bpf-map-dynamic-size-ratio:0.0025
monitor-aggregation-interval:5s
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
max-connected-clusters:255
enable-ipv6-big-tcp:false
enable-health-check-loadbalancer-ip:false
disable-endpoint-crd:false
cflags:
gops-port:9890
loadbalancer-l7-algorithm:round_robin
hubble-redact-http-headers-deny:
hubble-export-file-max-backups:5
debug-verbose:
dnsproxy-concurrency-limit:0
identity-restore-grace-period:10m0s
state-dir:/var/run/cilium
hubble-recorder-storage-path:/var/run/cilium/pcaps
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
hubble-export-denylist:
enable-ipv4-masquerade:true
install-no-conntrack-iptables-rules:false
log-opt:
enable-local-node-route:true
ipv4-service-loopback-address:169.254.42.1
enable-high-scale-ipcache:false
kvstore-periodic-sync:5m0s
clustermesh-config:/var/lib/cilium/clustermesh/
endpoint-queue-size:25
preallocate-bpf-maps:false
bpf-root:/sys/fs/bpf
hubble-redact-kafka-apikey:false
bpf-filter-priority:1
enable-auto-protect-node-port-range:true
tofqdns-min-ttl:0
local-router-ipv6:
envoy-log:
http-normalize-path:true
loadbalancer-l7-ports:
enable-ipsec-key-watcher:true
enable-vtep:false
hubble-skip-unknown-cgroup-ids:true
monitor-queue-size:0
arping-refresh-period:30s
egress-gateway-reconciliation-trigger-interval:1s
ipam-multi-pool-pre-allocation:
mke-cgroup-mount:
debug:false
ipv4-range:auto
vtep-cidr:
cni-chaining-target:
dns-max-ips-per-restored-rule:1000
bpf-lb-map-max:65536
http-retry-count:3
enable-k8s-terminating-endpoint:true
bpf-lb-dsr-l4-xlate:frontend
limit-ipam-api-burst:30
enable-metrics:true
tunnel-port:0
mesh-auth-rotated-identities-queue-size:1024
enable-cilium-endpoint-slice:false
set-cilium-node-taints:true
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
mtu:0
cgroup-root:/sys/fs/cgroup
bgp-announce-pod-cidr:false
mesh-auth-spire-admin-socket:
enable-ingress-secrets-sync:true
metrics:
enable-l2-pod-announcements:false
join-cluster:false
bpf-lb-maglev-map-max:0
log-system-load:false
clustermesh-ip-identities-sync-timeout:1m0s
hubble-export-fieldmask:
exclude-local-address:
kube-proxy-replacement-healthz-bind-address:0.0.0.0:10256
bpf-ct-timeout-service-tcp-grace:1m0s
enable-external-ips:false
bpf-lb-source-range-map-max:0
bpf-neigh-global-max:524288
devices:eth0.1016 eth0.1020 eth0.1024
iptables-random-fully:false
node-port-range:
bpf-lb-mode:dsr
node-port-bind-protection:true
crd-wait-timeout:5m0s
k8s-client-qps:30
enable-recorder:false
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
pprof-address:localhost
service-no-backend-response:reject
encryption-strict-mode-allow-remote-node-identities:false
http-retry-timeout:0
monitor-aggregation-flags:all
tofqdns-proxy-port:0
proxy-gid:1337
keep-config:false
enforce-ingress-https:false
enable-tracing:false
proxy-max-requests-per-connection:0
ipv6-range:auto
mesh-auth-mutual-listener-port:0
identity-allocation-mode:crd
enable-wireguard-userspace-fallback:false
bpf-ct-timeout-regular-tcp-syn:1m0s
http-request-timeout:3600
endpoint-gc-interval:5m0s
hubble-export-file-max-size-mb:10
iptables-lock-timeout:5s
enable-health-checking:true
bpf-policy-map-max:16384
enable-cilium-api-server-access:
enable-icmp-rules:true
encryption-strict-mode-cidr:
nodes-gc-interval:5m0s
ipv4-service-range:auto
ipv6-native-routing-cidr:
enable-hubble:true
node-port-mode:snat
l2-pod-announcements-interface:
encrypt-interface:
k8s-service-cache-size:128
bpf-lb-affinity-map-max:0
mesh-auth-mutual-connect-timeout:5s
http-max-grpc-timeout:0
enable-session-affinity:true
k8s-heartbeat-timeout:30s
enable-endpoint-health-checking:true
ipv6-node:auto
bpf-lb-rss-ipv4-src-cidr:
cilium-endpoint-gc-interval:5m0s
identity-heartbeat-timeout:30m0s
bpf-lb-maglev-table-size:16381
proxy-prometheus-port:0
operator-prometheus-serve-addr::9963
ipsec-key-rotation-duration:5m0s
enable-bpf-masquerade:true
hubble-event-queue-size:16383
enable-host-firewall:true
mesh-auth-spiffe-trust-domain:spiffe.cilium
enable-srv6:false
dnsproxy-concurrency-processing-grace-period:0s
ip-masq-agent-config-path:/etc/config/ip-masq-agent
node-port-acceleration:disabled
enable-ipv4-fragment-tracking:true
hubble-event-buffer-capacity:8191
nodeport-addresses:
encrypt-node:false
dns-policy-unload-on-shutdown:false
controller-group-metrics:
cni-external-routing:false
enable-l7-proxy:true
tofqdns-proxy-response-max-delay:100ms
bpf-ct-global-any-max:262144
set-cilium-is-up-condition:true
enable-svc-source-range-check:true
bpf-map-event-buffers:
enable-xt-socket-fallback:true
external-envoy-proxy:true
enable-k8s:true
ingress-shared-lb-service-name:cilium-ingress
k8s-sync-timeout:3m0s
node-port-algorithm:random
envoy-config-timeout:2m0s
install-egress-gateway-routes:false
enable-bpf-clock-probe:false
enable-sctp:false
ipv6-pod-subnets:
enable-remote-node-identity:true
bpf-sock-rev-map-max:262144
cni-exclusive:true
enable-ipv6:false
certificates-directory:/var/run/cilium/certs
max-internal-timer-delay:0s
k8s-kubeconfig-path:
enable-ipv6-ndp:false
enable-health-check-nodeport:true
kvstore-lease-ttl:15m0s
enable-l2-announcements:true
bpf-auth-map-max:524288
fqdn-regex-compile-lru-size:1024
envoy-secrets-namespace:cilium-secrets
mesh-auth-signal-backoff-duration:1s
restore:true
k8s-service-proxy-name:
identity-change-grace-period:5s
tunnel-protocol:vxlan
loadbalancer-l7:envoy
proxy-connect-timeout:2
allow-icmp-frag-needed:true
policy-queue-size:100
socket-path:/var/run/cilium/cilium.sock
bpf-ct-timeout-regular-tcp-fin:10s
enable-custom-calls:false
bgp-config-path:/var/lib/cilium/bgp/config.yaml
local-router-ipv4:
max-controller-interval:0
l2-announcements-retry-period:2s
route-metric:0
prepend-iptables-chains:true
hubble-prefer-ipv6:false
auto-create-cilium-node-resource:true
bpf-lb-service-backend-map-max:0
local-max-addr-scope:252
enable-bandwidth-manager:true
vtep-endpoint:
enable-masquerade-to-route-source:false
hubble-redact-http-userinfo:true
read-cni-conf:
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
ipv6-mcast-device:
enable-endpoint-routes:true
enable-host-legacy-routing:false
enable-bgp-control-plane:false
config:
mesh-auth-enabled:true
hubble-metrics:
enable-identity-mark:true
bgp-announce-lb-ip:false
config-dir:/tmp/cilium/config-map
allow-localhost:auto
labels:
mesh-auth-gc-interval:5m0s
cni-chaining-mode:none
k8s-api-server:
enable-ipv4-egress-gateway:false
enable-k8s-endpoint-slice:true
k8s-namespace:kube-system
direct-routing-device:
identity-gc-interval:15m0s
enable-envoy-config:true
enable-ingress-controller:true
ipv4-pod-subnets:
enable-nat46x64-gateway:false
l2-announcements-lease-duration:15s
enable-bpf-tproxy:true
enable-encryption-strict-mode:false
enable-service-topology:false
allocator-list-timeout:3m0s
routing-mode:native
pprof:false
bypass-ip-availability-upon-restore:false
bpf-lb-service-map-max:0
ip-allocation-timeout:2m0s
enable-bbr:true
mesh-auth-queue-size:1024
enable-ipv6-masquerade:false
legacy-turn-off-k8s-event-handover:false
enable-ip-masq-agent:true
tofqdns-endpoint-max-ip-per-hostname:50
ingress-lb-annotation-prefixes:service.beta.kubernetes.io service.kubernetes.io cloud.google.com
bpf-ct-timeout-service-tcp:2h13m20s
pprof-port:6060
enable-ipv4-big-tcp:false
egress-gateway-policy-map-max:16384
vlan-bpf-bypass:
bpf-ct-global-tcp-max:524288
cmdref:
bpf-lb-sock-hostns-only:false
srv6-encap-mode:reduced
bpf-lb-algorithm:maglev
tofqdns-max-deferred-connection-deletes:10000
vtep-mac:
tofqdns-pre-cache:
trace-payloadlen:128
enable-hubble-recorder-api:true
hubble-flowlogs-config-path:
procfs:/host/proc
install-iptables-rules:true
log-driver:
http-idle-timeout:0
unmanaged-pod-watcher-interval:15
enable-cilium-health-api-server-access:
```


#### Policy get

```
:
 []
Revision: 2

```


#### Cilium encryption


