# Cilium debug information

#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.30 (v1.30.0) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   True      [eth0.1016  10.64.16.117 (Direct Routing), eth0.1020  127.49.70.125, eth0.1024  127.49.70.125]
Host firewall:          Enabled   [eth0.1016, eth0.1020, eth0.1024]
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.3 (v1.15.3-22dfbc58)
NodeMonitor:            Listening for events on 8 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 1 IPAM pool(s) available, 
Allocated addresses:
  100.98.4.144 (health)
  100.98.4.17 (ingress)
  100.98.4.177 (router)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       EDT with BPF [BBR] [eth0.1016, eth0.1020, eth0.1024]
Host Routing:           BPF
Masquerading:           BPF (ip-masq-agent)   [eth0.1016, eth0.1020, eth0.1024]   100.64.0.0/10 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      22/22 healthy
  Name                                  Last success   Last error    Count   Message
  cilium-health-ep                      56s ago        never         0       no error   
  dns-garbage-collector-job             1m0s ago       never         0       no error   
  endpoint-1089-regeneration-recovery   never          never         0       no error   
  endpoint-1232-regeneration-recovery   never          never         0       no error   
  endpoint-728-regeneration-recovery    never          never         0       no error   
  endpoint-gc                           1s ago         never         0       no error   
  ep-bpf-prog-watchdog                  24s ago        never         0       no error   
  ipam-sync-multi-pool                  29h5m1s ago    never         0       no error   
  ipcache-inject-labels                 58s ago        29h5m1s ago   0       no error   
  k8s-heartbeat                         26s ago        never         0       no error   
  link-cache                            6s ago         never         0       no error   
  resolve-identity-1089                 5m0s ago       never         0       no error   
  resolve-identity-1232                 5m0s ago       never         0       no error   
  resolve-identity-728                  4m58s ago      never         0       no error   
  sync-host-ips                         58s ago        never         0       no error   
  sync-lb-maps-with-k8s-services        29h5m0s ago    never         0       no error   
  sync-policymap-1089                   4m54s ago      never         0       no error   
  sync-policymap-728                    4m56s ago      never         0       no error   
  sync-utime                            58s ago        never         0       no error   
  template-dir-watcher                  never          never         0       no error   
  update-k8s-node-annotations           29h5m1s ago    never         0       no error   
  write-cni-file                        29h5m1s ago    never         0       no error   
Proxy Status:            OK, ip 100.98.4.177, 0 redirects active on ports 10000-20000, Envoy: external
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 8191/8191 (100.00%), Flows/s: 4.46   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 True
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                eth0.1016  10.64.16.117 (Direct Routing), eth0.1020  127.49.70.125, eth0.1024  127.49.70.125
  Mode:                   DSR
    DSR Dispatch Mode:    IP Option/Extension
  Backend Selection:      Maglev (Table Size: 16381)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   73415
  TCP connection tracking       146830
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           146830
  Neighbor table                146830
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              73415
  Tunnel                        65536
Encryption:   Disabled   
```

#### Service list

```
ID   Frontend              Service Type   Backend                            
1    100.96.134.117:9402   ClusterIP      1 => 100.98.9.178:9402 (active)    
2    100.96.171.42:443     ClusterIP      1 => 100.98.9.107:10250 (active)   
3    100.96.0.1:443        ClusterIP      1 => 10.64.16.112:6443 (active)    
                                          2 => 10.64.16.113:6443 (active)    
                                          3 => 10.64.16.111:6443 (active)    
4    100.96.25.171:80      ClusterIP                                         
5    100.96.25.171:443     ClusterIP                                         
6    100.96.17.28:443      ClusterIP      1 => 10.64.16.117:4244 (active)    
7    100.96.124.20:80      ClusterIP      1 => 100.98.1.205:4245 (active)    
8    100.96.145.47:80      ClusterIP      1 => 100.98.5.152:8081 (active)    
9    100.96.0.10:53        ClusterIP      1 => 100.98.5.232:53 (active)      
                                          2 => 100.98.9.131:53 (active)      
10   100.96.0.10:9153      ClusterIP      1 => 100.98.5.232:9153 (active)    
                                          2 => 100.98.9.131:9153 (active)    
11   100.96.207.75:8000    ClusterIP      1 => 100.98.5.166:8000 (active)    
12   100.96.56.167:8000    ClusterIP      1 => 100.98.8.4:8000 (active)      
13   100.96.100.10:8445    ClusterIP      1 => 100.98.5.83:8445 (active)     
14   100.96.100.10:8002    ClusterIP      1 => 100.98.5.83:8002 (active)     
15   10.64.16.117:30619    NodePort       1 => 100.98.5.83:8002 (active)     
16   0.0.0.0:30619         NodePort       1 => 100.98.5.83:8002 (active)     
17   0.0.0.0:30766         NodePort       1 => 100.98.5.83:8445 (active)     
18   10.64.16.117:30766    NodePort       1 => 100.98.5.83:8445 (active)     
19   100.96.132.20:8000    ClusterIP      1 => 100.98.8.250:8000 (active)    
20   100.96.69.141:443     ClusterIP      1 => 100.98.5.83:8443 (active)     
21   100.96.56.17:8000     ClusterIP      1 => 100.98.8.170:8000 (active)    
22   10.64.20.50:80        LoadBalancer                                      
23   10.64.20.50:443       LoadBalancer                                      
24   100.96.81.156:5201    ClusterIP      1 => 100.98.9.66:5201 (active)     
25   10.64.20.60:5201      LoadBalancer   1 => 100.98.9.66:5201 (active)     
26   100.96.194.255:9926   ClusterIP      1 => 10.64.16.117:9926 (active)    
                                          2 => 10.64.16.119:9926 (active)    
                                          3 => 10.64.16.113:9926 (active)    
                                          4 => 10.64.16.118:9926 (active)    
                                          5 => 10.64.16.111:9926 (active)    
                                          6 => 10.64.16.121:9926 (active)    
                                          7 => 10.64.16.123:9926 (active)    
27   100.96.193.139:7000   ClusterIP      1 => 10.64.16.113:7000 (active)    
28   100.96.210.73:9283    ClusterIP      1 => 10.64.16.113:9283 (active)    
29   100.96.17.12:80       ClusterIP      1 => 10.64.16.123:80 (active)      
```

#### Cilium memory map


```
00400000-02d94000 r-xp 00000000 fd:04 33718893                           /usr/bin/cilium-agent
02d94000-05f4b000 r--p 02994000 fd:04 33718893                           /usr/bin/cilium-agent
05f4b000-060a0000 rw-p 05b4b000 fd:04 33718893                           /usr/bin/cilium-agent
060a0000-0682e000 rw-p 00000000 00:00 0 
c000000000-c006c00000 rw-p 00000000 00:00 0 
c006c00000-c008000000 ---p 00000000 00:00 0 
7f8ba297f000-7f8ba2a7f000 rw-p 00000000 00:00 0 
7f8ba2a7f000-7f8ba2ac0000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2ac0000-7f8ba2b01000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2b01000-7f8ba2b42000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2b42000-7f8ba2b83000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2b83000-7f8ba2bc4000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2bc4000-7f8ba2c05000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2c05000-7f8ba2c46000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2c46000-7f8ba2c87000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2c87000-7f8ba2d9c000 rw-p 00000000 00:00 0 
7f8ba2d9c000-7f8ba2d9e000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2d9e000-7f8ba2da0000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2da0000-7f8ba2da2000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2da2000-7f8ba2da4000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2da4000-7f8ba2da6000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2da6000-7f8ba2da8000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2da8000-7f8ba2daa000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2daa000-7f8ba2dac000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f8ba2dac000-7f8ba5697000 rw-p 00000000 00:00 0 
7f8ba5697000-7f8bb5817000 ---p 00000000 00:00 0 
7f8bb5817000-7f8bb5818000 rw-p 00000000 00:00 0 
7f8bb5818000-7f8bd5817000 ---p 00000000 00:00 0 
7f8bd5817000-7f8bd5818000 rw-p 00000000 00:00 0 
7f8bd5818000-7f8be76c7000 ---p 00000000 00:00 0 
7f8be76c7000-7f8be76c8000 rw-p 00000000 00:00 0 
7f8be76c8000-7f8be9a9d000 ---p 00000000 00:00 0 
7f8be9a9d000-7f8be9a9e000 rw-p 00000000 00:00 0 
7f8be9a9e000-7f8be9f17000 ---p 00000000 00:00 0 
7f8be9f17000-7f8be9f18000 rw-p 00000000 00:00 0 
7f8be9f18000-7f8be9f97000 ---p 00000000 00:00 0 
7f8be9f97000-7f8be9ff7000 rw-p 00000000 00:00 0 
7fff00755000-7fff00776000 rw-p 00000000 00:00 0                          [stack]
7fff0079d000-7fff007a1000 r--p 00000000 00:00 0                          [vvar]
7fff007a1000-7fff007a3000 r-xp 00000000 00:00 0                          [vdso]

```


#### Cilium encryption



#### Cilium version

```
1.15.3 22dfbc58 2024-03-26T11:45:10+01:00 go version go1.21.8 linux/amd64
```


#### Kernel version

```
6.6.28
```


#### Cilium environment keys

```
enable-ipv4-big-tcp:false
allow-icmp-frag-needed:true
tunnel-port:0
cluster-id:0
enable-icmp-rules:true
policy-trigger-interval:1s
bpf-lb-dsr-dispatch:opt
enable-host-legacy-routing:false
hubble-event-queue-size:16383
enable-l2-neigh-discovery:true
monitor-aggregation-interval:5s
bpf-lb-sock-hostns-only:false
mesh-auth-spiffe-trust-domain:spiffe.cilium
kvstore-opt:
conntrack-gc-max-interval:1800s
labels:
install-egress-gateway-routes:false
pprof-port:6060
cni-chaining-mode:none
log-system-load:false
ipv6-range:auto
enable-recorder:false
prepend-iptables-chains:true
dnsproxy-enable-transparent-mode:true
k8s-namespace:kube-system
agent-labels:
vtep-mask:
local-max-addr-scope:252
bpf-policy-map-full-reconciliation-interval:15m0s
endpoint-queue-size:25
enable-ipsec-key-watcher:true
install-no-conntrack-iptables-rules:false
ingress-shared-lb-service-name:cilium-ingress
enable-bpf-clock-probe:false
hubble-disable-tls:false
legacy-turn-off-k8s-event-handover:false
bpf-ct-timeout-regular-tcp:2h13m20s
enable-cilium-api-server-access:
ipv4-service-range:auto
http-normalize-path:true
bpf-nat-global-max:524288
enable-k8s-api-discovery:false
dnsproxy-concurrency-limit:0
bgp-announce-lb-ip:false
hubble-metrics:
mesh-auth-spire-admin-socket:
enable-service-topology:false
enable-k8s:true
auto-create-cilium-pod-ip-pools:default=ipv4-cidrs:100.98.0.0/15;ipv4-mask-size:24
node-port-mode:snat
synchronize-k8s-nodes:true
derive-masquerade-ip-addr-from-device:
hubble-recorder-sink-queue-size:1024
kvstore:
restore:true
cmdref:
bpf-ct-timeout-regular-tcp-syn:1m0s
ipv4-service-loopback-address:169.254.42.1
endpoint-bpf-prog-watchdog-interval:30s
bpf-lb-sock:true
trace-sock:true
metrics:
enable-host-firewall:true
annotate-k8s-node:true
hubble-export-file-max-size-mb:10
ipsec-key-rotation-duration:5m0s
enable-wireguard:false
crd-wait-timeout:5m0s
k8s-client-qps:30
enable-bpf-masquerade:true
policy-cidr-match-mode:
hubble-export-file-compress:false
fixed-identity-mapping:
socket-path:/var/run/cilium/cilium.sock
remove-cilium-node-taints:true
l2-pod-announcements-interface:
monitor-queue-size:0
mtu:0
enable-policy:default
enable-k8s-endpoint-slice:true
log-driver:
local-router-ipv6:
enable-ipv6-masquerade:false
dns-policy-unload-on-shutdown:false
enable-xt-socket-fallback:true
enable-wireguard-userspace-fallback:false
custom-cni-conf:false
agent-liveness-update-interval:1s
enable-k8s-networkpolicy:true
node-port-acceleration:disabled
install-iptables-rules:true
envoy-secrets-namespace:cilium-secrets
preallocate-bpf-maps:false
allocator-list-timeout:3m0s
enable-local-redirect-policy:false
enable-ip-masq-agent:true
endpoint-status:
enable-bandwidth-manager:true
k8s-sync-timeout:3m0s
use-cilium-internal-ip-for-ipsec:false
enable-cilium-health-api-server-access:
enable-runtime-device-detection:false
pprof:false
enable-monitor:true
cni-exclusive:true
loadbalancer-l7-algorithm:round_robin
join-cluster:false
egress-masquerade-interfaces:
config-dir:/tmp/cilium/config-map
bpf-lb-rss-ipv6-src-cidr:
hubble-redact-http-headers-allow:
bpf-neigh-global-max:524288
tunnel-protocol:vxlan
debug:false
tofqdns-proxy-response-max-delay:100ms
external-envoy-proxy:true
mesh-auth-signal-backoff-duration:1s
fqdn-regex-compile-lru-size:1024
enable-bgp-control-plane:false
max-controller-interval:0
enable-ingress-proxy-protocol:false
egress-gateway-policy-map-max:16384
policy-audit-mode:false
k8s-heartbeat-timeout:30s
http-retry-count:3
bpf-lb-mode:dsr
enable-svc-source-range-check:true
api-rate-limit:
cluster-name:default
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
k8s-kubeconfig-path:
kvstore-periodic-sync:5m0s
enable-node-port:false
enable-ipv6-ndp:false
enable-well-known-identities:false
kvstore-lease-ttl:15m0s
proxy-prometheus-port:0
enable-remote-node-identity:true
enable-external-ips:false
bpf-auth-map-max:524288
ipv6-service-range:auto
ipv6-node:auto
enable-health-check-nodeport:true
enable-masquerade-to-route-source:false
datapath-mode:veth
bpf-ct-timeout-service-tcp-grace:1m0s
node-port-bind-protection:true
monitor-aggregation:medium
bpf-ct-timeout-regular-any:1m0s
hubble-listen-address::4244
hubble-socket-path:/var/run/cilium/hubble.sock
tofqdns-proxy-port:0
local-router-ipv4:
auto-create-cilium-node-resource:true
ipv4-pod-subnets:
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
k8s-require-ipv6-pod-cidr:false
agent-health-port:9879
state-dir:/var/run/cilium
enable-xdp-prefilter:false
tofqdns-enable-dns-compression:true
disable-endpoint-crd:false
nodes-gc-interval:5m0s
enable-ipv6:false
envoy-config-timeout:2m0s
gops-port:9890
ip-masq-agent-config-path:/etc/config/ip-masq-agent
bpf-sock-rev-map-max:262144
bpf-ct-global-tcp-max:524288
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
enable-health-checking:true
limit-ipam-api-burst:30
cni-chaining-target:
hubble-prefer-ipv6:false
l2-announcements-lease-duration:15s
set-cilium-node-taints:true
bpf-filter-priority:1
hubble-event-buffer-capacity:8191
cni-log-file:/var/run/cilium/cilium-cni.log
hubble-metrics-server:
read-cni-conf:
ipv4-range:auto
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
l2-announcements-retry-period:2s
cgroup-root:/sys/fs/cgroup
hubble-export-denylist:
dns-max-ips-per-restored-rule:1000
hubble-export-fieldmask:
disable-iptables-feeder-rules:
encryption-strict-mode-cidr:
enforce-ingress-https:false
lib-dir:/var/lib/cilium
bpf-ct-timeout-service-tcp:2h13m20s
route-metric:0
hubble-flowlogs-config-path:
operator-prometheus-serve-addr::9963
enable-cilium-endpoint-slice:false
enable-local-node-route:true
hubble-redact-http-headers-deny:
enable-ingress-controller:true
k8s-api-server:
tofqdns-max-deferred-connection-deletes:10000
bpf-lb-map-max:65536
clustermesh-ip-identities-sync-timeout:1m0s
envoy-log:
mesh-auth-rotated-identities-queue-size:1024
ipv4-native-routing-cidr:100.64.0.0/10
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
enable-endpoint-routes:true
identity-gc-interval:15m0s
ipsec-key-file:
iptables-lock-timeout:5s
node-port-algorithm:random
identity-restore-grace-period:10m0s
ipam:multi-pool
kvstore-connectivity-timeout:2m0s
bpf-lb-acceleration:disabled
bpf-map-dynamic-size-ratio:0.0025
identity-change-grace-period:5s
enable-stale-cilium-endpoint-cleanup:true
enable-ipv4-egress-gateway:false
vtep-mac:
enable-health-check-loadbalancer-ip:false
tofqdns-endpoint-max-ip-per-hostname:50
enable-custom-calls:false
conntrack-gc-interval:0s
hubble-monitor-events:
dnsproxy-lock-count:131
node-port-range:
hubble-redact-enabled:false
bpf-lb-source-range-map-max:0
bpf-lb-affinity-map-max:0
egress-gateway-reconciliation-trigger-interval:1s
routing-mode:native
auto-direct-node-routes:true
mesh-auth-gc-interval:5m0s
vlan-bpf-bypass:
allow-localhost:auto
enable-ipv4-masquerade:true
ipam-default-ip-pool:default
bgp-announce-pod-cidr:false
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
enable-k8s-terminating-endpoint:true
bgp-config-path:/var/lib/cilium/bgp/config.yaml
set-cilium-is-up-condition:true
ipv6-cluster-alloc-cidr:f00d::/64
identity-heartbeat-timeout:30m0s
bpf-root:/sys/fs/bpf
bpf-lb-external-clusterip:true
http-request-timeout:3600
enable-host-port:false
enable-vtep:false
kube-proxy-replacement:true
enable-nat46x64-gateway:false
disable-envoy-version-check:false
ipam-multi-pool-pre-allocation:
tofqdns-min-ttl:0
srv6-encap-mode:reduced
wireguard-persistent-keepalive:0s
bpf-lb-dsr-l4-xlate:frontend
egress-multi-home-ip-rule-compat:false
l2-announcements-renew-deadline:5s
bpf-policy-map-max:16384
exclude-local-address:
ipv6-native-routing-cidr:
ipam-cilium-node-update-rate:15s
devices:eth0.1016 eth0.1020 eth0.1024
http-retry-timeout:0
hubble-export-file-max-backups:5
kvstore-max-consecutive-quorum-errors:2
vtep-endpoint:
hubble-redact-http-userinfo:true
enable-pmtu-discovery:false
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
ingress-default-lb-mode:shared
proxy-idle-timeout-seconds:60
cni-external-routing:false
max-connected-clusters:255
ingress-secrets-namespace:cilium-secrets
endpoint-gc-interval:5m0s
enable-l7-proxy:true
controller-group-metrics:
enable-l2-pod-announcements:false
certificates-directory:/var/run/cilium/certs
bpf-lb-rss-ipv4-src-cidr:
config:
version:false
config-sources:config-map:kube-system/cilium-config
enable-endpoint-health-checking:true
arping-refresh-period:30s
procfs:/host/proc
mesh-auth-mutual-listener-port:0
max-internal-timer-delay:0s
enable-session-affinity:true
kube-proxy-replacement-healthz-bind-address:0.0.0.0:10256
enable-ipv4:true
enable-sctp:false
proxy-connect-timeout:2
loadbalancer-l7:envoy
dnsproxy-concurrency-processing-grace-period:0s
hubble-redact-kafka-apikey:false
monitor-aggregation-flags:all
hubble-export-allowlist:
direct-routing-device:
enable-srv6:false
enable-bpf-tproxy:true
enable-ingress-secrets-sync:true
bpf-lb-service-backend-map-max:0
enable-unreachable-routes:false
service-no-backend-response:reject
enable-envoy-config:true
keep-config:false
enable-ipsec:false
ipv6-mcast-device:
mesh-auth-enabled:true
mesh-auth-mutual-connect-timeout:5s
operator-api-serve-addr:127.0.0.1:9234
bpf-map-event-buffers:
cflags:
k8s-service-cache-size:128
pprof-address:localhost
ipv6-pod-subnets:
enable-l2-announcements:true
clustermesh-config:/var/lib/cilium/clustermesh/
tofqdns-dns-reject-response-code:refused
log-opt:
skip-cnp-status-startup-clean:false
hubble-redact-http-urlquery:false
k8s-require-ipv4-pod-cidr:false
bpf-ct-global-any-max:262144
bpf-ct-timeout-service-any:1m0s
k8s-service-proxy-name:
enable-mke:false
iptables-random-fully:false
identity-allocation-mode:crd
hubble-skip-unknown-cgroup-ids:true
enable-bbr:true
bpf-lb-algorithm:maglev
enable-metrics:true
encrypt-node:false
dnsproxy-lock-timeout:500ms
bpf-lb-maglev-map-max:0
cilium-endpoint-gc-interval:5m0s
mesh-auth-queue-size:1024
label-prefix-file:
ip-allocation-timeout:2m0s
ingress-lb-annotation-prefixes:service.beta.kubernetes.io service.kubernetes.io cloud.google.com
encryption-strict-mode-allow-remote-node-identities:false
bypass-ip-availability-upon-restore:false
tofqdns-pre-cache:
proxy-gid:1337
http-403-msg:
unmanaged-pod-watcher-interval:15
http-max-grpc-timeout:0
proxy-max-connection-duration-seconds:0
http-idle-timeout:0
hubble-recorder-storage-path:/var/run/cilium/pcaps
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
enable-hubble-recorder-api:true
nodeport-addresses:
debug-verbose:
mke-cgroup-mount:
enable-ipv4-fragment-tracking:true
bpf-ct-timeout-regular-tcp-fin:10s
enable-high-scale-ipcache:false
bpf-lb-rev-nat-map-max:0
enable-identity-mark:true
proxy-max-requests-per-connection:0
enable-auto-protect-node-port-range:true
hubble-export-file-path:
bpf-fragments-map-max:8192
loadbalancer-l7-ports:
prometheus-serve-addr:
enable-ipv6-big-tcp:false
k8s-client-burst:40
ipv4-node:auto
cluster-health-port:4240
enable-tracing:false
enable-encryption-strict-mode:false
encrypt-interface:
bpf-lb-maglev-table-size:16381
enable-hubble:true
bpf-lb-service-map-max:0
trace-payloadlen:128
vtep-cidr:
tofqdns-idle-connection-grace-period:0s
sidecar-istio-proxy-image:cilium/istio_proxy
policy-queue-size:100
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])   IPv6   IPv4           STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                      
728        Disabled           Disabled          4          reserved:health                      100.98.4.144   ready   
1089       Disabled           Disabled          1          k8s:role=storage                                    ready   
                                                           reserved:host                                               
1232       Disabled           Disabled          8          reserved:ingress                     100.98.4.17    ready   
```

#### BPF Policy Get 728

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES      PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    10696378   134420    0        
Allow    Ingress     1          ANY          NONE         disabled    1382238    15708     0        
Allow    Egress      0          ANY          NONE         disabled    0          0         0        

```


#### BPF CT List 728

```
Invalid argument: unknown type 728
```


#### Endpoint Get 728

```
[
  {
    "id": 728,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-728-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "a744caac-a2d5-4086-8e96-45be0dd12e24"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-728",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:54.273Z",
            "success-count": 349
          },
          "uuid": "2c08a0de-4682-4d57-905f-c2e091573885"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-728",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:56.830Z",
            "success-count": 117
          },
          "uuid": "05446b00-8313-4f75-bad9-26d8732786a9"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.4.144",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "da:cb:4b:0a:50:9e",
        "interface-index": 15,
        "interface-name": "lxc_health",
        "mac": "32:91:ce:33:88:7f"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 728

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 728

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:54Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 1089

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES        PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    3581693591   1618032   0        
Allow    Egress      0          ANY          NONE         disabled    5587870166   5088929   0        

```


#### BPF CT List 1089

```
Invalid argument: unknown type 1089
```


#### Endpoint Get 1089

```
[
  {
    "id": 1089,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1089-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "39fe42f5-6054-41bd-a8a8-bfdb996c8ea1"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1089",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.207Z",
            "success-count": 350
          },
          "uuid": "28cec092-b8c9-4218-a505-53c4dd0cf191"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-1089",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:58.255Z",
            "success-count": 117
          },
          "uuid": "0806d19c-fe73-496c-8a4e-a7a04064d81a"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:role=storage"
        ]
      },
      "labels": {
        "derived": [
          "k8s:role=storage",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:role=storage",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "9e:92:8f:2c:ab:35",
        "interface-name": "cilium_host",
        "mac": "9e:92:8f:2c:ab:35"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1089

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1089

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:58Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:52Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:52Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 1232

```
Error: Failed to open map: loading pinned map /sys/fs/bpf/tc/globals/cilium_policy_01232: no such file or directory


```


#### BPF CT List 1232

```
Invalid argument: unknown type 1232
```


#### Endpoint Get 1232

```
[
  {
    "id": 1232,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1232-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "a94adbc0-4994-41b9-aca7-77aaa0ded3ee"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1232",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.208Z",
            "success-count": 350
          },
          "uuid": "856a3922-4897-4e30-a1b5-e53fda7c6b74"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8,
        "labels": [
          "reserved:ingress"
        ]
      },
      "labels": {
        "derived": [
          "reserved:ingress"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:ingress"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.4.17"
          }
        ]
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1232

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1232

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:55Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:52Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:52Z   OK       waiting-for-identity    Ingress Endpoint creation

```


#### Identity get 8

```
ID   LABELS
8    reserved:ingress

```


#### Policy get

```
:
 []
Revision: 2

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc000a16280)({
 config: (k8s.ServiceCacheConfig) {
  EnableServiceTopology: (bool) false
 },
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0019dea20,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=20) {
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc0016c44d0)(frontends:[100.96.124.20]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0016c46e0)(frontends:[100.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0016c4840)(frontends:[100.96.17.28]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.Service)(0xc0062b64d0)(frontends:[100.96.69.141]/ports=[kong-proxy-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.Service)(0xc0062b6580)(frontends:[100.96.56.17]/ports=[web]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-web app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.Service)(0xc00611b760)(frontends:[100.96.210.73]/ports=[http-metrics]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.Service)(0xc0016c4370)(frontends:[100.96.171.42]/ports=[https]/selector=map[app.kubernetes.io/component:webhook app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:webhook]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.Service)(0xc0062b6420)(frontends:[100.96.132.20]/ports=[]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-metrics-scraper app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc0016c4580)(frontends:[100.96.145.47]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc0016c4630)(frontends:[100.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/cilium-envoy: (*k8s.Service)(0xc0016c4790)(frontends:[]/ports=[envoy-metrics]/selector=map[k8s-app:cilium-envoy]),
  (k8s.ServiceID) default/iperf3-server: (*k8s.Service)(0xc0062b71e0)(frontends:[100.96.81.156]/ports=[]/selector=map[app:iperf3-server]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.Service)(0xc000bd9ad0)(frontends:[100.96.193.139]/ports=[http-dashboard]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.Service)(0xc004daa8f0)(frontends:[100.96.17.12]/ports=[http]/selector=map[app:rook-ceph-rgw ceph_daemon_id:ceph-objectstore rgw:ceph-objectstore rook_cluster:rook-ceph rook_object_store:ceph-objectstore]),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.Service)(0xc0016c42c0)(frontends:[100.96.134.117]/ports=[tcp-prometheus-servicemonitor]/selector=map[app.kubernetes.io/component:controller app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:cert-manager]),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.Service)(0xc000bd94a0)(frontends:[100.96.25.171]/ports=[http https]/selector=map[]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.Service)(0xc0062b62c0)(frontends:[100.96.207.75]/ports=[auth]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-auth app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.Service)(0xc006512630)(frontends:[100.96.56.167]/ports=[api]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-api app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.Service)(0xc006512840)(frontends:[100.96.100.10]/ports=[kong-manager kong-manager-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.Service)(0xc0042c2bb0)(frontends:[100.96.194.255]/ports=[ceph-exporter-http-metrics]/selector=map[app:rook-ceph-exporter rook_cluster:rook-ceph])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=19) {
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc0016e6060)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-b7psv": (*k8s.Endpoints)(0xc004180410)(100.98.1.205:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc0016e6068)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-dlw2k": (*k8s.Endpoints)(0xc0041800d0)(100.98.5.152:8081/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.EndpointSlices)(0xc00151af90)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=31) "kubernetes-dashboard-auth-xkwmd": (*k8s.Endpoints)(0xc001815450)(100.98.5.166:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.EndpointSlices)(0xc0008ba328)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-api-npppm": (*k8s.Endpoints)(0xc003b295f0)(100.98.8.4:8000/TCP)
   }
  }),
  (k8s.ServiceID) default/iperf3-server: (*k8s.EndpointSlices)(0xc00151b700)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "iperf3-server-wr74m": (*k8s.Endpoints)(0xc003b12750)(100.98.9.66:5201/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.EndpointSlices)(0xc000a68370)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=37) "kubernetes-dashboard-kong-proxy-msdkf": (*k8s.Endpoints)(0xc004e41c70)(100.98.5.83:8443/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.EndpointSlices)(0xc001448530)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "rook-ceph-exporter-fcprh": (*k8s.Endpoints)(0xc004c79110)(10.64.16.111:9926/TCP,10.64.16.113:9926/TCP,10.64.16.117:9926/TCP,10.64.16.118:9926/TCP,10.64.16.119:9926/TCP,10.64.16.121:9926/TCP,10.64.16.123:9926/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc0016e6058)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-jjc92": (*k8s.Endpoints)(0xc004e411e0)(10.64.16.111:4244/TCP,10.64.16.112:4244/TCP,10.64.16.113:4244/TCP,10.64.16.114:4244/TCP,10.64.16.115:4244/TCP,10.64.16.116:4244/TCP,10.64.16.117:4244/TCP,10.64.16.118:4244/TCP,10.64.16.119:4244/TCP,10.64.16.121:4244/TCP,10.64.16.122:4244/TCP,10.64.16.123:4244/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.EndpointSlices)(0xc00151afa8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=42) "kubernetes-dashboard-metrics-scraper-22gxx": (*k8s.Endpoints)(0xc0018151e0)(100.98.8.250:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.EndpointSlices)(0xc000dcacd8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=29) "rook-ceph-mgr-dashboard-j5tvt": (*k8s.Endpoints)(0xc00473f520)(10.64.16.113:7000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.EndpointSlices)(0xc0016e6eb8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=36) "rook-ceph-rgw-ceph-objectstore-7675g": (*k8s.Endpoints)(0xc00473e340)(10.64.16.123:80/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.EndpointSlices)(0xc000a68380)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-web-chg8x": (*k8s.Endpoints)(0xc001815790)(100.98.8.170:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.EndpointSlices)(0xc0008baa58)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "rook-ceph-mgr-b2r46": (*k8s.Endpoints)(0xc00473f380)(10.64.16.113:9283/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.EndpointSlices)(0xc0016e6038)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "cert-manager-6zz6b": (*k8s.Endpoints)(0xc001d60750)(100.98.9.178:9402/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.EndpointSlices)(0xc0016e6040)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "cert-manager-webhook-56hfc": (*k8s.Endpoints)(0xc003af6820)(100.98.9.107:10250/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc0016e6048)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc001c3aea0)(10.64.16.111:6443/TCP,10.64.16.112:6443/TCP,10.64.16.113:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.EndpointSlices)(0xc0016e6050)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "cilium-ingress-lg2vr": (*k8s.Endpoints)(0xc001c3b1e0)(192.192.192.192:9999/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc0016e6070)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-72wgr": (*k8s.Endpoints)(0xc003dd2000)(100.98.5.232:53/TCP,100.98.5.232:53/UDP,100.98.5.232:9153/TCP,100.98.9.131:53/TCP,100.98.9.131:53/UDP,100.98.9.131:9153/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.EndpointSlices)(0xc00151afa0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=39) "kubernetes-dashboard-kong-manager-js8fc": (*k8s.Endpoints)(0xc004e41e10)(100.98.5.83:8002/TCP,100.98.5.83:8445/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*tables.nodeAddressing)(0xc0019a0210)({
  localNode: (*node.LocalNodeStore)(0xc000936f00)({
   Observable: (stream.FuncObservable[github.com/cilium/cilium/pkg/node.LocalNode]) 0x1df7840,
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   value: (node.LocalNode) {
    Node: (types.Node) {
     Name: (string) (len=5) "stor1",
     Cluster: (string) (len=7) "default",
     IPAddresses: ([]types.Address) (len=2 cap=2) {
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "InternalIP",
       IP: (net.IP) (len=16 cap=16) 10.64.16.117
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=16) "CiliumInternalIP",
       IP: (net.IP) (len=16 cap=26) 100.98.4.177
      }
     },
     IPv4AllocCIDR: (*cidr.CIDR)(0xc0016a6060)(100.97.6.0/24),
     IPv4SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv6AllocCIDR: (*cidr.CIDR)(<nil>),
     IPv6SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv4HealthIP: (net.IP) (len=16 cap=26) 100.98.4.144,
     IPv6HealthIP: (net.IP) <nil>,
     IPv4IngressIP: (net.IP) (len=16 cap=26) 100.98.4.17,
     IPv6IngressIP: (net.IP) <nil>,
     ClusterID: (uint32) 0,
     Source: (source.Source) (len=5) "local",
     EncryptionKey: (uint8) 0,
     Labels: (map[string]string) (len=6) {
      (string) (len=22) "kubernetes.io/hostname": (string) (len=5) "stor1",
      (string) (len=16) "kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=4) "role": (string) (len=7) "storage",
      (string) (len=23) "beta.kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=21) "beta.kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=18) "kubernetes.io/arch": (string) (len=5) "amd64"
     },
     Annotations: (map[string]string) (len=4) {
      (string) (len=34) "network.cilium.io/ipv4-cilium-host": (string) (len=12) "100.98.4.177",
      (string) (len=32) "network.cilium.io/ipv4-health-ip": (string) (len=12) "100.98.4.144",
      (string) (len=31) "network.cilium.io/ipv4-pod-cidr": (string) (len=13) "100.97.6.0/24",
      (string) (len=33) "network.cilium.io/ipv4-Ingress-ip": (string) (len=11) "100.98.4.17"
     },
     NodeIdentity: (uint32) 1,
     WireguardPubKey: (string) "",
     BootID: (string) (len=36) "788396b6-12d3-4ebb-8173-08f21377a685"
    },
    OptOutNodeEncryption: (bool) false,
    UID: (types.UID) (len=36) "0b0d73fd-d662-4d75-bba5-0eff6243bf64",
    ProviderID: (string) ""
   },
   emit: (func(node.LocalNode)) 0x1df80e0,
   complete: (func(error)) 0x1df7ea0
  }),
  db: (*statedb.DB)(0xc0013c8a80)({
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   tables: (map[string]statedb.TableMeta) (len=4) {
    (string) (len=11) "l2-announce": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.L2AnnounceEntry])(0xc00086d180)({
     table: (string) (len=11) "l2-announce",
     smu: (*lock.sortableMutex)(0xc00181b248)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 4,
      acquireDuration: (time.Duration) 210ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=6) "origin": (statedb.anyIndexer) {
       name: (string) (len=6) "origin",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=7) "devices": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc000799450)({
     table: (string) (len=7) "devices",
     smu: (*lock.sortableMutex)(0xc0018d9b78)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 1,
      acquireDuration: (time.Duration) 2.06µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      },
      (string) (len=8) "selected": (statedb.anyIndexer) {
       name: (string) (len=8) "selected",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=6) "routes": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Route])(0xc000799540)({
     table: (string) (len=6) "routes",
     smu: (*lock.sortableMutex)(0xc0018d9b90)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 2,
      acquireDuration: (time.Duration) 280ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=9) "LinkIndex": (statedb.anyIndexer) {
       name: (string) (len=9) "LinkIndex",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=14) "node-addresses": (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0007dc7d0)({
     table: (string) (len=14) "node-addresses",
     smu: (*lock.sortableMutex)(0xc0018d9bd8)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 3,
      acquireDuration: (time.Duration) 470ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
       unique: (bool) false
      }
     }
    })
   },
   ctx: (*context.cancelCtx)(0xc000a14140)(context.Background.WithCancel),
   cancel: (context.CancelFunc) 0x4a18e0,
   root: (atomic.Pointer[github.com/hashicorp/go-immutable-radix/v2.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]]) {
    _: ([0]*iradix.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]) {
    },
    _: (atomic.noCopy) {
    },
    v: (unsafe.Pointer) 0xc00078c260
   },
   gcTrigger: (chan struct {}) (cap=1) 0xc0011e64e0,
   gcExited: (chan struct {}) 0xc0011e6540,
   gcRateLimitInterval: (time.Duration) 1s,
   metrics: (statedb.Metrics) {
    WriteTxnDuration: (*metric.histogramVec)(0xc000566400)({
     ObserverVec: (*prometheus.HistogramVec)(0xc00141acd8)({
      MetricVec: (*prometheus.MetricVec)(0xc000d064e0)({
       metricMap: (*prometheus.metricMap)(0xc000d06510)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5aa0)(Desc{fqName: "cilium_statedb_write_txn_duration_seconds", help: "How long a write transaction was held.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=26) "write_txn_duration_seconds",
       Help: (string) (len=38) "How long a write transaction was held.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    WriteTxnAcquisition: (*metric.histogramVec)(0xc000566480)({
     ObserverVec: (*prometheus.HistogramVec)(0xc00141ace0)({
      MetricVec: (*prometheus.MetricVec)(0xc000d065a0)({
       metricMap: (*prometheus.metricMap)(0xc000d065d0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5b00)(Desc{fqName: "cilium_statedb_write_txn_acquisition_seconds", help: "How long it took to acquire a write transaction for all tables.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "write_txn_acquisition_seconds",
       Help: (string) (len=63) "How long it took to acquire a write transaction for all tables.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableContention: (*metric.gaugeVec)(0xc000566500)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00141ace8)({
      MetricVec: (*prometheus.MetricVec)(0xc000d06630)({
       metricMap: (*prometheus.metricMap)(0xc000d06660)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5b60)(Desc{fqName: "cilium_statedb_table_contention_seconds", help: "How long writers were blocked while waiting to acquire a write transaction for a specific table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=24) "table_contention_seconds",
       Help: (string) (len=96) "How long writers were blocked while waiting to acquire a write transaction for a specific table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableObjectCount: (*metric.gaugeVec)(0xc000566580)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00141acf0)({
      MetricVec: (*prometheus.MetricVec)(0xc000d066c0)({
       metricMap: (*prometheus.metricMap)(0xc000d066f0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5bc0)(Desc{fqName: "cilium_statedb_table_objects", help: "The amount of objects in a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=13) "table_objects",
       Help: (string) (len=39) "The amount of objects in a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableRevision: (*metric.gaugeVec)(0xc000566600)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00141acf8)({
      MetricVec: (*prometheus.MetricVec)(0xc000d06780)({
       metricMap: (*prometheus.metricMap)(0xc000d067b0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5c20)(Desc{fqName: "cilium_statedb_table_revision", help: "The current revision of a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=14) "table_revision",
       Help: (string) (len=38) "The current revision of a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableDeleteTrackerCount: (*metric.gaugeVec)(0xc000566700)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00141ad00)({
      MetricVec: (*prometheus.MetricVec)(0xc000d06810)({
       metricMap: (*prometheus.metricMap)(0xc000d06840)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5c80)(Desc{fqName: "cilium_statedb_table_delete_trackers", help: "The amount of delete trackers for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=21) "table_delete_trackers",
       Help: (string) (len=48) "The amount of delete trackers for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardObjectCount: (*metric.gaugeVec)(0xc000566880)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00141ad08)({
      MetricVec: (*prometheus.MetricVec)(0xc000d068a0)({
       metricMap: (*prometheus.metricMap)(0xc000d06900)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5ce0)(Desc{fqName: "cilium_statedb_table_graveyard_objects", help: "The amount of objects in the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=23) "table_graveyard_objects",
       Help: (string) (len=57) "The amount of objects in the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardLowWatermark: (*metric.gaugeVec)(0xc000566900)({
     GaugeVec: (*prometheus.GaugeVec)(0xc00141ad10)({
      MetricVec: (*prometheus.MetricVec)(0xc000d06960)({
       metricMap: (*prometheus.metricMap)(0xc000d06990)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5d40)(Desc{fqName: "cilium_statedb_table_graveyard_low_watermark", help: "The lowest revision of a given table that has been processed by the graveyard garbage collector.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "table_graveyard_low_watermark",
       Help: (string) (len=96) "The lowest revision of a given table that has been processed by the graveyard garbage collector.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardCleaningDuration: (*metric.histogramVec)(0xc000566a00)({
     ObserverVec: (*prometheus.HistogramVec)(0xc00141ad18)({
      MetricVec: (*prometheus.MetricVec)(0xc000d069f0)({
       metricMap: (*prometheus.metricMap)(0xc000d06a20)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0015f5da0)(Desc{fqName: "cilium_statedb_table_graveyard_cleaning_duration_seconds", help: "The time it took to clean the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=41) "table_graveyard_cleaning_duration_seconds",
       Help: (string) (len=58) "The time it took to clean the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    })
   }
  }),
  nodeAddresses: (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0007dc7d0)({
   table: (string) (len=14) "node-addresses",
   smu: (*lock.sortableMutex)(0xc0018d9bd8)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 3,
    acquireDuration: (time.Duration) 470ns
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
     unique: (bool) false
    }
   }
  }),
  devices: (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc000799450)({
   table: (string) (len=7) "devices",
   smu: (*lock.sortableMutex)(0xc0018d9b78)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 1,
    acquireDuration: (time.Duration) 2.06µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
    (string) (len=8) "selected": (statedb.anyIndexer) {
     name: (string) (len=8) "selected",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    },
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    }
   }
  })
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations

