# Cilium debug information

#### Cilium environment keys

```
kvstore-max-consecutive-quorum-errors:2
ipv4-node:auto
hubble-socket-path:/var/run/cilium/hubble.sock
max-internal-timer-delay:0s
l2-announcements-lease-duration:15s
bpf-lb-rss-ipv6-src-cidr:
hubble-export-file-max-backups:5
tofqdns-min-ttl:0
enable-ingress-controller:true
operator-api-serve-addr:127.0.0.1:9234
identity-change-grace-period:5s
enable-bgp-control-plane:false
bpf-ct-global-any-max:262144
bpf-lb-affinity-map-max:0
loadbalancer-l7-ports:
conntrack-gc-max-interval:1800s
hubble-listen-address::4244
proxy-connect-timeout:2
enable-k8s-endpoint-slice:true
enable-stale-cilium-endpoint-cleanup:true
enable-svc-source-range-check:true
http-request-timeout:3600
agent-labels:
enable-xdp-prefilter:false
iptables-random-fully:false
iptables-lock-timeout:5s
enable-host-firewall:true
ipv4-pod-subnets:
egress-gateway-reconciliation-trigger-interval:1s
hubble-flowlogs-config-path:
enable-k8s:true
kube-proxy-replacement:true
dnsproxy-concurrency-processing-grace-period:0s
enable-encryption-strict-mode:false
config-sources:config-map:kube-system/cilium-config
egress-multi-home-ip-rule-compat:false
k8s-client-burst:40
tofqdns-proxy-response-max-delay:100ms
identity-allocation-mode:crd
hubble-metrics:
install-egress-gateway-routes:false
egress-gateway-policy-map-max:16384
ipv6-range:auto
k8s-heartbeat-timeout:30s
limit-ipam-api-burst:30
loadbalancer-l7:envoy
agent-health-port:9879
bpf-lb-dsr-dispatch:opt
proxy-prometheus-port:0
dnsproxy-lock-count:131
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
enable-l2-pod-announcements:false
enable-l2-announcements:true
bpf-lb-sock:true
bpf-auth-map-max:524288
enable-ingress-proxy-protocol:false
http-normalize-path:true
bpf-lb-maglev-table-size:16381
ipam:multi-pool
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
endpoint-bpf-prog-watchdog-interval:30s
enable-identity-mark:true
hubble-export-fieldmask:
k8s-require-ipv4-pod-cidr:false
bpf-policy-map-max:16384
pprof-address:localhost
enable-icmp-rules:true
ingress-default-lb-mode:shared
route-metric:0
enable-high-scale-ipcache:false
allocator-list-timeout:3m0s
cni-log-file:/var/run/cilium/cilium-cni.log
vtep-mask:
http-idle-timeout:0
policy-audit-mode:false
nodes-gc-interval:5m0s
ingress-lb-annotation-prefixes:service.beta.kubernetes.io service.kubernetes.io cloud.google.com
enable-session-affinity:true
hubble-redact-http-headers-allow:
install-iptables-rules:true
ip-masq-agent-config-path:/etc/config/ip-masq-agent
allow-localhost:auto
enable-k8s-networkpolicy:true
lib-dir:/var/lib/cilium
node-port-range:
enable-health-check-nodeport:true
hubble-prefer-ipv6:false
version:false
local-router-ipv6:
ipv6-service-range:auto
vtep-cidr:
mesh-auth-enabled:true
mke-cgroup-mount:
auto-create-cilium-node-resource:true
bpf-ct-timeout-regular-tcp-fin:10s
k8s-client-qps:30
bpf-neigh-global-max:524288
custom-cni-conf:false
hubble-redact-enabled:false
enable-bpf-masquerade:true
identity-gc-interval:15m0s
enable-ipv6-masquerade:false
node-port-algorithm:random
enable-ipv4-fragment-tracking:true
enable-ipsec-key-watcher:true
dnsproxy-concurrency-limit:0
annotate-k8s-node:true
proxy-max-connection-duration-seconds:0
enable-mke:false
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
bpf-lb-map-max:65536
endpoint-gc-interval:5m0s
ipv4-native-routing-cidr:100.64.0.0/10
exclude-local-address:
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
enable-ipv4-egress-gateway:false
enable-policy:default
k8s-kubeconfig-path:
certificates-directory:/var/run/cilium/certs
trace-sock:true
read-cni-conf:
enable-bbr:true
vlan-bpf-bypass:
bpf-lb-service-backend-map-max:0
dnsproxy-enable-transparent-mode:true
enable-ingress-secrets-sync:true
monitor-aggregation:medium
hubble-redact-http-userinfo:true
preallocate-bpf-maps:false
log-opt:
keep-config:false
enable-well-known-identities:false
enable-metrics:true
enable-custom-calls:false
devices:eth0.1016 eth0.1020 eth0.1024
clustermesh-config:/var/lib/cilium/clustermesh/
enable-local-redirect-policy:false
enable-cilium-endpoint-slice:false
k8s-require-ipv6-pod-cidr:false
ipv4-range:auto
enable-recorder:false
ipv6-native-routing-cidr:
cilium-endpoint-gc-interval:5m0s
tofqdns-max-deferred-connection-deletes:10000
log-system-load:false
cluster-name:default
cflags:
enable-vtep:false
monitor-queue-size:0
kvstore-lease-ttl:15m0s
api-rate-limit:
bpf-lb-algorithm:maglev
kvstore:
http-403-msg:
enable-xt-socket-fallback:true
encryption-strict-mode-cidr:
policy-queue-size:100
tofqdns-dns-reject-response-code:refused
enable-l7-proxy:true
http-retry-timeout:0
vtep-mac:
mesh-auth-spiffe-trust-domain:spiffe.cilium
socket-path:/var/run/cilium/cilium.sock
node-port-mode:snat
enable-auto-protect-node-port-range:true
enable-bpf-clock-probe:false
local-router-ipv4:
max-controller-interval:0
fixed-identity-mapping:
disable-iptables-feeder-rules:
k8s-sync-timeout:3m0s
debug:false
enable-bpf-tproxy:true
tunnel-port:0
prometheus-serve-addr:
config-dir:/tmp/cilium/config-map
enable-ip-masq-agent:true
bpf-root:/sys/fs/bpf
envoy-config-timeout:2m0s
pprof:false
enable-local-node-route:true
enable-ipsec:false
hubble-export-file-max-size-mb:10
arping-refresh-period:30s
mtu:0
operator-prometheus-serve-addr::9963
identity-restore-grace-period:10m0s
enable-health-check-loadbalancer-ip:false
cni-chaining-mode:none
hubble-redact-http-urlquery:false
remove-cilium-node-taints:true
mesh-auth-queue-size:1024
enable-wireguard:false
bpf-ct-timeout-service-tcp:2h13m20s
l2-announcements-renew-deadline:5s
tunnel-protocol:vxlan
bpf-ct-timeout-service-tcp-grace:1m0s
log-driver:
clustermesh-ip-identities-sync-timeout:1m0s
hubble-metrics-server:
enable-hubble-recorder-api:true
bpf-lb-rev-nat-map-max:0
enable-bandwidth-manager:true
ingress-secrets-namespace:cilium-secrets
enable-hubble:true
enable-wireguard-userspace-fallback:false
enable-runtime-device-detection:false
legacy-turn-off-k8s-event-handover:false
ipv6-pod-subnets:
use-cilium-internal-ip-for-ipsec:false
l2-pod-announcements-interface:
auto-create-cilium-pod-ip-pools:default=ipv4-cidrs:100.98.0.0/15;ipv4-mask-size:24
bpf-policy-map-full-reconciliation-interval:15m0s
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
mesh-auth-mutual-connect-timeout:5s
endpoint-status:
proxy-idle-timeout-seconds:60
encrypt-node:false
routing-mode:native
kube-proxy-replacement-healthz-bind-address:0.0.0.0:10256
hubble-disable-tls:false
crd-wait-timeout:5m0s
k8s-namespace:kube-system
bpf-lb-source-range-map-max:0
bgp-announce-pod-cidr:false
encrypt-interface:
enable-envoy-config:true
enable-host-legacy-routing:false
hubble-export-file-path:
kvstore-periodic-sync:5m0s
hubble-event-buffer-capacity:8191
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
hubble-event-queue-size:16383
ipam-default-ip-pool:default
bpf-ct-timeout-regular-any:1m0s
enable-host-port:false
dnsproxy-lock-timeout:500ms
skip-cnp-status-startup-clean:false
enable-endpoint-routes:true
ipv4-service-loopback-address:169.254.42.1
enable-srv6:false
cgroup-root:/sys/fs/cgroup
bpf-lb-acceleration:disabled
hubble-recorder-sink-queue-size:1024
label-prefix-file:
endpoint-queue-size:25
policy-cidr-match-mode:
enable-service-topology:false
policy-trigger-interval:1s
mesh-auth-gc-interval:5m0s
bpf-lb-mode:dsr
enable-health-checking:true
set-cilium-node-taints:true
ipv4-service-range:auto
cluster-id:0
tofqdns-enable-dns-compression:true
external-envoy-proxy:true
enable-ipv6:false
enable-node-port:false
local-max-addr-scope:252
vtep-endpoint:
enable-ipv4:true
ingress-shared-lb-service-name:cilium-ingress
bpf-filter-priority:1
tofqdns-pre-cache:
k8s-service-proxy-name:
bgp-announce-lb-ip:false
hubble-export-allowlist:
restore:true
bpf-lb-maglev-map-max:0
node-port-acceleration:disabled
hubble-redact-http-headers-deny:
bpf-fragments-map-max:8192
ipv6-mcast-device:
cni-chaining-target:
trace-payloadlen:128
install-no-conntrack-iptables-rules:false
l2-announcements-retry-period:2s
bpf-lb-external-clusterip:true
k8s-api-server:
enable-pmtu-discovery:false
direct-routing-device:
ipam-multi-pool-pre-allocation:
mesh-auth-signal-backoff-duration:1s
monitor-aggregation-interval:5s
enable-ipv6-big-tcp:false
agent-liveness-update-interval:1s
state-dir:/var/run/cilium
disable-envoy-version-check:false
hubble-redact-kafka-apikey:false
bpf-lb-sock-hostns-only:false
proxy-gid:1337
enforce-ingress-https:false
gops-port:9890
enable-ipv4-big-tcp:false
hubble-export-denylist:
bpf-map-event-buffers:
enable-external-ips:false
ipsec-key-rotation-duration:5m0s
hubble-monitor-events:
derive-masquerade-ip-addr-from-device:
cluster-health-port:4240
egress-masquerade-interfaces:
dns-policy-unload-on-shutdown:false
controller-group-metrics:
hubble-skip-unknown-cgroup-ids:true
conntrack-gc-interval:0s
ipsec-key-file:
cmdref:
datapath-mode:veth
bpf-lb-rss-ipv4-src-cidr:
hubble-recorder-storage-path:/var/run/cilium/pcaps
bpf-sock-rev-map-max:262144
metrics:
bpf-ct-timeout-regular-tcp-syn:1m0s
monitor-aggregation-flags:all
enable-ipv4-masquerade:true
service-no-backend-response:reject
envoy-log:
labels:
enable-cilium-health-api-server-access:
bypass-ip-availability-upon-restore:false
ipam-cilium-node-update-rate:15s
fqdn-regex-compile-lru-size:1024
srv6-encap-mode:reduced
enable-k8s-terminating-endpoint:true
unmanaged-pod-watcher-interval:15
http-max-grpc-timeout:0
bgp-config-path:/var/lib/cilium/bgp/config.yaml
proxy-max-requests-per-connection:0
envoy-secrets-namespace:cilium-secrets
enable-tracing:false
enable-remote-node-identity:true
http-retry-count:3
nodeport-addresses:
set-cilium-is-up-condition:true
ipv6-node:auto
mesh-auth-mutual-listener-port:0
dns-max-ips-per-restored-rule:1000
procfs:/host/proc
enable-nat46x64-gateway:false
k8s-service-cache-size:128
loadbalancer-l7-algorithm:round_robin
mesh-auth-rotated-identities-queue-size:1024
bpf-map-dynamic-size-ratio:0.0025
prepend-iptables-chains:true
wireguard-persistent-keepalive:0s
enable-ipv6-ndp:false
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
bpf-nat-global-max:524288
tofqdns-idle-connection-grace-period:0s
pprof-port:6060
bpf-lb-service-map-max:0
cni-external-routing:false
mesh-auth-spire-admin-socket:
enable-l2-neigh-discovery:true
join-cluster:false
enable-masquerade-to-route-source:false
enable-sctp:false
max-connected-clusters:255
kvstore-opt:
ip-allocation-timeout:2m0s
cni-exclusive:true
tofqdns-endpoint-max-ip-per-hostname:50
kvstore-connectivity-timeout:2m0s
allow-icmp-frag-needed:true
encryption-strict-mode-allow-remote-node-identities:false
config:
tofqdns-proxy-port:0
synchronize-k8s-nodes:true
sidecar-istio-proxy-image:cilium/istio_proxy
enable-k8s-api-discovery:false
bpf-lb-dsr-l4-xlate:frontend
hubble-export-file-compress:false
node-port-bind-protection:true
enable-unreachable-routes:false
bpf-ct-global-tcp-max:524288
bpf-ct-timeout-regular-tcp:2h13m20s
identity-heartbeat-timeout:30m0s
auto-direct-node-routes:true
ipv6-cluster-alloc-cidr:f00d::/64
enable-endpoint-health-checking:true
bpf-ct-timeout-service-any:1m0s
enable-monitor:true
debug-verbose:
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
disable-endpoint-crd:false
enable-cilium-api-server-access:
```


#### Cilium version

```
1.15.3 22dfbc58 2024-03-26T11:45:10+01:00 go version go1.21.8 linux/amd64
```


#### Kernel version

```
6.6.28
```


#### Service list

```
ID   Frontend              Service Type   Backend                            
1    100.96.134.117:9402   ClusterIP      1 => 100.98.9.178:9402 (active)    
2    100.96.171.42:443     ClusterIP      1 => 100.98.9.107:10250 (active)   
3    100.96.0.1:443        ClusterIP      1 => 10.64.16.111:6443 (active)    
                                          2 => 10.64.16.112:6443 (active)    
                                          3 => 10.64.16.113:6443 (active)    
4    100.96.25.171:443     ClusterIP                                         
5    100.96.25.171:80      ClusterIP                                         
6    100.96.17.28:443      ClusterIP      1 => 10.64.16.118:4244 (active)    
7    100.96.124.20:80      ClusterIP      1 => 100.98.1.205:4245 (active)    
8    100.96.145.47:80      ClusterIP      1 => 100.98.5.152:8081 (active)    
9    100.96.0.10:9153      ClusterIP      1 => 100.98.5.232:9153 (active)    
                                          2 => 100.98.9.131:9153 (active)    
10   100.96.0.10:53        ClusterIP      1 => 100.98.5.232:53 (active)      
                                          2 => 100.98.9.131:53 (active)      
11   100.96.207.75:8000    ClusterIP      1 => 100.98.5.166:8000 (active)    
12   100.96.56.167:8000    ClusterIP      1 => 100.98.8.4:8000 (active)      
13   100.96.100.10:8002    ClusterIP      1 => 100.98.5.83:8002 (active)     
14   100.96.100.10:8445    ClusterIP      1 => 100.98.5.83:8445 (active)     
15   10.64.16.118:30619    NodePort       1 => 100.98.5.83:8002 (active)     
16   0.0.0.0:30619         NodePort       1 => 100.98.5.83:8002 (active)     
17   10.64.16.118:30766    NodePort       1 => 100.98.5.83:8445 (active)     
18   0.0.0.0:30766         NodePort       1 => 100.98.5.83:8445 (active)     
19   100.96.132.20:8000    ClusterIP      1 => 100.98.8.250:8000 (active)    
20   100.96.69.141:443     ClusterIP      1 => 100.98.5.83:8443 (active)     
21   100.96.56.17:8000     ClusterIP      1 => 100.98.8.170:8000 (active)    
22   10.64.20.50:80        LoadBalancer                                      
23   10.64.20.50:443       LoadBalancer                                      
24   100.96.81.156:5201    ClusterIP      1 => 100.98.9.66:5201 (active)     
25   10.64.20.60:5201      LoadBalancer   1 => 100.98.9.66:5201 (active)     
26   100.96.194.255:9926   ClusterIP      1 => 10.64.16.117:9926 (active)    
                                          2 => 10.64.16.119:9926 (active)    
                                          3 => 10.64.16.113:9926 (active)    
                                          4 => 10.64.16.118:9926 (active)    
                                          5 => 10.64.16.111:9926 (active)    
                                          6 => 10.64.16.121:9926 (active)    
                                          7 => 10.64.16.123:9926 (active)    
27   100.96.193.139:7000   ClusterIP      1 => 10.64.16.113:7000 (active)    
28   100.96.210.73:9283    ClusterIP      1 => 10.64.16.113:9283 (active)    
29   100.96.17.12:80       ClusterIP      1 => 10.64.16.123:80 (active)      
```

#### Policy get

```
:
 []
Revision: 2

```


#### Cilium memory map


```
00400000-02d94000 r-xp 00000000 fd:04 33615277                           /usr/bin/cilium-agent
02d94000-05f4b000 r--p 02994000 fd:04 33615277                           /usr/bin/cilium-agent
05f4b000-060a0000 rw-p 05b4b000 fd:04 33615277                           /usr/bin/cilium-agent
060a0000-0682e000 rw-p 00000000 00:00 0 
c000000000-c006c00000 rw-p 00000000 00:00 0 
c006c00000-c008000000 ---p 00000000 00:00 0 
7f148d8af000-7f148d9ef000 rw-p 00000000 00:00 0 
7f148d9ef000-7f148da30000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148da30000-7f148da71000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148da71000-7f148dab2000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dab2000-7f148daf3000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148daf3000-7f148db34000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148db34000-7f148db75000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148db75000-7f148dbb6000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dbb6000-7f148dbf7000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dbf7000-7f148dd4c000 rw-p 00000000 00:00 0 
7f148dd4c000-7f148dd4e000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd4e000-7f148dd50000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd50000-7f148dd52000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd52000-7f148dd54000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd54000-7f148dd56000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd56000-7f148dd58000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd58000-7f148dd5a000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd5a000-7f148dd5c000 rw-s 00000000 00:0e 43                         anon_inode:[perf_event]
7f148dd5c000-7f14905c7000 rw-p 00000000 00:00 0 
7f14905c7000-7f14a0747000 ---p 00000000 00:00 0 
7f14a0747000-7f14a0748000 rw-p 00000000 00:00 0 
7f14a0748000-7f14c0747000 ---p 00000000 00:00 0 
7f14c0747000-7f14c0748000 rw-p 00000000 00:00 0 
7f14c0748000-7f14d25f7000 ---p 00000000 00:00 0 
7f14d25f7000-7f14d25f8000 rw-p 00000000 00:00 0 
7f14d25f8000-7f14d49cd000 ---p 00000000 00:00 0 
7f14d49cd000-7f14d49ce000 rw-p 00000000 00:00 0 
7f14d49ce000-7f14d4e47000 ---p 00000000 00:00 0 
7f14d4e47000-7f14d4e48000 rw-p 00000000 00:00 0 
7f14d4e48000-7f14d4ec7000 ---p 00000000 00:00 0 
7f14d4ec7000-7f14d4f27000 rw-p 00000000 00:00 0 
7ffc0aba6000-7ffc0abc7000 rw-p 00000000 00:00 0                          [stack]
7ffc0abe7000-7ffc0abeb000 r--p 00000000 00:00 0                          [vvar]
7ffc0abeb000-7ffc0abed000 r-xp 00000000 00:00 0                          [vdso]

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc00022ec80)({
 config: (k8s.ServiceCacheConfig) {
  EnableServiceTopology: (bool) false
 },
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0015b8c00,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=20) {
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000ee84d0)(frontends:[100.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) kube-system/cilium-envoy: (*k8s.Service)(0xc000ee86e0)(frontends:[]/ports=[envoy-metrics]/selector=map[k8s-app:cilium-envoy]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.Service)(0xc004cd6790)(frontends:[100.96.132.20]/ports=[]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-metrics-scraper app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.Service)(0xc001f3ba20)(frontends:[100.96.193.139]/ports=[http-dashboard]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.Service)(0xc005512c60)(frontends:[100.96.25.171]/ports=[http https]/selector=map[]),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.Service)(0xc000ee8580)(frontends:[100.96.134.117]/ports=[tcp-prometheus-servicemonitor]/selector=map[app.kubernetes.io/component:controller app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:cert-manager]),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc000ee8790)(frontends:[100.96.124.20]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.Service)(0xc004cd6840)(frontends:[100.96.69.141]/ports=[kong-proxy-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.Service)(0xc001ca6790)(frontends:[100.96.56.17]/ports=[web]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-web app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000ee8630)(frontends:[100.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.Service)(0xc004cd66e0)(frontends:[100.96.56.167]/ports=[api]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-api app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.Service)(0xc003a51130)(frontends:[100.96.194.255]/ports=[ceph-exporter-http-metrics]/selector=map[app:rook-ceph-exporter rook_cluster:rook-ceph]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.Service)(0xc005abadc0)(frontends:[100.96.210.73]/ports=[http-metrics]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.Service)(0xc003a51340)(frontends:[100.96.17.12]/ports=[http]/selector=map[app:rook-ceph-rgw ceph_daemon_id:ceph-objectstore rgw:ceph-objectstore rook_cluster:rook-ceph rook_object_store:ceph-objectstore]),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.Service)(0xc000ee8210)(frontends:[100.96.171.42]/ports=[https]/selector=map[app.kubernetes.io/component:webhook app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:webhook]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc000ee8370)(frontends:[100.96.17.28]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc000ee8420)(frontends:[100.96.145.47]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.Service)(0xc001ca6160)(frontends:[100.96.207.75]/ports=[auth]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-auth app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.Service)(0xc0058fc210)(frontends:[100.96.100.10]/ports=[kong-manager-tls kong-manager]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) default/iperf3-server: (*k8s.Service)(0xc00225b340)(frontends:[100.96.81.156]/ports=[]/selector=map[app:iperf3-server])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=19) {
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.EndpointSlices)(0xc000250050)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "cert-manager-6zz6b": (*k8s.Endpoints)(0xc004bfcd00)(100.98.9.178:9402/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc000250060)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc0018ba410)(10.64.16.111:6443/TCP,10.64.16.112:6443/TCP,10.64.16.113:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.EndpointSlices)(0xc000250078)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "cilium-ingress-lg2vr": (*k8s.Endpoints)(0xc0018bb380)(192.192.192.192:9999/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.EndpointSlices)(0xc000ac2028)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-api-npppm": (*k8s.Endpoints)(0xc003cb5380)(100.98.8.4:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.EndpointSlices)(0xc0014b8e28)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=36) "rook-ceph-rgw-ceph-objectstore-7675g": (*k8s.Endpoints)(0xc001d47380)(10.64.16.123:80/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.EndpointSlices)(0xc0013b4290)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-web-chg8x": (*k8s.Endpoints)(0xc004c7ba00)(100.98.8.170:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.EndpointSlices)(0xc001982d60)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=29) "rook-ceph-mgr-dashboard-j5tvt": (*k8s.Endpoints)(0xc003dcc750)(10.64.16.113:7000/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc0002500a0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-jjc92": (*k8s.Endpoints)(0xc004bb5d40)(10.64.16.111:4244/TCP,10.64.16.112:4244/TCP,10.64.16.113:4244/TCP,10.64.16.114:4244/TCP,10.64.16.115:4244/TCP,10.64.16.116:4244/TCP,10.64.16.117:4244/TCP,10.64.16.118:4244/TCP,10.64.16.119:4244/TCP,10.64.16.121:4244/TCP,10.64.16.122:4244/TCP,10.64.16.123:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc000250130)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-72wgr": (*k8s.Endpoints)(0xc00200af70)(100.98.5.232:53/TCP,100.98.5.232:53/UDP,100.98.5.232:9153/TCP,100.98.9.131:53/TCP,100.98.9.131:53/UDP,100.98.9.131:9153/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.EndpointSlices)(0xc0013b4210)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=31) "kubernetes-dashboard-auth-xkwmd": (*k8s.Endpoints)(0xc004c7b860)(100.98.5.166:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.EndpointSlices)(0xc0013b4230)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=39) "kubernetes-dashboard-kong-manager-js8fc": (*k8s.Endpoints)(0xc003e90680)(100.98.5.83:8002/TCP,100.98.5.83:8445/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.EndpointSlices)(0xc0013b4280)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=37) "kubernetes-dashboard-kong-proxy-msdkf": (*k8s.Endpoints)(0xc003cce1a0)(100.98.5.83:8443/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.EndpointSlices)(0xc000250058)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "cert-manager-webhook-56hfc": (*k8s.Endpoints)(0xc0040c1450)(100.98.9.107:10250/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc0002500a8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-b7psv": (*k8s.Endpoints)(0xc0040c1e10)(100.98.1.205:4245/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.EndpointSlices)(0xc0013b4238)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=42) "kubernetes-dashboard-metrics-scraper-22gxx": (*k8s.Endpoints)(0xc003cb5520)(100.98.8.250:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.EndpointSlices)(0xc000b11528)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "rook-ceph-mgr-b2r46": (*k8s.Endpoints)(0xc003dcc5b0)(10.64.16.113:9283/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc000250128)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-dlw2k": (*k8s.Endpoints)(0xc004bfd450)(100.98.5.152:8081/TCP)
   }
  }),
  (k8s.ServiceID) default/iperf3-server: (*k8s.EndpointSlices)(0xc0016aa558)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "iperf3-server-wr74m": (*k8s.Endpoints)(0xc003b12340)(100.98.9.66:5201/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.EndpointSlices)(0xc000ac2650)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "rook-ceph-exporter-fcprh": (*k8s.Endpoints)(0xc004cb3a00)(10.64.16.111:9926/TCP,10.64.16.113:9926/TCP,10.64.16.117:9926/TCP,10.64.16.118:9926/TCP,10.64.16.119:9926/TCP,10.64.16.121:9926/TCP,10.64.16.123:9926/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*tables.nodeAddressing)(0xc000bfd8f0)({
  localNode: (*node.LocalNodeStore)(0xc0018a0600)({
   Observable: (stream.FuncObservable[github.com/cilium/cilium/pkg/node.LocalNode]) 0x1df7840,
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   value: (node.LocalNode) {
    Node: (types.Node) {
     Name: (string) (len=5) "stor2",
     Cluster: (string) (len=7) "default",
     IPAddresses: ([]types.Address) (len=2 cap=2) {
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "InternalIP",
       IP: (net.IP) (len=16 cap=16) 10.64.16.118
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=16) "CiliumInternalIP",
       IP: (net.IP) (len=16 cap=26) 100.98.7.33
      }
     },
     IPv4AllocCIDR: (*cidr.CIDR)(0xc000b80b28)(100.97.4.0/24),
     IPv4SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv6AllocCIDR: (*cidr.CIDR)(<nil>),
     IPv6SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv4HealthIP: (net.IP) (len=16 cap=26) 100.98.7.84,
     IPv6HealthIP: (net.IP) <nil>,
     IPv4IngressIP: (net.IP) (len=16 cap=26) 100.98.7.211,
     IPv6IngressIP: (net.IP) <nil>,
     ClusterID: (uint32) 0,
     Source: (source.Source) (len=5) "local",
     EncryptionKey: (uint8) 0,
     Labels: (map[string]string) (len=6) {
      (string) (len=22) "kubernetes.io/hostname": (string) (len=5) "stor2",
      (string) (len=16) "kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=4) "role": (string) (len=7) "storage",
      (string) (len=23) "beta.kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=21) "beta.kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=18) "kubernetes.io/arch": (string) (len=5) "amd64"
     },
     Annotations: (map[string]string) (len=4) {
      (string) (len=33) "network.cilium.io/ipv4-Ingress-ip": (string) (len=12) "100.98.7.211",
      (string) (len=34) "network.cilium.io/ipv4-cilium-host": (string) (len=11) "100.98.7.33",
      (string) (len=32) "network.cilium.io/ipv4-health-ip": (string) (len=11) "100.98.7.84",
      (string) (len=31) "network.cilium.io/ipv4-pod-cidr": (string) (len=13) "100.97.4.0/24"
     },
     NodeIdentity: (uint32) 1,
     WireguardPubKey: (string) "",
     BootID: (string) (len=36) "a179610e-6717-4bbb-99dc-e9d748354abf"
    },
    OptOutNodeEncryption: (bool) false,
    UID: (types.UID) (len=36) "e4bb2f1d-ba87-41f4-9884-5f8c291418f4",
    ProviderID: (string) ""
   },
   emit: (func(node.LocalNode)) 0x1df80e0,
   complete: (func(error)) 0x1df7ea0
  }),
  db: (*statedb.DB)(0xc00003fa40)({
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   tables: (map[string]statedb.TableMeta) (len=4) {
    (string) (len=7) "devices": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc0003e0460)({
     table: (string) (len=7) "devices",
     smu: (*lock.sortableMutex)(0xc0017ff950)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 1,
      acquireDuration: (time.Duration) 2.519µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      },
      (string) (len=8) "selected": (statedb.anyIndexer) {
       name: (string) (len=8) "selected",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=6) "routes": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Route])(0xc0003e04b0)({
     table: (string) (len=6) "routes",
     smu: (*lock.sortableMutex)(0xc0017ff968)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 2,
      acquireDuration: (time.Duration) 640ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=9) "LinkIndex": (statedb.anyIndexer) {
       name: (string) (len=9) "LinkIndex",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=14) "node-addresses": (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0003e0d20)({
     table: (string) (len=14) "node-addresses",
     smu: (*lock.sortableMutex)(0xc0017ff9b0)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 3,
      acquireDuration: (time.Duration) 1.07µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
       unique: (bool) false
      }
     }
    }),
    (string) (len=11) "l2-announce": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.L2AnnounceEntry])(0xc000843db0)({
     table: (string) (len=11) "l2-announce",
     smu: (*lock.sortableMutex)(0xc0018b0450)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 4,
      acquireDuration: (time.Duration) 220ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=6) "origin": (statedb.anyIndexer) {
       name: (string) (len=6) "origin",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    })
   },
   ctx: (*context.cancelCtx)(0xc001c640a0)(context.Background.WithCancel),
   cancel: (context.CancelFunc) 0x4a18e0,
   root: (atomic.Pointer[github.com/hashicorp/go-immutable-radix/v2.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]]) {
    _: ([0]*iradix.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]) {
    },
    _: (atomic.noCopy) {
    },
    v: (unsafe.Pointer) 0xc001070850
   },
   gcTrigger: (chan struct {}) (cap=1) 0xc001bffa40,
   gcExited: (chan struct {}) 0xc001bffaa0,
   gcRateLimitInterval: (time.Duration) 1s,
   metrics: (statedb.Metrics) {
    WriteTxnDuration: (*metric.histogramVec)(0xc00055e180)({
     ObserverVec: (*prometheus.HistogramVec)(0xc001140ac8)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cb7a0)({
       metricMap: (*prometheus.metricMap)(0xc0007cb7d0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc001929f80)(Desc{fqName: "cilium_statedb_write_txn_duration_seconds", help: "How long a write transaction was held.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=26) "write_txn_duration_seconds",
       Help: (string) (len=38) "How long a write transaction was held.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    WriteTxnAcquisition: (*metric.histogramVec)(0xc00055e200)({
     ObserverVec: (*prometheus.HistogramVec)(0xc001140ad0)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cb830)({
       metricMap: (*prometheus.metricMap)(0xc0007cb860)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0002eb020)(Desc{fqName: "cilium_statedb_write_txn_acquisition_seconds", help: "How long it took to acquire a write transaction for all tables.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "write_txn_acquisition_seconds",
       Help: (string) (len=63) "How long it took to acquire a write transaction for all tables.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableContention: (*metric.gaugeVec)(0xc00055e280)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001140ad8)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cb950)({
       metricMap: (*prometheus.metricMap)(0xc0007cb9b0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0002ebd40)(Desc{fqName: "cilium_statedb_table_contention_seconds", help: "How long writers were blocked while waiting to acquire a write transaction for a specific table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=24) "table_contention_seconds",
       Help: (string) (len=96) "How long writers were blocked while waiting to acquire a write transaction for a specific table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableObjectCount: (*metric.gaugeVec)(0xc00055e300)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001140ae0)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cba10)({
       metricMap: (*prometheus.metricMap)(0xc0007cba40)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0002ebda0)(Desc{fqName: "cilium_statedb_table_objects", help: "The amount of objects in a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=13) "table_objects",
       Help: (string) (len=39) "The amount of objects in a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableRevision: (*metric.gaugeVec)(0xc00055e380)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001140ae8)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cbad0)({
       metricMap: (*prometheus.metricMap)(0xc0007cbb60)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0002ebe00)(Desc{fqName: "cilium_statedb_table_revision", help: "The current revision of a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=14) "table_revision",
       Help: (string) (len=38) "The current revision of a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableDeleteTrackerCount: (*metric.gaugeVec)(0xc00055e400)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001140af0)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cbbc0)({
       metricMap: (*prometheus.metricMap)(0xc0007cbbf0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc0002ebe60)(Desc{fqName: "cilium_statedb_table_delete_trackers", help: "The amount of delete trackers for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=21) "table_delete_trackers",
       Help: (string) (len=48) "The amount of delete trackers for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardObjectCount: (*metric.gaugeVec)(0xc00055e480)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001140af8)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cbcb0)({
       metricMap: (*prometheus.metricMap)(0xc0007cbce0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000a72000)(Desc{fqName: "cilium_statedb_table_graveyard_objects", help: "The amount of objects in the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=23) "table_graveyard_objects",
       Help: (string) (len=57) "The amount of objects in the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardLowWatermark: (*metric.gaugeVec)(0xc00055e500)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001140b00)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cbda0)({
       metricMap: (*prometheus.metricMap)(0xc0007cbdd0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000a72060)(Desc{fqName: "cilium_statedb_table_graveyard_low_watermark", help: "The lowest revision of a given table that has been processed by the graveyard garbage collector.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "table_graveyard_low_watermark",
       Help: (string) (len=96) "The lowest revision of a given table that has been processed by the graveyard garbage collector.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardCleaningDuration: (*metric.histogramVec)(0xc00055e580)({
     ObserverVec: (*prometheus.HistogramVec)(0xc001140b08)({
      MetricVec: (*prometheus.MetricVec)(0xc0007cbe30)({
       metricMap: (*prometheus.metricMap)(0xc0007cbe90)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000a720c0)(Desc{fqName: "cilium_statedb_table_graveyard_cleaning_duration_seconds", help: "The time it took to clean the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=41) "table_graveyard_cleaning_duration_seconds",
       Help: (string) (len=58) "The time it took to clean the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    })
   }
  }),
  nodeAddresses: (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0003e0d20)({
   table: (string) (len=14) "node-addresses",
   smu: (*lock.sortableMutex)(0xc0017ff9b0)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 3,
    acquireDuration: (time.Duration) 1.07µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
     unique: (bool) false
    }
   }
  }),
  devices: (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc0003e0460)({
   table: (string) (len=7) "devices",
   smu: (*lock.sortableMutex)(0xc0017ff950)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 1,
    acquireDuration: (time.Duration) 2.519µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    },
    (string) (len=8) "selected": (statedb.anyIndexer) {
     name: (string) (len=8) "selected",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    }
   }
  })
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium encryption



#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.30 (v1.30.0) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   True      [eth0.1016  10.64.16.118 (Direct Routing), eth0.1020  127.214.96.216, eth0.1024  127.214.96.216]
Host firewall:          Enabled   [eth0.1016, eth0.1020, eth0.1024]
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.3 (v1.15.3-22dfbc58)
NodeMonitor:            Listening for events on 8 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 1 IPAM pool(s) available, 
Allocated addresses:
  100.98.7.211 (ingress)
  100.98.7.33 (router)
  100.98.7.84 (health)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       EDT with BPF [BBR] [eth0.1016, eth0.1020, eth0.1024]
Host Routing:           BPF
Masquerading:           BPF (ip-masq-agent)   [eth0.1016, eth0.1020, eth0.1024]   100.64.0.0/10 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      22/22 healthy
  Name                                  Last success   Last error    Count   Message
  cilium-health-ep                      56s ago        never         0       no error   
  dns-garbage-collector-job             1m0s ago       never         0       no error   
  endpoint-1864-regeneration-recovery   never          never         0       no error   
  endpoint-2335-regeneration-recovery   never          never         0       no error   
  endpoint-2362-regeneration-recovery   never          never         0       no error   
  endpoint-gc                           1s ago         never         0       no error   
  ep-bpf-prog-watchdog                  24s ago        never         0       no error   
  ipam-sync-multi-pool                  29h2m39s ago   never         0       no error   
  ipcache-inject-labels                 58s ago        29h5m0s ago   0       no error   
  k8s-heartbeat                         26s ago        never         0       no error   
  link-cache                            6s ago         never         0       no error   
  resolve-identity-1864                 4m59s ago      never         0       no error   
  resolve-identity-2335                 4m59s ago      never         0       no error   
  resolve-identity-2362                 4m58s ago      never         0       no error   
  sync-host-ips                         58s ago        never         0       no error   
  sync-lb-maps-with-k8s-services        29h5m0s ago    never         0       no error   
  sync-policymap-1864                   4m54s ago      never         0       no error   
  sync-policymap-2362                   4m56s ago      never         0       no error   
  sync-utime                            58s ago        never         0       no error   
  template-dir-watcher                  never          never         0       no error   
  update-k8s-node-annotations           29h5m1s ago    never         0       no error   
  write-cni-file                        29h5m1s ago    never         0       no error   
Proxy Status:            OK, ip 100.98.7.33, 0 redirects active on ports 10000-20000, Envoy: external
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 8191/8191 (100.00%), Flows/s: 4.27   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 True
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                eth0.1016  10.64.16.118 (Direct Routing), eth0.1020  127.214.96.216, eth0.1024  127.214.96.216
  Mode:                   DSR
    DSR Dispatch Mode:    IP Option/Extension
  Backend Selection:      Maglev (Table Size: 16381)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   73415
  TCP connection tracking       146830
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           146830
  Neighbor table                146830
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              73415
  Tunnel                        65536
Encryption:   Disabled   
```

#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])   IPv6   IPv4           STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                      
1864       Disabled           Disabled          1          k8s:role=storage                                    ready   
                                                           reserved:host                                               
2335       Disabled           Disabled          8          reserved:ingress                     100.98.7.211   ready   
2362       Disabled           Disabled          4          reserved:health                      100.98.7.84    ready   
```

#### BPF Policy Get 1864

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES        PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    7628771045   7883387   0        
Allow    Egress      0          ANY          NONE         disabled    1342805696   816481    0        

```


#### BPF CT List 1864

```
Invalid argument: unknown type 1864
```


#### Endpoint Get 1864

```
[
  {
    "id": 1864,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1864-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b3f857ee-4790-4164-afb0-806b8bf1c050"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1864",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.479Z",
            "success-count": 350
          },
          "uuid": "d94f2a99-a4fa-4fb3-9a71-16ceadc73f1f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-1864",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:58.579Z",
            "success-count": 117
          },
          "uuid": "716cd706-3656-4a69-879e-022274fc456e"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:role=storage"
        ]
      },
      "labels": {
        "derived": [
          "k8s:role=storage",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:role=storage",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "76:08:f7:49:71:7e",
        "interface-name": "cilium_host",
        "mac": "76:08:f7:49:71:7e"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1864

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1864

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:02Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:58Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:53Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:53Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 2335

```
Error: Failed to open map: loading pinned map /sys/fs/bpf/tc/globals/cilium_policy_02335: no such file or directory


```


#### BPF CT List 2335

```
Invalid argument: unknown type 2335
```


#### Endpoint Get 2335

```
[
  {
    "id": 2335,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2335-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "4a073051-b348-4baf-96c0-aa4256e55d82"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2335",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.479Z",
            "success-count": 350
          },
          "uuid": "4b77d01a-da28-4fb2-837b-4cad910a14d3"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8,
        "labels": [
          "reserved:ingress"
        ]
      },
      "labels": {
        "derived": [
          "reserved:ingress"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:ingress"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.7.211"
          }
        ]
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2335

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2335

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:02Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:55Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:53Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:53Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Ingress Endpoint creation

```


#### Identity get 8

```
ID   LABELS
8    reserved:ingress

```


#### BPF Policy Get 2362

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES      PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    10677172   134420    0        
Allow    Ingress     1          ANY          NONE         disabled    1378748    15708     0        
Allow    Egress      0          ANY          NONE         disabled    0          0         0        

```


#### BPF CT List 2362

```
Invalid argument: unknown type 2362
```


#### Endpoint Get 2362

```
[
  {
    "id": 2362,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2362-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "809c5dc1-a560-4f6b-a248-88d9af46f546"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2362",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:54.552Z",
            "success-count": 350
          },
          "uuid": "70054397-7127-4b97-b3e7-59638ab7468a"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-2362",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:57.088Z",
            "success-count": 117
          },
          "uuid": "4008aa9c-9c46-4a4e-af7b-aa97f67463b2"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.7.84",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "02:79:d7:4e:c4:c7",
        "interface-index": 15,
        "interface-name": "lxc_health",
        "mac": "2e:c5:1c:e2:17:6d"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2362

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2362

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:02Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:02Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:54Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```

