KVStore:                Ok   Disabled
Kubernetes:             Ok   1.30 (v1.30.0) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   True      [eth0.1016  10.64.16.116 (Direct Routing), eth0.1020  127.64.131.175, eth0.1024  127.64.131.175]
Host firewall:          Enabled   [eth0.1016, eth0.1020, eth0.1024]
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.3 (v1.15.3-22dfbc58)
NodeMonitor:            Listening for events on 4 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 1 IPAM pool(s) available, 
Allocated addresses:
  100.98.2.1 (health)
  100.98.2.102 (router)
  100.98.2.191 (ingress)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       EDT with BPF [BBR] [eth0.1016, eth0.1020, eth0.1024]
Host Routing:           BPF
Masquerading:           BPF (ip-masq-agent)   [eth0.1016, eth0.1020, eth0.1024]   100.64.0.0/10 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      22/22 healthy
  Name                                  Last success   Last error    Count   Message
  cilium-health-ep                      58s ago        never         0       no error   
  dns-garbage-collector-job             1m2s ago       never         0       no error   
  endpoint-1138-regeneration-recovery   never          never         0       no error   
  endpoint-1245-regeneration-recovery   never          never         0       no error   
  endpoint-429-regeneration-recovery    never          never         0       no error   
  endpoint-gc                           3s ago         never         0       no error   
  ep-bpf-prog-watchdog                  26s ago        never         0       no error   
  ipam-sync-multi-pool                  29h5m3s ago    never         0       no error   
  ipcache-inject-labels                 1m0s ago       29h5m3s ago   0       no error   
  k8s-heartbeat                         32s ago        never         0       no error   
  link-cache                            8s ago         never         0       no error   
  resolve-identity-1138                 5m2s ago       never         0       no error   
  resolve-identity-1245                 5m2s ago       never         0       no error   
  resolve-identity-429                  5m1s ago       never         0       no error   
  sync-host-ips                         1m0s ago       never         0       no error   
  sync-lb-maps-with-k8s-services        29h5m2s ago    never         0       no error   
  sync-policymap-1245                   4m57s ago      never         0       no error   
  sync-policymap-429                    4m58s ago      never         0       no error   
  sync-utime                            1m0s ago       never         0       no error   
  template-dir-watcher                  never          never         0       no error   
  update-k8s-node-annotations           29h5m3s ago    never         0       no error   
  write-cni-file                        29h5m4s ago    never         0       no error   
Proxy Status:            OK, ip 100.98.2.102, 0 redirects active on ports 10000-20000, Envoy: external
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 8191/8191 (100.00%), Flows/s: 3.83   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 True
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                eth0.1016  10.64.16.116 (Direct Routing), eth0.1020  127.64.131.175, eth0.1024  127.64.131.175
  Mode:                   DSR
    DSR Dispatch Mode:    IP Option/Extension
  Backend Selection:      Maglev (Table Size: 16381)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:          Disabled          
Cluster health:      12/12 reachable   (2024-04-25T17:22:59Z)
  Name               IP                Node        Endpoints
  net3 (localhost)   10.64.16.116      reachable   reachable
  master1            10.64.16.111      reachable   reachable
  master2            10.64.16.112      reachable   reachable
  master3            10.64.16.113      reachable   reachable
  net1               10.64.16.114      reachable   reachable
  net2               10.64.16.115      reachable   reachable
  stor1              10.64.16.117      reachable   reachable
  stor2              10.64.16.118      reachable   reachable
  stor3              10.64.16.119      reachable   reachable
  worker01           10.64.16.121      reachable   reachable
  worker02           10.64.16.122      reachable   reachable
  worker03           10.64.16.123      reachable   reachable
Modules Health:
agent
├── datapath
│   ├── agent-liveness-updater
│   │   └── timer-job-agent-liveness-updater                [OK] OK (57.451µs) (29h, x1)
│   ├── node-address
│   │   └── job-node-address-update                         [OK] 100.98.2.102 (cilium_host) (29h, x1)
│   └── l2-responder
│       └── job-l2-responder-reconciler                     [OK] Running (29h, x1)
└── controlplane
    ├── daemon
    │   └── ep-bpf-prog-watchdog                            [OK] ep-bpf-prog-watchdog (29h, x3490)
    ├── bgp-cp
    │   └── job-diffstore-events                            [OK] Running (29h, x2)
    ├── endpoint-manager
    │   ├── endpoint-gc                                     [OK] endpoint-gc (29h, x350)
    │   ├── cilium-endpoint-1245 
    │   │   ├── policymap-sync                              [OK] sync-policymap-1245 (29h, x117)
    │   │   └── datapath-regenerate                         [OK] Endpoint regeneration successful (29h, x22)
    │   ├── cilium-endpoint-1138 
    │   │   └── datapath-regenerate                         [OK] Endpoint regeneration successful (29h, x24)
    │   └── cilium-endpoint-429 
    │       ├── datapath-regenerate                         [OK] Endpoint regeneration successful (29h, x23)
    │       └── policymap-sync                              [OK] sync-policymap-429 (29h, x117)
    ├── l2-announcer
    │   ├── leader-election
    │   │   ├── job-leader-election/kube-system/cilium-ingress  [OK] Running (29h, x1)
    │   │   └── job-leader-election/default/iperf3-server   [OK] Running (29h, x1)
    │   ├── job-l2-announcer run                            [OK] Running (29h, x1)
    │   └── timer-job-l2-announcer lease-gc                 [OK] OK (6.611241ms) (29h, x1)
    ├── envoy-proxy
    │   └── timer-job-version-check                         [OK] OK (4.284764ms) (29h, x1)
    ├── stale-endpoint-cleanup                              [OK]  (29h, x1)
    ├── node-manager
    │   ├── background-sync                                 [OK] Node validation successful (29h, x681)
    │   ├── nodes-add                                       [OK] Node adds successful (29h, x12)
    │   └── nodes-update                                    [OK] Node updates successful (29h, x57)
    └── auth
        ├── observer-job-auth request-authentication        [OK] Primed (29h, x1)
        ├── observer-job-auth gc-identity-events            [OK] OK (3.6µs) [36] (29h, x1)
        └── timer-job-auth gc-cleanup                       [OK] OK (20.9µs) (29h, x1)

