# Cilium debug information

#### Cilium version

```
1.15.3 22dfbc58 2024-03-26T11:45:10+01:00 go version go1.21.8 linux/amd64
```


#### Cilium environment keys

```
iptables-random-fully:false
enable-k8s:true
vtep-cidr:
sidecar-istio-proxy-image:cilium/istio_proxy
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
ipv6-node:auto
enable-cilium-health-api-server-access:
egress-gateway-policy-map-max:16384
conntrack-gc-max-interval:1800s
enable-health-check-loadbalancer-ip:false
tofqdns-max-deferred-connection-deletes:10000
trace-sock:true
k8s-kubeconfig-path:
annotate-k8s-node:true
bpf-map-dynamic-size-ratio:0.0025
limit-ipam-api-burst:30
fqdn-regex-compile-lru-size:1024
routing-mode:native
tofqdns-enable-dns-compression:true
k8s-require-ipv4-pod-cidr:false
envoy-config-timeout:2m0s
mesh-auth-queue-size:1024
http-retry-count:3
hubble-skip-unknown-cgroup-ids:true
enable-bpf-clock-probe:false
ipsec-key-rotation-duration:5m0s
kvstore-max-consecutive-quorum-errors:2
preallocate-bpf-maps:false
enable-auto-protect-node-port-range:true
tunnel-port:0
enable-l2-neigh-discovery:true
bpf-ct-timeout-regular-tcp-syn:1m0s
ipam-multi-pool-pre-allocation:
enable-bpf-masquerade:true
k8s-service-cache-size:128
tofqdns-idle-connection-grace-period:0s
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
bpf-lb-sock:true
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
enable-endpoint-routes:true
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
ipam-default-ip-pool:default
certificates-directory:/var/run/cilium/certs
labels:
enable-icmp-rules:true
enable-k8s-api-discovery:false
http-max-grpc-timeout:0
identity-heartbeat-timeout:30m0s
enable-ipsec:false
kvstore-lease-ttl:15m0s
label-prefix-file:
proxy-connect-timeout:2
debug:false
enable-svc-source-range-check:true
enable-ipv4-masquerade:true
hubble-redact-http-userinfo:true
enable-health-checking:true
cmdref:
ipv6-pod-subnets:
cni-chaining-target:
mke-cgroup-mount:
remove-cilium-node-taints:true
http-403-msg:
gops-port:9890
ipv4-node:auto
fixed-identity-mapping:
bpf-lb-mode:dsr
ingress-shared-lb-service-name:cilium-ingress
hubble-prefer-ipv6:false
mesh-auth-gc-interval:5m0s
enable-ipv6-ndp:false
controller-group-metrics:
config:
pprof-port:6060
endpoint-bpf-prog-watchdog-interval:30s
bpf-auth-map-max:524288
enable-sctp:false
max-internal-timer-delay:0s
ipsec-key-file:
hubble-recorder-storage-path:/var/run/cilium/pcaps
enable-hubble:true
cni-exclusive:true
clustermesh-config:/var/lib/cilium/clustermesh/
monitor-queue-size:0
enable-nat46x64-gateway:false
enable-encryption-strict-mode:false
enable-metrics:true
node-port-range:
encrypt-node:false
bpf-ct-timeout-regular-any:1m0s
hubble-redact-enabled:false
skip-cnp-status-startup-clean:false
cni-chaining-mode:none
identity-allocation-mode:crd
dnsproxy-concurrency-processing-grace-period:0s
kube-proxy-replacement:true
bgp-config-path:/var/lib/cilium/bgp/config.yaml
dnsproxy-lock-timeout:500ms
proxy-gid:1337
kvstore-opt:
mesh-auth-spiffe-trust-domain:spiffe.cilium
egress-masquerade-interfaces:
proxy-prometheus-port:0
bpf-ct-timeout-regular-tcp:2h13m20s
bpf-lb-sock-hostns-only:false
log-opt:
prometheus-serve-addr:
install-iptables-rules:true
ipv6-service-range:auto
envoy-log:
max-connected-clusters:255
mesh-auth-mutual-listener-port:0
hubble-monitor-events:
local-router-ipv4:
api-rate-limit:
vtep-mac:
devices:eth0.1016 eth0.1020 eth0.1024
clustermesh-ip-identities-sync-timeout:1m0s
bgp-announce-pod-cidr:false
config-sources:config-map:kube-system/cilium-config
identity-restore-grace-period:10m0s
bpf-ct-timeout-service-tcp:2h13m20s
bpf-ct-timeout-service-any:1m0s
allocator-list-timeout:3m0s
encrypt-interface:
monitor-aggregation-interval:5s
nodeport-addresses:
enable-ingress-controller:true
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
enable-l7-proxy:true
hubble-export-file-compress:false
enable-node-port:false
enable-recorder:false
vtep-endpoint:
kube-proxy-replacement-healthz-bind-address:0.0.0.0:10256
enable-high-scale-ipcache:false
bpf-lb-rss-ipv6-src-cidr:
enable-host-port:false
egress-gateway-reconciliation-trigger-interval:1s
hubble-redact-http-headers-allow:
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
bpf-lb-map-max:65536
allow-localhost:auto
tofqdns-min-ttl:0
node-port-acceleration:disabled
l2-announcements-renew-deadline:5s
tofqdns-pre-cache:
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
set-cilium-is-up-condition:true
bpf-lb-algorithm:maglev
l2-announcements-retry-period:2s
operator-api-serve-addr:127.0.0.1:9234
bpf-lb-maglev-table-size:16381
bgp-announce-lb-ip:false
local-router-ipv6:
ingress-secrets-namespace:cilium-secrets
enable-bbr:true
loadbalancer-l7:envoy
enable-k8s-terminating-endpoint:true
enable-ingress-secrets-sync:true
enable-ipv6-masquerade:false
ipam:multi-pool
enable-monitor:true
tunnel-protocol:vxlan
k8s-heartbeat-timeout:30s
hubble-socket-path:/var/run/cilium/hubble.sock
bpf-root:/sys/fs/bpf
crd-wait-timeout:5m0s
prepend-iptables-chains:true
egress-multi-home-ip-rule-compat:false
custom-cni-conf:false
install-egress-gateway-routes:false
exclude-local-address:
enable-tracing:false
bpf-policy-map-max:16384
auto-direct-node-routes:true
pprof-address:localhost
enable-custom-calls:false
cni-log-file:/var/run/cilium/cilium-cni.log
vlan-bpf-bypass:
bpf-filter-priority:1
hubble-export-file-max-size-mb:10
enable-policy:default
ipv4-pod-subnets:
http-request-timeout:3600
enable-endpoint-health-checking:true
hubble-export-denylist:
loadbalancer-l7-ports:
http-retry-timeout:0
bpf-lb-affinity-map-max:0
dnsproxy-concurrency-limit:0
pprof:false
envoy-secrets-namespace:cilium-secrets
bpf-nat-global-max:524288
ipv4-service-loopback-address:169.254.42.1
disable-envoy-version-check:false
mesh-auth-mutual-connect-timeout:5s
proxy-max-connection-duration-seconds:0
auto-create-cilium-pod-ip-pools:default=ipv4-cidrs:100.98.0.0/15;ipv4-mask-size:24
proxy-max-requests-per-connection:0
k8s-namespace:kube-system
bypass-ip-availability-upon-restore:false
kvstore-periodic-sync:5m0s
disable-endpoint-crd:false
enable-cilium-endpoint-slice:false
policy-queue-size:100
enable-session-affinity:true
ipv6-cluster-alloc-cidr:f00d::/64
enable-pmtu-discovery:false
enable-host-firewall:true
route-metric:0
tofqdns-proxy-response-max-delay:100ms
k8s-api-server:
k8s-client-burst:40
bpf-sock-rev-map-max:262144
legacy-turn-off-k8s-event-handover:false
enable-l2-pod-announcements:false
enable-srv6:false
restore:true
ipv6-range:auto
ip-masq-agent-config-path:/etc/config/ip-masq-agent
hubble-metrics:
http-idle-timeout:0
external-envoy-proxy:true
bpf-fragments-map-max:8192
enable-masquerade-to-route-source:false
kvstore-connectivity-timeout:2m0s
identity-change-grace-period:5s
enable-local-node-route:true
cflags:
mesh-auth-spire-admin-socket:
hubble-export-file-max-backups:5
enable-runtime-device-detection:false
enable-hubble-recorder-api:true
enable-vtep:false
max-controller-interval:0
enable-bgp-control-plane:false
bpf-lb-dsr-l4-xlate:frontend
cluster-health-port:4240
enable-l2-announcements:true
hubble-recorder-sink-queue-size:1024
cluster-name:default
synchronize-k8s-nodes:true
enable-k8s-networkpolicy:true
hubble-listen-address::4244
bpf-lb-rev-nat-map-max:0
hubble-export-allowlist:
datapath-mode:veth
enable-mke:false
enable-local-redirect-policy:false
hubble-metrics-server:
l2-pod-announcements-interface:
proxy-idle-timeout-seconds:60
http-normalize-path:true
policy-cidr-match-mode:
enable-wireguard:false
log-driver:
bpf-policy-map-full-reconciliation-interval:15m0s
local-max-addr-scope:252
encryption-strict-mode-allow-remote-node-identities:false
nodes-gc-interval:5m0s
derive-masquerade-ip-addr-from-device:
node-port-bind-protection:true
kvstore:
hubble-export-file-path:
ingress-lb-annotation-prefixes:service.beta.kubernetes.io service.kubernetes.io cloud.google.com
endpoint-gc-interval:5m0s
conntrack-gc-interval:0s
ingress-default-lb-mode:shared
version:false
mesh-auth-enabled:true
agent-health-port:9879
bpf-ct-timeout-service-tcp-grace:1m0s
ipv4-service-range:auto
auto-create-cilium-node-resource:true
tofqdns-endpoint-max-ip-per-hostname:50
k8s-client-qps:30
monitor-aggregation:medium
tofqdns-dns-reject-response-code:refused
enable-well-known-identities:false
socket-path:/var/run/cilium/cilium.sock
ipv4-range:auto
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
enable-stale-cilium-endpoint-cleanup:true
k8s-sync-timeout:3m0s
enforce-ingress-https:false
unmanaged-pod-watcher-interval:15
enable-ipv4-big-tcp:false
bpf-lb-acceleration:disabled
config-dir:/tmp/cilium/config-map
wireguard-persistent-keepalive:0s
mesh-auth-signal-backoff-duration:1s
vtep-mask:
monitor-aggregation-flags:all
hubble-redact-kafka-apikey:false
node-port-mode:snat
policy-audit-mode:false
enable-xt-socket-fallback:true
operator-prometheus-serve-addr::9963
dnsproxy-enable-transparent-mode:true
bpf-lb-rss-ipv4-src-cidr:
bpf-ct-global-any-max:262144
keep-config:false
read-cni-conf:
hubble-redact-http-headers-deny:
bpf-lb-source-range-map-max:0
direct-routing-device:
use-cilium-internal-ip-for-ipsec:false
cluster-id:0
enable-bpf-tproxy:true
arping-refresh-period:30s
ip-allocation-timeout:2m0s
enable-xdp-prefilter:false
trace-payloadlen:128
enable-ipsec-key-watcher:true
enable-identity-mark:true
encryption-strict-mode-cidr:
dns-policy-unload-on-shutdown:false
join-cluster:false
policy-trigger-interval:1s
hubble-redact-http-urlquery:false
enable-ipv6:false
loadbalancer-l7-algorithm:round_robin
hubble-event-buffer-capacity:8191
log-system-load:false
debug-verbose:
endpoint-status:
iptables-lock-timeout:5s
cilium-endpoint-gc-interval:5m0s
enable-k8s-endpoint-slice:true
bpf-map-event-buffers:
install-no-conntrack-iptables-rules:false
procfs:/host/proc
k8s-service-proxy-name:
allow-icmp-frag-needed:true
enable-ipv4-egress-gateway:false
bpf-lb-service-map-max:0
tofqdns-proxy-port:0
enable-external-ips:false
bpf-neigh-global-max:524288
service-no-backend-response:reject
bpf-lb-service-backend-map-max:0
identity-gc-interval:15m0s
enable-cilium-api-server-access:
mesh-auth-rotated-identities-queue-size:1024
enable-ipv4-fragment-tracking:true
hubble-export-fieldmask:
enable-ip-masq-agent:true
set-cilium-node-taints:true
cgroup-root:/sys/fs/cgroup
enable-health-check-nodeport:true
node-port-algorithm:random
hubble-disable-tls:false
ipam-cilium-node-update-rate:15s
bpf-ct-timeout-regular-tcp-fin:10s
bpf-lb-dsr-dispatch:opt
enable-host-legacy-routing:false
mtu:0
state-dir:/var/run/cilium
ipv6-mcast-device:
metrics:
l2-announcements-lease-duration:15s
enable-ingress-proxy-protocol:false
enable-bandwidth-manager:true
enable-remote-node-identity:true
enable-ipv4:true
hubble-flowlogs-config-path:
dnsproxy-lock-count:131
bpf-lb-external-clusterip:true
agent-liveness-update-interval:1s
k8s-require-ipv6-pod-cidr:false
srv6-encap-mode:reduced
cni-external-routing:false
enable-unreachable-routes:false
lib-dir:/var/lib/cilium
ipv6-native-routing-cidr:
enable-service-topology:false
dns-max-ips-per-restored-rule:1000
ipv4-native-routing-cidr:100.64.0.0/10
endpoint-queue-size:25
enable-envoy-config:true
enable-wireguard-userspace-fallback:false
agent-labels:
disable-iptables-feeder-rules:
bpf-lb-maglev-map-max:0
enable-ipv6-big-tcp:false
bpf-ct-global-tcp-max:524288
hubble-event-queue-size:16383
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])   IPv6   IPv4           STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                      
429        Disabled           Disabled          4          reserved:health                      100.98.2.1     ready   
1138       Disabled           Disabled          8          reserved:ingress                     100.98.2.191   ready   
1245       Disabled           Disabled          1          k8s:role=network                                    ready   
                                                           reserved:host                                               
```

#### BPF Policy Get 429

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES      PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    10657966   134420    0        
Allow    Ingress     1          ANY          NONE         disabled    1375258    15708     0        
Allow    Egress      0          ANY          NONE         disabled    0          0         0        

```


#### BPF CT List 429

```
Invalid argument: unknown type 429
```


#### Endpoint Get 429

```
[
  {
    "id": 429,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-429-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "ad8845c3-e011-48d3-a923-841b86a8543f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-429",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:54.290Z",
            "success-count": 350
          },
          "uuid": "b41681e3-9b5c-43fd-8097-17fdbd6a34c0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-429",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:56.886Z",
            "success-count": 117
          },
          "uuid": "7353477a-168e-4809-9b36-d84d6742720a"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.2.1",
            "ipv4-pool-name": "default"
          }
        ],
        "host-mac": "56:b8:45:e6:36:6a",
        "interface-index": 15,
        "interface-name": "lxc_health",
        "mac": "da:29:18:c7:b2:ba"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 429

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 429

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:54Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:54Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:53Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 1138

```
Error: Failed to open map: loading pinned map /sys/fs/bpf/tc/globals/cilium_policy_01138: no such file or directory


```


#### BPF CT List 1138

```
Invalid argument: unknown type 1138
```


#### Endpoint Get 1138

```
[
  {
    "id": 1138,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1138-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "dac398b9-ef9e-4156-ab3b-11282b09c3d2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1138",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.211Z",
            "success-count": 350
          },
          "uuid": "afbfcdb4-34cc-46d0-b839-47877858c015"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8,
        "labels": [
          "reserved:ingress"
        ]
      },
      "labels": {
        "derived": [
          "reserved:ingress"
        ],
        "realized": {},
        "security-relevant": [
          "reserved:ingress"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "100.98.2.191"
          }
        ]
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1138

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1138

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:57Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:18:57Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:57Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:18:56Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:56Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:56Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:55Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:55Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:52Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:52Z   OK       waiting-for-identity    Ingress Endpoint creation

```


#### Identity get 8

```
ID   LABELS
8    reserved:ingress

```


#### BPF Policy Get 1245

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   AUTH TYPE   BYTES      PACKETS   PREFIX   
Allow    Ingress     0          ANY          NONE         disabled    41762687   176429    0        
Allow    Egress      0          ANY          NONE         disabled    50545972   579126    0        

```


#### BPF CT List 1245

```
Invalid argument: unknown type 1245
```


#### Endpoint Get 1245

```
[
  {
    "id": 1245,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1245-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "5feceea1-1cf6-4664-8a21-ad90903aef5f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1245",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:23:53.211Z",
            "success-count": 350
          },
          "uuid": "5f9dea39-c854-483d-9b37-fe5463bd6384"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "15m0s"
          },
          "name": "sync-policymap-1245",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2024-04-25T17:18:58.284Z",
            "success-count": 117
          },
          "uuid": "1b3c1086-0b15-48e6-a3b3-4e69f3c1d8f2"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:role=network"
        ]
      },
      "labels": {
        "derived": [
          "k8s:role=network",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:role=network",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2024-04-25T11:10:59Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "82:3c:ba:b9:00:59",
        "interface-name": "cilium_host",
        "mac": "82:3c:ba:b9:00:59"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 2,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 2
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1245

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1245

```
Timestamp              Status   State                   Message
2024-04-25T11:10:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-25T11:10:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-25T11:10:59Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-25T11:10:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T13:33:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:54Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T13:33:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T13:33:53Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:53Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:53Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:53Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T13:33:52Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T13:33:52Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T13:33:52Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T13:33:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:26:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:26:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:26:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:26:12Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:25:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:25:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:25:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:25:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:23:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:23:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:23:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:23:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:31Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:31Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:31Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:31Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:21:26Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:21:26Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:21:26Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:21:26Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:54Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:54Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:54Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:54Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:03Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:03Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:20:01Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:20:01Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:20:01Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:20:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:51Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: Envoy Listeners added)
2024-04-24T12:19:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:39Z   OK       regenerating            Regenerating endpoint: Envoy Listeners added
2024-04-24T12:19:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to Envoy Listeners added
2024-04-24T12:19:38Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:38Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:38Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:38Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:34Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2024-04-24T12:19:34Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:34Z   OK       regenerating            Regenerating endpoint: 
2024-04-24T12:19:34Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2024-04-24T12:19:33Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:33Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:33Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:33Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:19:32Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:19:32Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:19:32Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:19:32Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:58Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2024-04-24T12:18:58Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2024-04-24T12:18:58Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2024-04-24T12:18:58Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2024-04-24T12:18:57Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2024-04-24T12:18:56Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2024-04-24T12:18:55Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2024-04-24T12:18:52Z   OK       regenerating            Regenerating endpoint: updated security labels
2024-04-24T12:18:52Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2024-04-24T12:18:52Z   OK       ready                   Set identity for this endpoint
2024-04-24T12:18:52Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### Policy get

```
:
 []
Revision: 2

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0004b2c00)({
 config: (k8s.ServiceCacheConfig) {
  EnableServiceTopology: (bool) false
 },
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc0016accc0,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=20) {
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.Service)(0xc000bda4d0)(frontends:[100.96.124.20]/ports=[]/selector=map[k8s-app:hubble-relay]),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.Service)(0xc000bda840)(frontends:[100.96.134.117]/ports=[tcp-prometheus-servicemonitor]/selector=map[app.kubernetes.io/component:controller app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:cert-manager]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.Service)(0xc003fcf760)(frontends:[100.96.69.141]/ports=[kong-proxy-tls]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.Service)(0xc003057e40)(frontends:[100.96.193.139]/ports=[http-dashboard]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.Service)(0xc0023bf760)(frontends:[100.96.210.73]/ports=[http-metrics]/selector=map[app:rook-ceph-mgr mgr_role:active rook_cluster:rook-ceph]),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.Service)(0xc002877c30)(frontends:[100.96.25.171]/ports=[http https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.Service)(0xc000bda6e0)(frontends:[100.96.145.47]/ports=[http]/selector=map[k8s-app:hubble-ui]),
  (k8s.ServiceID) kube-system/cilium-envoy: (*k8s.Service)(0xc000bdaa50)(frontends:[]/ports=[envoy-metrics]/selector=map[k8s-app:cilium-envoy]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.Service)(0xc001f13130)(frontends:[100.96.207.75]/ports=[auth]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-auth app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.Service)(0xc001f13290)(frontends:[100.96.100.10]/ports=[kong-manager-tls kong-manager]/selector=map[app.kubernetes.io/component:app app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kong]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000bda790)(frontends:[100.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/iperf3-server: (*k8s.Service)(0xc0030e28f0)(frontends:[100.96.81.156]/ports=[]/selector=map[app:iperf3-server]),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.Service)(0xc000bdb600)(frontends:[100.96.194.255]/ports=[ceph-exporter-http-metrics]/selector=map[app:rook-ceph-exporter rook_cluster:rook-ceph]),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.Service)(0xc0034a02c0)(frontends:[100.96.17.12]/ports=[http]/selector=map[app:rook-ceph-rgw ceph_daemon_id:ceph-objectstore rgw:ceph-objectstore rook_cluster:rook-ceph rook_object_store:ceph-objectstore]),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.Service)(0xc000bda8f0)(frontends:[100.96.171.42]/ports=[https]/selector=map[app.kubernetes.io/component:webhook app.kubernetes.io/instance:cert-manager app.kubernetes.io/name:webhook]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000bda9a0)(frontends:[100.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc000bdab00)(frontends:[100.96.17.28]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.Service)(0xc003fcf6b0)(frontends:[100.96.56.167]/ports=[api]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-api app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.Service)(0xc000f9ef20)(frontends:[100.96.132.20]/ports=[]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-metrics-scraper app.kubernetes.io/part-of:kubernetes-dashboard]),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.Service)(0xc003fcf970)(frontends:[100.96.56.17]/ports=[web]/selector=map[app.kubernetes.io/instance:kubernetes-dashboard app.kubernetes.io/name:kubernetes-dashboard-web app.kubernetes.io/part-of:kubernetes-dashboard])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=19) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc001096300)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc000e60ea0)(10.64.16.111:6443/TCP,10.64.16.112:6443/TCP,10.64.16.113:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc001096310)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-jjc92": (*k8s.Endpoints)(0xc002a9cd00)(10.64.16.111:4244/TCP,10.64.16.112:4244/TCP,10.64.16.113:4244/TCP,10.64.16.114:4244/TCP,10.64.16.115:4244/TCP,10.64.16.116:4244/TCP,10.64.16.117:4244/TCP,10.64.16.118:4244/TCP,10.64.16.119:4244/TCP,10.64.16.121:4244/TCP,10.64.16.122:4244/TCP,10.64.16.123:4244/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc001096328)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-72wgr": (*k8s.Endpoints)(0xc0023b0000)(100.98.5.232:53/TCP,100.98.5.232:53/UDP,100.98.5.232:9153/TCP,100.98.9.131:53/TCP,100.98.9.131:53/UDP,100.98.9.131:9153/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-metrics-scraper: (*k8s.EndpointSlices)(0xc0016e8e60)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=42) "kubernetes-dashboard-metrics-scraper-22gxx": (*k8s.Endpoints)(0xc0029b0340)(100.98.8.250:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-exporter: (*k8s.EndpointSlices)(0xc001742250)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "rook-ceph-exporter-fcprh": (*k8s.Endpoints)(0xc00295aa90)(10.64.16.111:9926/TCP,10.64.16.113:9926/TCP,10.64.16.117:9926/TCP,10.64.16.118:9926/TCP,10.64.16.119:9926/TCP,10.64.16.121:9926/TCP,10.64.16.123:9926/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr-dashboard: (*k8s.EndpointSlices)(0xc0014167a8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=29) "rook-ceph-mgr-dashboard-j5tvt": (*k8s.Endpoints)(0xc002216820)(10.64.16.113:7000/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager: (*k8s.EndpointSlices)(0xc0010962f0)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "cert-manager-6zz6b": (*k8s.Endpoints)(0xc002334d00)(100.98.9.178:9402/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-ui: (*k8s.EndpointSlices)(0xc001096320)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=15) "hubble-ui-dlw2k": (*k8s.Endpoints)(0xc002a7c820)(100.98.5.152:8081/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-web: (*k8s.EndpointSlices)(0xc001096298)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-web-chg8x": (*k8s.Endpoints)(0xc0028bf040)(100.98.8.170:8000/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-rgw-ceph-objectstore: (*k8s.EndpointSlices)(0xc000708548)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=36) "rook-ceph-rgw-ceph-objectstore-7675g": (*k8s.Endpoints)(0xc0028beb60)(10.64.16.123:80/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-relay: (*k8s.EndpointSlices)(0xc001096318)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=18) "hubble-relay-b7psv": (*k8s.Endpoints)(0xc0023b15f0)(100.98.1.205:4245/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/cilium-ingress: (*k8s.EndpointSlices)(0xc001096308)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "cilium-ingress-lg2vr": (*k8s.Endpoints)(0xc000e61450)(192.192.192.192:9999/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-auth: (*k8s.EndpointSlices)(0xc001096230)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=31) "kubernetes-dashboard-auth-xkwmd": (*k8s.Endpoints)(0xc002857790)(100.98.5.166:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-api: (*k8s.EndpointSlices)(0xc001096250)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "kubernetes-dashboard-api-npppm": (*k8s.Endpoints)(0xc002857040)(100.98.8.4:8000/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-manager: (*k8s.EndpointSlices)(0xc0016e8e58)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=39) "kubernetes-dashboard-kong-manager-js8fc": (*k8s.Endpoints)(0xc0033f2ea0)(100.98.5.83:8002/TCP,100.98.5.83:8445/TCP)
   }
  }),
  (k8s.ServiceID) default/iperf3-server: (*k8s.EndpointSlices)(0xc001783e50)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "iperf3-server-wr74m": (*k8s.Endpoints)(0xc00343e820)(100.98.9.66:5201/TCP)
   }
  }),
  (k8s.ServiceID) cert-manager/cert-manager-webhook: (*k8s.EndpointSlices)(0xc0010962f8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "cert-manager-webhook-56hfc": (*k8s.Endpoints)(0xc002335930)(100.98.9.107:10250/TCP)
   }
  }),
  (k8s.ServiceID) rook-ceph/rook-ceph-mgr: (*k8s.EndpointSlices)(0xc0014167b8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "rook-ceph-mgr-b2r46": (*k8s.Endpoints)(0xc002216680)(10.64.16.113:9283/TCP)
   }
  }),
  (k8s.ServiceID) kubernetes-dashboard/kubernetes-dashboard-kong-proxy: (*k8s.EndpointSlices)(0xc001782f50)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=37) "kubernetes-dashboard-kong-proxy-msdkf": (*k8s.Endpoints)(0xc0033f2d00)(100.98.5.83:8443/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*tables.nodeAddressing)(0xc000e0f260)({
  localNode: (*node.LocalNodeStore)(0xc00092a600)({
   Observable: (stream.FuncObservable[github.com/cilium/cilium/pkg/node.LocalNode]) 0x1df7840,
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   value: (node.LocalNode) {
    Node: (types.Node) {
     Name: (string) (len=4) "net3",
     Cluster: (string) (len=7) "default",
     IPAddresses: ([]types.Address) (len=2 cap=2) {
      (types.Address) {
       Type: (addressing.AddressType) (len=10) "InternalIP",
       IP: (net.IP) (len=16 cap=16) 10.64.16.116
      },
      (types.Address) {
       Type: (addressing.AddressType) (len=16) "CiliumInternalIP",
       IP: (net.IP) (len=16 cap=26) 100.98.2.102
      }
     },
     IPv4AllocCIDR: (*cidr.CIDR)(0xc0016e8558)(100.97.7.0/24),
     IPv4SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv6AllocCIDR: (*cidr.CIDR)(<nil>),
     IPv6SecondaryAllocCIDRs: ([]*cidr.CIDR) <nil>,
     IPv4HealthIP: (net.IP) (len=16 cap=26) 100.98.2.1,
     IPv6HealthIP: (net.IP) <nil>,
     IPv4IngressIP: (net.IP) (len=16 cap=26) 100.98.2.191,
     IPv6IngressIP: (net.IP) <nil>,
     ClusterID: (uint32) 0,
     Source: (source.Source) (len=5) "local",
     EncryptionKey: (uint8) 0,
     Labels: (map[string]string) (len=6) {
      (string) (len=22) "kubernetes.io/hostname": (string) (len=4) "net3",
      (string) (len=16) "kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=4) "role": (string) (len=7) "network",
      (string) (len=23) "beta.kubernetes.io/arch": (string) (len=5) "amd64",
      (string) (len=21) "beta.kubernetes.io/os": (string) (len=5) "linux",
      (string) (len=18) "kubernetes.io/arch": (string) (len=5) "amd64"
     },
     Annotations: (map[string]string) (len=4) {
      (string) (len=34) "network.cilium.io/ipv4-cilium-host": (string) (len=12) "100.98.2.102",
      (string) (len=32) "network.cilium.io/ipv4-health-ip": (string) (len=10) "100.98.2.1",
      (string) (len=31) "network.cilium.io/ipv4-pod-cidr": (string) (len=13) "100.97.7.0/24",
      (string) (len=33) "network.cilium.io/ipv4-Ingress-ip": (string) (len=12) "100.98.2.191"
     },
     NodeIdentity: (uint32) 1,
     WireguardPubKey: (string) "",
     BootID: (string) (len=36) "0fd717bb-b865-4ff2-b658-147c86f6ab56"
    },
    OptOutNodeEncryption: (bool) false,
    UID: (types.UID) (len=36) "1de2eb86-4b68-4cf8-95c8-94268b3e9b0e",
    ProviderID: (string) ""
   },
   emit: (func(node.LocalNode)) 0x1df80e0,
   complete: (func(error)) 0x1df7ea0
  }),
  db: (*statedb.DB)(0xc001f3e1c0)({
   mu: (lock.Mutex) {
    internalMutex: (lock.internalMutex) {
     Mutex: (sync.Mutex) {
      state: (int32) 0,
      sema: (uint32) 0
     }
    }
   },
   tables: (map[string]statedb.TableMeta) (len=4) {
    (string) (len=11) "l2-announce": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.L2AnnounceEntry])(0xc000920410)({
     table: (string) (len=11) "l2-announce",
     smu: (*lock.sortableMutex)(0xc0001971b8)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 4,
      acquireDuration: (time.Duration) 620ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=6) "origin": (statedb.anyIndexer) {
       name: (string) (len=6) "origin",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=7) "devices": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc0007da780)({
     table: (string) (len=7) "devices",
     smu: (*lock.sortableMutex)(0xc0018d9a58)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 1,
      acquireDuration: (time.Duration) 1.32µs
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      },
      (string) (len=8) "selected": (statedb.anyIndexer) {
       name: (string) (len=8) "selected",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=6) "routes": (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Route])(0xc0007da7d0)({
     table: (string) (len=6) "routes",
     smu: (*lock.sortableMutex)(0xc0018d9a70)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 2,
      acquireDuration: (time.Duration) 330ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=9) "LinkIndex": (statedb.anyIndexer) {
       name: (string) (len=9) "LinkIndex",
       fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
       unique: (bool) false
      }
     }
    }),
    (string) (len=14) "node-addresses": (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0007dadc0)({
     table: (string) (len=14) "node-addresses",
     smu: (*lock.sortableMutex)(0xc0018d9ab8)({
      Mutex: (sync.Mutex) {
       state: (int32) 0,
       sema: (uint32) 0
      },
      seq: (uint64) 3,
      acquireDuration: (time.Duration) 510ns
     }),
     primaryAnyIndexer: (statedb.anyIndexer) {
      name: (string) (len=2) "id",
      fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
      unique: (bool) true
     },
     secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
      (string) (len=4) "name": (statedb.anyIndexer) {
       name: (string) (len=4) "name",
       fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
       unique: (bool) false
      }
     }
    })
   },
   ctx: (*context.cancelCtx)(0xc0007f2140)(context.Background.WithCancel),
   cancel: (context.CancelFunc) 0x4a18e0,
   root: (atomic.Pointer[github.com/hashicorp/go-immutable-radix/v2.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]]) {
    _: ([0]*iradix.Tree[github.com/cilium/cilium/pkg/statedb.tableEntry]) {
    },
    _: (atomic.noCopy) {
    },
    v: (unsafe.Pointer) 0xc000e0cc70
   },
   gcTrigger: (chan struct {}) (cap=1) 0xc001f884e0,
   gcExited: (chan struct {}) 0xc001f88540,
   gcRateLimitInterval: (time.Duration) 1s,
   metrics: (statedb.Metrics) {
    WriteTxnDuration: (*metric.histogramVec)(0xc000d81680)({
     ObserverVec: (*prometheus.HistogramVec)(0xc001004d40)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e7500)({
       metricMap: (*prometheus.metricMap)(0xc0006e7530)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4960)(Desc{fqName: "cilium_statedb_write_txn_duration_seconds", help: "How long a write transaction was held.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=26) "write_txn_duration_seconds",
       Help: (string) (len=38) "How long a write transaction was held.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    WriteTxnAcquisition: (*metric.histogramVec)(0xc000d81700)({
     ObserverVec: (*prometheus.HistogramVec)(0xc001004d48)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e7590)({
       metricMap: (*prometheus.metricMap)(0xc0006e75c0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf49c0)(Desc{fqName: "cilium_statedb_write_txn_acquisition_seconds", help: "How long it took to acquire a write transaction for all tables.", constLabels: {}, variableLabels: {tables,package}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "write_txn_acquisition_seconds",
       Help: (string) (len=63) "How long it took to acquire a write transaction for all tables.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableContention: (*metric.gaugeVec)(0xc000d81780)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001004d50)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e7620)({
       metricMap: (*prometheus.metricMap)(0xc0006e7650)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4ae0)(Desc{fqName: "cilium_statedb_table_contention_seconds", help: "How long writers were blocked while waiting to acquire a write transaction for a specific table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=24) "table_contention_seconds",
       Help: (string) (len=96) "How long writers were blocked while waiting to acquire a write transaction for a specific table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableObjectCount: (*metric.gaugeVec)(0xc000d81800)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001004d58)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e76b0)({
       metricMap: (*prometheus.metricMap)(0xc0006e76e0)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4b40)(Desc{fqName: "cilium_statedb_table_objects", help: "The amount of objects in a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=13) "table_objects",
       Help: (string) (len=39) "The amount of objects in a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableRevision: (*metric.gaugeVec)(0xc000d81880)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001004d60)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e7740)({
       metricMap: (*prometheus.metricMap)(0xc0006e7770)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4ba0)(Desc{fqName: "cilium_statedb_table_revision", help: "The current revision of a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=14) "table_revision",
       Help: (string) (len=38) "The current revision of a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableDeleteTrackerCount: (*metric.gaugeVec)(0xc000d81900)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001004d68)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e77d0)({
       metricMap: (*prometheus.metricMap)(0xc0006e7800)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4c00)(Desc{fqName: "cilium_statedb_table_delete_trackers", help: "The amount of delete trackers for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=21) "table_delete_trackers",
       Help: (string) (len=48) "The amount of delete trackers for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardObjectCount: (*metric.gaugeVec)(0xc000d81980)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001004d70)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e7860)({
       metricMap: (*prometheus.metricMap)(0xc0006e7890)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4c60)(Desc{fqName: "cilium_statedb_table_graveyard_objects", help: "The amount of objects in the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=23) "table_graveyard_objects",
       Help: (string) (len=57) "The amount of objects in the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardLowWatermark: (*metric.gaugeVec)(0xc000d81a00)({
     GaugeVec: (*prometheus.GaugeVec)(0xc001004d78)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e78f0)({
       metricMap: (*prometheus.metricMap)(0xc0006e7980)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4cc0)(Desc{fqName: "cilium_statedb_table_graveyard_low_watermark", help: "The lowest revision of a given table that has been processed by the graveyard garbage collector.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc10080
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=29) "table_graveyard_low_watermark",
       Help: (string) (len=96) "The lowest revision of a given table that has been processed by the graveyard garbage collector.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    }),
    TableGraveyardCleaningDuration: (*metric.histogramVec)(0xc000d81a80)({
     ObserverVec: (*prometheus.HistogramVec)(0xc001004d80)({
      MetricVec: (*prometheus.MetricVec)(0xc0006e79e0)({
       metricMap: (*prometheus.metricMap)(0xc0006e7a10)({
        mtx: (sync.RWMutex) {
         w: (sync.Mutex) {
          state: (int32) 0,
          sema: (uint32) 0
         },
         writerSem: (uint32) 0,
         readerSem: (uint32) 0,
         readerCount: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         },
         readerWait: (atomic.Int32) {
          _: (atomic.noCopy) {
          },
          v: (int32) 0
         }
        },
        metrics: (map[uint64][]prometheus.metricWithLabelValues) {
        },
        desc: (*prometheus.Desc)(0xc000bf4d20)(Desc{fqName: "cilium_statedb_table_graveyard_cleaning_duration_seconds", help: "The time it took to clean the graveyard for a given table.", constLabels: {}, variableLabels: {table}}),
        newMetric: (func(...string) prometheus.Metric) 0xc18860
       }),
       curry: ([]prometheus.curriedLabelValue) <nil>,
       hashAdd: (func(uint64, string) uint64) 0xc0faa0,
       hashAddByte: (func(uint64, uint8) uint64) 0xc0fae0
      })
     }),
     metric: (metric.metric) {
      enabled: (bool) false,
      opts: (metric.Opts) {
       Namespace: (string) (len=6) "cilium",
       Subsystem: (string) (len=7) "statedb",
       Name: (string) (len=41) "table_graveyard_cleaning_duration_seconds",
       Help: (string) (len=58) "The time it took to clean the graveyard for a given table.",
       ConstLabels: (prometheus.Labels) <nil>,
       ConfigName: (string) "",
       Disabled: (bool) true
      },
      labels: (*metric.labelSet)(<nil>)
     }
    })
   }
  }),
  nodeAddresses: (*statedb.genTable[github.com/cilium/cilium/pkg/datapath/tables.NodeAddress])(0xc0007dadc0)({
   table: (string) (len=14) "node-addresses",
   smu: (*lock.sortableMutex)(0xc0018d9ab8)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 3,
    acquireDuration: (time.Duration) 510ns
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=1) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afc60,
     unique: (bool) false
    }
   }
  }),
  devices: (*statedb.genTable[*github.com/cilium/cilium/pkg/datapath/tables.Device])(0xc0007da780)({
   table: (string) (len=7) "devices",
   smu: (*lock.sortableMutex)(0xc0018d9a58)({
    Mutex: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    seq: (uint64) 1,
    acquireDuration: (time.Duration) 1.32µs
   }),
   primaryAnyIndexer: (statedb.anyIndexer) {
    name: (string) (len=2) "id",
    fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
    unique: (bool) true
   },
   secondaryAnyIndexers: (map[string]statedb.anyIndexer) (len=2) {
    (string) (len=4) "name": (statedb.anyIndexer) {
     name: (string) (len=4) "name",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    },
    (string) (len=8) "selected": (statedb.anyIndexer) {
     name: (string) (len=8) "selected",
     fromObject: (func(statedb.object) index.KeySet) 0x24afa00,
     unique: (bool) false
    }
   }
  })
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Kernel version

```
6.6.28
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.30 (v1.30.0) [linux/amd64]
Kubernetes APIs:        ["EndpointSliceOrEndpoint", "cilium/v2::CiliumClusterwideEnvoyConfig", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumEnvoyConfig", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "core/v1::Namespace", "core/v1::Pods", "core/v1::Secrets", "core/v1::Service", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   True      [eth0.1016  10.64.16.116 (Direct Routing), eth0.1020  127.64.131.175, eth0.1024  127.64.131.175]
Host firewall:          Enabled   [eth0.1016, eth0.1020, eth0.1024]
SRv6:                   Disabled
CNI Chaining:           none
Cilium:                 Ok   1.15.3 (v1.15.3-22dfbc58)
NodeMonitor:            Listening for events on 4 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 1 IPAM pool(s) available, 
Allocated addresses:
  100.98.2.1 (health)
  100.98.2.102 (router)
  100.98.2.191 (ingress)
IPv4 BIG TCP:           Disabled
IPv6 BIG TCP:           Disabled
BandwidthManager:       EDT with BPF [BBR] [eth0.1016, eth0.1020, eth0.1024]
Host Routing:           BPF
Masquerading:           BPF (ip-masq-agent)   [eth0.1016, eth0.1020, eth0.1024]   100.64.0.0/10 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      22/22 healthy
  Name                                  Last success   Last error    Count   Message
  cilium-health-ep                      58s ago        never         0       no error   
  dns-garbage-collector-job             1m2s ago       never         0       no error   
  endpoint-1138-regeneration-recovery   never          never         0       no error   
  endpoint-1245-regeneration-recovery   never          never         0       no error   
  endpoint-429-regeneration-recovery    never          never         0       no error   
  endpoint-gc                           3s ago         never         0       no error   
  ep-bpf-prog-watchdog                  26s ago        never         0       no error   
  ipam-sync-multi-pool                  29h5m3s ago    never         0       no error   
  ipcache-inject-labels                 1m0s ago       29h5m3s ago   0       no error   
  k8s-heartbeat                         32s ago        never         0       no error   
  link-cache                            8s ago         never         0       no error   
  resolve-identity-1138                 5m2s ago       never         0       no error   
  resolve-identity-1245                 5m2s ago       never         0       no error   
  resolve-identity-429                  5m1s ago       never         0       no error   
  sync-host-ips                         1m0s ago       never         0       no error   
  sync-lb-maps-with-k8s-services        29h5m2s ago    never         0       no error   
  sync-policymap-1245                   4m57s ago      never         0       no error   
  sync-policymap-429                    4m58s ago      never         0       no error   
  sync-utime                            1m0s ago       never         0       no error   
  template-dir-watcher                  never          never         0       no error   
  update-k8s-node-annotations           29h5m3s ago    never         0       no error   
  write-cni-file                        29h5m4s ago    never         0       no error   
Proxy Status:            OK, ip 100.98.2.102, 0 redirects active on ports 10000-20000, Envoy: external
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 8191/8191 (100.00%), Flows/s: 3.83   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 True
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                eth0.1016  10.64.16.116 (Direct Routing), eth0.1020  127.64.131.175, eth0.1024  127.64.131.175
  Mode:                   DSR
    DSR Dispatch Mode:    IP Option/Extension
  Backend Selection:      Maglev (Table Size: 16381)
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  IP cache                      512000
  IPv4 masquerading agent       16384
  IPv6 masquerading agent       16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```

#### Service list

```
ID   Frontend              Service Type   Backend                            
1    100.96.134.117:9402   ClusterIP      1 => 100.98.9.178:9402 (active)    
2    100.96.171.42:443     ClusterIP      1 => 100.98.9.107:10250 (active)   
3    100.96.0.1:443        ClusterIP      1 => 10.64.16.111:6443 (active)    
                                          2 => 10.64.16.112:6443 (active)    
                                          3 => 10.64.16.113:6443 (active)    
4    100.96.25.171:80      ClusterIP                                         
5    100.96.25.171:443     ClusterIP                                         
6    100.96.17.28:443      ClusterIP      1 => 10.64.16.116:4244 (active)    
7    100.96.124.20:80      ClusterIP      1 => 100.98.1.205:4245 (active)    
8    100.96.145.47:80      ClusterIP      1 => 100.98.5.152:8081 (active)    
9    100.96.0.10:53        ClusterIP      1 => 100.98.5.232:53 (active)      
                                          2 => 100.98.9.131:53 (active)      
10   100.96.0.10:9153      ClusterIP      1 => 100.98.5.232:9153 (active)    
                                          2 => 100.98.9.131:9153 (active)    
11   100.96.207.75:8000    ClusterIP      1 => 100.98.5.166:8000 (active)    
12   100.96.56.167:8000    ClusterIP      1 => 100.98.8.4:8000 (active)      
13   100.96.100.10:8002    ClusterIP      1 => 100.98.5.83:8002 (active)     
14   100.96.100.10:8445    ClusterIP      1 => 100.98.5.83:8445 (active)     
15   10.64.16.116:30619    NodePort       1 => 100.98.5.83:8002 (active)     
16   0.0.0.0:30619         NodePort       1 => 100.98.5.83:8002 (active)     
17   10.64.16.116:30766    NodePort       1 => 100.98.5.83:8445 (active)     
18   0.0.0.0:30766         NodePort       1 => 100.98.5.83:8445 (active)     
19   100.96.132.20:8000    ClusterIP      1 => 100.98.8.250:8000 (active)    
20   100.96.69.141:443     ClusterIP      1 => 100.98.5.83:8443 (active)     
21   100.96.56.17:8000     ClusterIP      1 => 100.98.8.170:8000 (active)    
22   10.64.20.50:80        LoadBalancer                                      
23   10.64.20.50:443       LoadBalancer                                      
24   100.96.81.156:5201    ClusterIP      1 => 100.98.9.66:5201 (active)     
25   10.64.20.60:5201      LoadBalancer   1 => 100.98.9.66:5201 (active)     
26   100.96.194.255:9926   ClusterIP      1 => 10.64.16.117:9926 (active)    
                                          2 => 10.64.16.119:9926 (active)    
                                          3 => 10.64.16.113:9926 (active)    
                                          4 => 10.64.16.118:9926 (active)    
                                          5 => 10.64.16.111:9926 (active)    
                                          6 => 10.64.16.121:9926 (active)    
                                          7 => 10.64.16.123:9926 (active)    
27   100.96.193.139:7000   ClusterIP      1 => 10.64.16.113:7000 (active)    
28   100.96.210.73:9283    ClusterIP      1 => 10.64.16.113:9283 (active)    
29   100.96.17.12:80       ClusterIP      1 => 10.64.16.123:80 (active)      
```

#### Cilium memory map


```
00400000-02d94000 r-xp 00000000 fd:04 73392                              /usr/bin/cilium-agent
02d94000-05f4b000 r--p 02994000 fd:04 73392                              /usr/bin/cilium-agent
05f4b000-060a0000 rw-p 05b4b000 fd:04 73392                              /usr/bin/cilium-agent
060a0000-0682e000 rw-p 00000000 00:00 0 
c000000000-c005000000 rw-p 00000000 00:00 0 
c005000000-c008000000 ---p 00000000 00:00 0 
7f709ef46000-7f709f19b000 rw-p 00000000 00:00 0 
7f709f19b000-7f709f1dc000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f1dc000-7f709f21d000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f21d000-7f709f25e000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f25e000-7f709f29f000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f29f000-7f709f2df000 rw-p 00000000 00:00 0 
7f709f2df000-7f709f2e1000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f2e1000-7f709f2e3000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f2e3000-7f709f2e5000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f2e5000-7f709f2e7000 rw-s 00000000 00:0e 39                         anon_inode:[perf_event]
7f709f2e7000-7f70a1a92000 rw-p 00000000 00:00 0 
7f70a1a92000-7f70b1c12000 ---p 00000000 00:00 0 
7f70b1c12000-7f70b1c13000 rw-p 00000000 00:00 0 
7f70b1c13000-7f70d1c12000 ---p 00000000 00:00 0 
7f70d1c12000-7f70d1c13000 rw-p 00000000 00:00 0 
7f70d1c13000-7f70e3ac2000 ---p 00000000 00:00 0 
7f70e3ac2000-7f70e3ac3000 rw-p 00000000 00:00 0 
7f70e3ac3000-7f70e5e98000 ---p 00000000 00:00 0 
7f70e5e98000-7f70e5e99000 rw-p 00000000 00:00 0 
7f70e5e99000-7f70e6312000 ---p 00000000 00:00 0 
7f70e6312000-7f70e6313000 rw-p 00000000 00:00 0 
7f70e6313000-7f70e6392000 ---p 00000000 00:00 0 
7f70e6392000-7f70e63f2000 rw-p 00000000 00:00 0 
7ffcb0849000-7ffcb086a000 rw-p 00000000 00:00 0                          [stack]
7ffcb09ea000-7ffcb09ee000 r--p 00000000 00:00 0                          [vvar]
7ffcb09ee000-7ffcb09f0000 r-xp 00000000 00:00 0                          [vdso]

```


#### Cilium encryption


